<div class="wrap">
    <div class="dm-process-wrap">
        <div class='pros_loader'>
            <img src='<?php echo AA_ROOT_URL; ?>/images/ajax-loader.gif' style='vertical-align: middle;'>
            <h2 style='display: inline;'>Processing...</h2>
        </div>

        <div style='font-style: italic;'>
            <?php
            #var_dump($this->campaign);
            // Yuri - filter selected products
            $ASINs_string = $this->campaign->options["ASINs"];

            // Result Count
            // $this->campaign->options['result_count'];

            $ASINs = explode(',', $ASINs_string);

            if ($ASINs_string != '' && count($ASINs) > 0) {  //if $ASINs_string == '' then count($ASINs) returns 1
                $filtered_count = count($ASINs);
            }  else {
                $filtered_count = $this->campaign->search->totalresults;
            }

            // Handles the limit of 'All' search index
            if($this->campaign->options['searchindex'] == 'All')
                $maxPossibleProducts = 50;
            else
                $maxPossibleProducts = 100;

            if ($filtered_count > $maxPossibleProducts) {
                //echo "Processing 100 products. Do not close your browser.";
                update_option('dm_temp_number', $maxPossibleProducts);
                $filtered_count = $maxPossibleProducts;
            } else {
                //echo "Processing " . $filtered_count . " products. Do not close your browser.";
                update_option('dm_temp_number', (int) $filtered_count);
            }
$import_all = false;
            if(isset($this->campaign->options["dmasinlists"]) && !empty($this->campaign->options["dmasinlists"])) {
                // Convert the asin lists to string separated with comma
                $tempContainerString = str_replace(array("\r\n", "\r", "\n"), ",", $this->campaign->options['dmasinlists']);

                // Convert the $tempContainerString to array
                $tempContainerArray = explode(',', $tempContainerString);

                $selected = explode(',', $_REQUEST['ASINs']);

                $count = 0;
                foreach ($tempContainerArray as $key => $asin_all) {
                  if (in_array($asin_all, $selected)) {
                    $count++;
                  }
                }


                if (!$count) {
                  $count = count($tempContainerArray);
                  $import_all = true;
                }

                // Count number of ASINs
                #$filtered_count = count($tempContainerArray);
                $filtered_count = $count;

                update_option('dm_temp_number', $filtered_count);
            }
            ?>
        </div>
        <div id="dm-process">
            <div id="dm-progress">
                <div id="dm-progressbar-label"></div>
                <div id="progressbar"><div class="progress-label"><span id="dm-progressLabel">Initializing the process</span></div></div>
                <div id="dm-progress-meter">
                    <?php echo "Processing  <span id='dm-progress-count'>1</span>/" . $filtered_count . " products. Do not close your browser."; ?>
                </div>
            </div>

            <?php
            echo '<ul class="importing-list">';
          foreach ($this->campaign->search->results_pure as $result) {

            if (!@$import_all && in_array($result->ASIN, $ASINs)) {
            if(isset($result->ImageSets->ImageSet)) {

              if(is_array($result->ImageSets->ImageSet))
                $dmImage = $result->ImageSets->ImageSet[0]->MediumImage->URL;
              else
                $dmImage = $result->ImageSets->ImageSet->MediumImage->URL;

              echo '<li class="disabled" data-asin="' . $result->ASIN . '"><img src="' . $dmImage. '"/></li>';

            }
            }

             if ($import_all || (count($ASINs) == 1 && @$ASINs[0] == '')) {
              if(is_array($result->ImageSets->ImageSet))
                $dmImage = $result->ImageSets->ImageSet[0]->MediumImage->URL;
              else
                $dmImage = $result->ImageSets->ImageSet->MediumImage->URL;

              echo '<li class="disabled" data-asin="' . $result->ASIN . '"><img src="' . $dmImage. '"/></li>';
            }
          }
          echo '</ul>';
        ?>

            <a id="dm-show-logs" href="#">+ Show Logs</a>
        </div>

        <div id='pros_logspot' style="display: none;">

        </div>

        <script type="text/javascript">
            jQuery(document).ready(function($) {
                    var progressbar = $( "#progressbar" ),
                      progressLabel = $( ".progress-label" );

                    progressbar.progressbar({
                      value: false,
                      //change: function() {
                        //progressLabel.text( progressbar.progressbar( "value" ) + "%" );
                      //}
                      complete: function() {
                        progressLabel.text( "100%" );
                      }
                    });
                trigger_process(<?php echo $filtered_count; ?>, <?php echo $this->campaign->id; ?> );

            });
        </script>
    </div>
</div>