<table class="form-table">

	<tbody>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-headline"><?php _e('Headline'); ?></label></th>

			<td>

				<input type="text" class="code large-text" name="bestsellerazon[headline-text]" id="bestsellerazon-headline-text" value="<?php esc_attr_e($meta['headline-text']); ?>" />

				<label>

					<input <?php checked($meta['headline'], 'default'); ?> type="checkbox" name="bestsellerazon[headline]" id="bestsellerazon-headline" value="default" />

					<?php _e('Use the default headline for this site'); ?>

				</label><br />

				<small><?php _e('Set the message you want to display above the bestselling product listings featured on your website. You can change this for every post.'); ?></small>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-enable"><?php _e('Enable Bestsellers Display'); ?></label></th>

			<td>

				<select name="bestsellerazon[enable]" id="bestsellerazon-enable">

					<option <?php selected('default', $meta['enable']); ?> value="default"><?php _e('Use Site Default'); ?></option>

					<option <?php selected('yes', $meta['enable']); ?> value="yes"><?php _e('Yes'); ?></option>

					<option <?php selected('no', $meta['enable']); ?> value="no"><?php _e('No'); ?></option>

				</select>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-display-prices"><?php _e('Display Prices'); ?></label></th>

			<td>

				<select name="bestsellerazon[display-prices]" id="bestsellerazon-display-prices">

					<option <?php selected('default', $meta['display-prices']); ?> value="default"><?php _e('Use Site Default'); ?></option>

					<option <?php selected('yes', $meta['display-prices']); ?> value="yes"><?php _e('Yes'); ?></option>

					<option <?php selected('no', $meta['display-prices']); ?> value="no"><?php _e('No'); ?></option>

				</select>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-display-descriptions"><?php _e('Display Descriptions'); ?></label></th>

			<td>

				<select name="bestsellerazon[display-descriptions]" id="bestsellerazon-display-descriptions">

					<option <?php selected('default', $meta['display-descriptions']); ?> value="default"><?php _e('Use Site Default'); ?></option>

					<option <?php selected('yes', $meta['display-descriptions']); ?> value="yes"><?php _e('Yes'); ?></option>

					<option <?php selected('no', $meta['display-descriptions']); ?> value="no"><?php _e('No'); ?></option>

				</select>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-number"><?php _e('Bestsellers To Display'); ?></label></th>

			<td>

				<select name="bestsellerazon[number]" id="bestsellerazon-number">

					<option <?php selected('default', $meta['number']); ?> value="default"><?php _e('Use Site Default'); ?></option>

					<?php for($i = 10; $i >= 1; $i--) { ?>

					<option <?php selected($i, $meta['number']); ?> value="<?php esc_attr_e($i); ?>"><?php esc_html_e($i); ?></option>

					<?php } ?>

				</select>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-browse-node-id"><?php _e('Bestseller Category'); ?></label></th>

			<td>

				<?php self::display_category_selector($meta['category-name'], $meta['category'], 'bestsellerazon-category', 'bestsellerazon[category]', $settings['access-key-id'], $settings['secret-access-key'], true); ?>

			</td>

		</tr>

	</tbody>

</table>



<input type="hidden" class="bestsellerazon-locale" id="bestsellerazon-locale" value="<?php esc_attr_e($settings['locale']); ?>" />

<?php wp_nonce_field('save-bestsellerazon-meta', 'save-bestsellerazon-meta-nonce');

