<p><?php _e('Select the locale you wish to use for retrieving and displaying Amazon Bestsellers. After choosing your locale, enter your Amazon Associates tag for that locale.'); ?></p>

<table class="form-table">

	<tbody>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-locale"><?php _e('Locale'); ?></label></th>

			<td>

				<select class="bestsellerazon-locale" name="bestsellerazon[locale]" id="bestsellerazon-locale">

					<?php foreach(BS_Amazon_API::get_locale_keys() as $locale_key) { ?>

					<option <?php selected($settings['locale'], $locale_key); ?> value="<?php esc_attr_e($locale_key); ?>"><?php esc_html_e(BS_Amazon_API::get_locale_name($locale_key)); ?></option>	

					<?php } ?>

				</select>

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="easyazon-access-key-id"><?php _e('Amazon Associates Tag'); ?></label></th>

			<td>

				<input type="text" class="regular-text code" name="bestsellerazon[associate-tag]" id="bestsellerazon-associate-tag" value="<?php esc_attr_e($settings['associate-tag']); ?>" /> <code><?php _e('(i.e. yourtrackingidhere-20)'); ?></code>

				<br />

				<small><?php _e('Please ensure the value you enter is a valid Amazon Associates tag for your chosen locale. If it is not, the plugin will not work correctly.'); ?></small>

			</td>

		</tr>

	</tbody>

</table>