<p>
	<label for="<?php echo $this->get_field_id('headline-text'); ?>"><?php _e('Title'); ?></label>
	<input type="text" class="code large-text" name="<?php echo $this->get_field_name('headline-text'); ?>" id="<?php echo $this->get_field_id('headline-text'); ?>" value="<?php esc_attr_e($instance['headline-text']); ?>" />
	<input type="hidden" name="<?php echo $this->get_field_name('enable'); ?>" value="yes" />
	<input type="hidden" class="bestsellerazon-locale" value="<?php esc_attr_e($settings['locale']); ?>" />
</p>

<p>
	<label for="<?php echo $this->get_field_id('display-prices'); ?>"><?php _e('Display Prices'); ?></label>
	<select name="<?php echo $this->get_field_name('display-prices'); ?>" id="<?php echo $this->get_field_id('display-prices'); ?>" class="widefat">
		<option <?php selected('default', $instance['display-prices']); ?> value="default"><?php _e('Use Site Default'); ?></option>
		<option <?php selected('yes', $instance['display-prices']); ?> value="yes"><?php _e('Yes'); ?></option>
		<option <?php selected('no', $instance['display-prices']); ?> value="no"><?php _e('No'); ?></option>
	</select>
</p>

<p>
	<label for="<?php echo $this->get_field_id('display-descriptions'); ?>"><?php _e('Display Descriptions'); ?></label>
	<select name="<?php echo $this->get_field_name('display-descriptions'); ?>" id="<?php echo $this->get_field_id('display-descriptions'); ?>" class="widefat">
		<option <?php selected('default', $instance['display-descriptions']); ?> value="default"><?php _e('Use Site Default'); ?></option>
		<option <?php selected('yes', $instance['display-descriptions']); ?> value="yes"><?php _e('Yes'); ?></option>
		<option <?php selected('no', $instance['display-descriptions']); ?> value="no"><?php _e('No'); ?></option>
	</select>
</p>

<p>
	<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Bestsellers To Display'); ?></label>
	<select name="<?php echo $this->get_field_name('number'); ?>" id="<?php echo $this->get_field_name('number'); ?>" class="widefat">
		<option <?php selected('default', $instance['number']); ?> value="default"><?php _e('Use Site Default'); ?></option>
		<?php for($i = 10; $i >= 1; $i--) { ?>
		<option <?php selected($i, $instance['number']); ?> value="<?php esc_attr_e($i); ?>"><?php esc_html_e($i); ?></option>
		<?php } ?>
	</select>
</p>

<p>
	<label for="<?php echo $this->get_field_id('browse-node-id'); ?>"><?php _e('Bestseller Category'); ?></label>
	<?php BestsellerAzon::display_category_selector($instance['category-name'], $instance['category'], $this->get_field_id('category'), $this->get_field_name('category'), $settings['access-key-id'], $settings['secret-access-key'], true, true); ?>
</p>