<?php echo $before_widget; ?>

<?php if(!empty($title)) { echo $before_title, $title, $after_title; } ?>

<?php if(!empty($bestseller_items)) { ?>

<div class="bestsellerazon-items bestsellerazon-items-widget">
	
	<?php foreach((array)$bestseller_items as $bestseller_item) { ?>
	<div class="bestsellerazon-item bestsellerazon-item-widget">
		<div class="bestsellerazon-item-image" style="min-width: <?php bestsellerazon_the_image_width($bestseller_item); ?>">
			<div>
				<?php if(bestsellerazon_has_image($bestseller_item)) { ?>
				<a <?php echo $link_atts; ?> href="<?php bestsellerazon_the_detail_page_url($bestseller_item); ?>"><img src="<?php bestsellerazon_the_image_url($bestseller_item); ?>" alt="<?php bestsellerazon_the_title_attr($bestseller_item); ?>" /></a>	
				<?php } ?>
			</div>
		</div>
		<div class="bestsellerazon-item-description">
			<div>
				<a <?php echo $link_atts; ?> href="<?php bestsellerazon_the_detail_page_url($bestseller_item); ?>"><?php esc_html_e(bestsellerazon_get_title($bestseller_item)); ?></a>
				<?php if($display_descriptions && bestsellerazon_has_description($bestseller_item)) { ?>
				<div class="bestsellerazon-excerpt"><?php bestsellerazon_the_description($bestseller_item, $link_atts); ?></div>
				<?php } ?>
			</div>
		</div>
		<div class="bestsellerazon-item-buy">
			<div>
				<a class="bestsellerazon-item-buy-button" <?php echo $link_atts; ?> href="<?php bestsellerazon_the_detail_page_url($bestseller_item); ?>">
					<?php $image_url = "{$resource_directory_url}/img/buy-now/amazon-{$locale}.gif"; ?>
					<img src="<?php esc_attr_e($image_url); ?>" alt="<?php _e('Buy Now on Amazon!'); ?>" />
				</a>

				<?php if($display_prices && bestsellerazon_has_price($bestseller_item)) { ?>
					<a <?php echo $link_atts; ?> href="<?php bestsellerazon_the_detail_page_url($bestseller_item); ?>"><?php bestsellerazon_the_price($bestseller_item); ?></a>
				<?php } ?>
			</div>
		</div>
	</div>
	<?php } ?>
	
	<?php if($display_prices) { ?>
	<p class="disclaimer">
		<small><?php printf(__('Prices are accurate as of %s. Product prices and available are subject to change. Any price and availablility information displayed on <a href="http://amazon.com">Amazon.com</a> at the time of purchase will apply to the purchase of any products.'), date(get_option('date_format') . ' ' . get_option('time_format'), $last_updated_timestamp)); ?></small>
	</p>
	<?php } ?>
	<p class="disclaimer">
		<small><?php _e('Certain content that appears on this site comes from Amazon Services LLC. This content is provided \'AS IS\' and is subject to change or removal at any time.'); ?></small>
	</p>
</div>

<?php } ?>

<?php echo $after_widget; ?>