<?php
if(!defined('ABSPATH')) die('Direct access not permitted');

require_once(dirname(dirname(dirname(__FILE__))).'/include/amazon.lib.php');
require_once(dirname(dirname(dirname(__FILE__))).'/include/flybx_amz_funcs.php');
require_once(dirname(dirname(dirname(__FILE__))).'/app/models/templates.php');

$flybx_debug_error = FALSE;
//sleep(50);
$flybx_templates = new flybx_templates;
$flybx_curr_tpl = $flybx_templates->templates_data();

$flybx_aff_network = 'amz';

if ($flybx_aff_network == 'amz')
{
	$flybx_locale = 'us';
	if (isset($_POST['locale']) && in_array($_POST['locale'], flybx_amzn_countries())) $flybx_locale = $_POST['locale'];
	
	//get kws
	if (!isset($flybx_posted_kws)) $flybx_posted_kws = $_POST['kws'];
	$flybx_posted_kws = str_replace(', ', ',', str_replace('  ', ' ', $flybx_posted_kws));
	$maybe_kws = explode(',', $flybx_posted_kws);
	if (count($maybe_kws) == '0')
	{
		if (function_exists('current_user_can') && current_user_can('manage_options'))
		{
			echo json_encode(array('html' => '', 'error' => 'yes', 'admin_err_msg' => '<div class="flybx_noresults">'.flybx_lang('Azon FlyBox Admin Message: No keywords found. Please edit this post/page and make sure all Azon FlyBox keyword fields are filled in. (Note: you can only see this message because you are logged in as admin)', $flybx_locale).'</div>'));
		}
		else
		{
			echo json_encode(array('html' => '', 'error' => ''));
		}
				exit;
	}
	$flybx_kws = $maybe_kws;
	
	
	
	$flybx_am_params = array(
								'key_id' => get_option('flybx_am_key_id'), 
								'access_key' => get_option('flybx_am_access_key'),
								'associate_tag' => flybx_get_locale_tag($flybx_locale),
								);
	flybx_cache_cleanup();
	

	
	
	
	$flybx_data = flybx_get_pop_data($_POST['post_id'], $flybx_kws, $flybx_am_params, $flybx_locale, '0');
	
	/*echo '<pre>';
	print_r($flybx_data);
	//echo dirname(dirname(__FILE__)).'/views/am/sform_size_'.$flybx_curr_tpl['size'].'.php';
	echo '</pre>';*/
	
	if ($flybx_data !== FALSE && count($flybx_data) > 0):
	
		//only show first three
		if (count($flybx_data) > 0)
		{
			$flybx_data = array_slice($flybx_data, 0, $flybx_curr_tpl['max_products']);
		}	
		

		ob_start();
		
		//$flybx_good_attr = flybx_good_attr($flybx_curr_tpl);
		
		//let's pick the best pick
		$flybx_best_pick_asin = '0';
		$flybx_best_pick_asin_price = FALSE;
		//passed with the shortcode?
		if (isset($_POST['bestpick']))
		{
			$posted_shortcode_bestpick = $_POST['bestpick'];
		}
		if (isset($posted_shortcode_bestpick) && $posted_shortcode_bestpick !== FALSE && $posted_shortcode_bestpick != '0')
		{
			$posted_shortcode_bestpick = trim($posted_shortcode_bestpick);
			$flybx_asins = array_keys($flybx_data);
			if (strlen($posted_shortcode_bestpick) == 1 && in_array($posted_shortcode_bestpick, array(1, 2, 3)) && isset($flybx_asins[($posted_shortcode_bestpick - 1)]))
			{
				$flybx_best_pick_asin = $flybx_asins[($posted_shortcode_bestpick - 1)];
			}
			elseif(in_array($posted_shortcode_bestpick, $flybx_asins))
			{
				$flybx_best_pick_asin = $posted_shortcode_bestpick;
			}
		}
		//manually set on post/page meta box?
		if ($flybx_best_pick_asin == '0')
		{
			$flybx_post_bestpick = get_post_meta($_POST['post_id'], 'flybx_bestpick', true);
			if ($flybx_post_bestpick !== FALSE && strlen($flybx_post_bestpick) > 0)
			{
				$flybx_post_bestpick = trim($flybx_post_bestpick);
				$flybx_asins = array_keys($flybx_data);
				if (strlen($flybx_post_bestpick) == 1 && in_array($flybx_post_bestpick, array(1, 2, 3)) && isset($flybx_asins[($flybx_post_bestpick - 1)]))
				{
					$flybx_best_pick_asin = $flybx_asins[($flybx_post_bestpick - 1)];
				}
				elseif(in_array($flybx_post_bestpick, $flybx_asins))
				{
					$flybx_best_pick_asin = $flybx_post_bestpick;
				}
			}
		}
		
		include(dirname(dirname(__FILE__)).'/views/am/tbl_design_1.php');
		

		$flybx_pop_html = ob_get_contents();
		ob_end_clean();
		//echo $flybx_pop_html;exit;
		
		echo json_encode(array('html' => $flybx_pop_html, 'flybx_kws' => $flybx_kws));
	
	else: 
		if (function_exists('current_user_can') && current_user_can('manage_options'))
		{
			echo json_encode(array('html' => '', 'error' => 'yes', 'admin_err_msg' => '<div class="flybx_noresults">'.flybx_lang('Azon FlyBox Admin Message: No product results can be found for keywords: '.implode(',', $flybx_kws).'. <br />Please edit this post/page and enter different keywords. <br />(Note: you can only see this message because you are logged in as admin)', $_POST['locale']).'</div>'));
		}
		else
		{
			echo json_encode(array('html' => '', 'error' => ''));
		}
		//echo json_encode(array('html' => '<div class="flybx_noresults">'.flybx_lang('No results found. Try different keywords.', $_POST['locale']).'</div>', 'error' => 'yes'));
		exit;
	endif;

}