<?php
if(!defined('ABSPATH')) die('Direct access not permitted');

require_once(dirname(dirname(__FILE__)).'/libraries/validation.php');
$validation = new flybx_validation;

$active_countries = flybx_active_locales();


//$validation->set_rule('flybx_hide_on', 'Hide On', '');

$validation->set_rule('flybx_animation', 'Animation', 'trim|required');

$validation->set_rule('flybx_trigger_element_toggle', 'Offset HTML toggle', '');
if ($_POST['flybx_trigger_element_toggle'] == 'on')
{
	$validation->set_rule('flybx_offset', 'Offset Amount', 'trim');
	$validation->set_rule('flybx_trigger_element', 'Offset HTML Element', 'trim|required');
}
else
{
	$validation->set_rule('flybx_offset', 'Offset Amount', 'trim|required');
	$validation->set_rule('flybx_trigger_element', 'Offset HTML Element', 'trim');
}
$validation->set_rule('flybx_position', 'Position', 'trim|required');
$validation->set_rule('flybx_max_products', 'Max Products', 'trim|required');
$validation->set_rule('flybx_bottom_margin', 'Bottom Margin', 'trim|required');
$validation->set_rule('flybx_branding', '"powered by" link', 'trim');

$validation->set_rule('flybx_links_color', 'Links Color', 'trim|required');
$validation->set_rule('flybx_price_color', 'Price Color', 'trim|required');
$validation->set_rule('flybx_descr_color', 'Description Color', 'trim|required');
$validation->set_rule('flybx_bg_color', 'Background Color', 'trim|required');
$validation->set_rule('flybx_buybtn', 'Buy Button', 'trim|required');

//$validation->show_rules();

//grab default settings
$flybx_appearsett_opt = flybx_get_option('appearance');
if ($flybx_appearsett_opt === FALSE)
{
	$flybx_default_appearsett = array(
						'animation' => 'flyout',
						'offset' => '200px',
						'trigger_element_toggle' => 'off',
						'trigger_element' => '',
						'position' => 'right',
						'max_products' => '2',
						'bottom_margin' => '0',
						'branding' => 'yes',
						'links_color' => '#21759B',
						'price_color' => '#EB552D',
						'descr_color' => '#444444',
						'bg_color' => '#FFFFFF',
						'buybtn' => 'blue',
						);
}
else
{
	$flybx_default_appearsett = @unserialize($flybx_appearsett_opt);
}

$flybx_saved = FALSE;
if ($validation->run() === TRUE)
{
	$flybx_appearsett = array(
						'animation' => $_POST['flybx_animation'],
						'offset' => $_POST['flybx_offset'],
						'trigger_element' => $_POST['flybx_trigger_element'],
						'position' => $_POST['flybx_position'],						
						'max_products' => $_POST['flybx_max_products'],						
						'bottom_margin' => $_POST['flybx_bottom_margin'],						
						'branding' => $_POST['flybx_branding'],					
						'links_color' => $_POST['flybx_links_color'],					
						'price_color' => $_POST['flybx_price_color'],					
						'descr_color' => $_POST['flybx_descr_color'],					
						'bg_color' => $_POST['flybx_bg_color'],					
						'buybtn' => $_POST['flybx_buybtn'],					
						);
	//do some sanity checks
	$flybx_appearsett['trigger_element_toggle'] = 'off';
	if (isset($_POST['flybx_trigger_element_toggle']) &&  ($_POST['flybx_trigger_element_toggle'] == 'on' || $_POST['flybx_trigger_element_toggle'] == 'On')) $flybx_appearsett['trigger_element_toggle'] = 'on';
		
	$flybx_default_appearsett = $flybx_appearsett;
	flybx_update_option('appearance', serialize($flybx_appearsett));				

	$flybx_saved = TRUE;
	
	/*echo '<pre>';
	print_r($_POST);
	print_r($flybx_appearsett);
	echo '</pre>';*/
	
	/*echo '<div id="message" class="updated fade"><p><strong>'
	. sprintf(__('Template Added.<br /><a href="admin.php?page=flybx-templates&subpage=edit&template_id=%s">Click Here to Edit the Template.</a>', $flybx_plugin_slug), $new_template_id);
	echo '</strong></p></div>';
	exit;*/
	
	//echo 'Save here!';
}
elseif ($validation->success === FALSE)
{
	$error = 'yes';
	$flybx_additional_error = 'Error! Please check the fields and try again.';
}

require_once(dirname(dirname(__FILE__)).'/views/sett_appearance.php');