<?php
/*
Copyright (c) 2012, Rich Ways LLC
All rights reserved.

Azon FlyBox License
http://www.pluginsbyigor.com

1. Terms 

By using this software, you are agreeing to be bound by these Terms and Conditions of Use, all applicable laws and regulations, and agree that you are responsible for compliance with any applicable local laws. If you do not agree with any of these terms, you are prohibited from using this software. The materials contained in this software are protected by applicable copyright and trade mark law. 

2. Use License 

a. By using Azon FlyBox you agree and comply to Amazon.com Product Advertising API License Agreement found here: https://affiliate-program.amazon.com/gp/advertising/api/detail/agreement.html
b. You may use the Azon FlyBox software for the purposes of running a website on a number of domain names as allowed by your license. 
c. You may make a reasonable number of copies for backup purposes only. 
d. You may modify the Azon FlyBox software as per your requirements as long as the modifications would not circumvent the licensing system. 

3. Limitations 
a. You may not use Azon FlyBox on any domain not wholly owned by you. 
b. You may not distribute copies of the Azon FlyBox software or transfer any part of it to a 3rd party. 
c. You may not rent, lease, sell, or sub-license the Azon FlyBox software or copies of it.
d. You may not use the software to engage in any illegal activity. 
e. You may not circumvent the licensing system in any way. 

4. Disclaimer 

The materials on Azon FlyBox's website and the Azon FlyBox software are provided "as is". Azon FlyBox makes no warranties, expressed or implied, and hereby disclaims and negates all other warranties, including without limitation, implied warranties or conditions of merchantability, fitness for a particular purpose, or non-infringement of intellectual property or other violation of rights. Further, Azon FlyBox does not warrant or make any representations concerning the accuracy, likely results, or reliability of the use of the materials on its Internet web site or otherwise relating to such materials or on any sites linked to this site. 

5. Revisions and Errata 

The materials appearing on Azon FlyBox's web site could include technical, typographical, or photographic errors. Azon FlyBox does not warrant that any of the materials on its web site are accurate, complete, or current. Azon FlyBox may make changes to the materials contained on its web site at any time without notice. Azon FlyBox does not, however, make any commitment to update the materials. 

6. Links 

Azon FlyBox has not reviewed all of the sites linked to its Internet web site and is not responsible for the contents of any such linked site. The inclusion of any link does not imply endorsement by Azon FlyBox of the site. Use of any such linked web site is at the user's own risk. 

7. Site Terms of Use Modifications 

Azon FlyBox may revise these terms of use for its web site at any time without notice. By using this web site you are agreeing to be bound by the then current version of these Terms and Conditions of Use. 

8. Governing Law 

Any claim relating to Azon FlyBox's web site shall be governed by the laws of the State of Wisconsin (USA) without regard to its conflict of law provisions. 
*/

if(!defined('ABSPATH')) die('Direct access not premitted');

echo '<div class="wrap"><img src="'.plugin_dir_url( dirname(dirname(__FILE__)) ).'images/'.flybx_branding_img().'" style="display: block; float: right;" /><h2>' . __('Edit Template', $flybx_plugin_slug) . '</h2>';

$validation->show_errors();

/*echo '<pre>';
print_r($edit_template_default);
echo '</pre>';*/

/*echo '<pre>';
print_r($_POST);
echo '</pre>';*/

?>

<form method="post" action="" id="important_stuff_form" name="important_stuff_form" >
	<table class="form-table" style="width:750px;">
		<tr><td class="reg black" colspan="2" noWrap="noWrap"><?php _e('If you have any questions check out our <a href="http://www.pluginsbyigor.com/azon-flybox-faq/" target="_blank">FAQ</a>', $flybx_plugin_slug);?></td></tr>
		<?php if (strlen($error) > 0): ?>
			<tr><td class="reg" colspan="2" style="color:red;" align="left"><?=$error;?></td></tr>
		<?php endif; ?>
		<tr><td colspan="2">
			<div class="metabox-holder">
				<div id="submitdiv" class="postbox">
					<div class="handlediv" title="<?php esc_attr_e( 'Click to toggle', $flybx_plugin_slug ); ?>"><br /></div>
					<h3 class="hndle">Template Settings</h3>
					<div class="inside">
						<table class="form-table" style="width:auto;">			
							<tr class="form-field"><th style="width:150px;"><label for="template_name"><?php _e('Template Name', $flybx_plugin_slug);?>:</label></th>
								<td>
									<input type="text" name="template_name" style="width:220px;" value="<?php echo $validation->set_value('template_name', $edit_template_default['name']); ?>" id="template_name" />
									<span class="description"><?php _e('Not visible on the site', $flybx_plugin_slug); ?></span>
									<?php $validation->show_error('template_name'); ?>
								</td></tr>
							
							<tr class="form-field"><th style="width:150px;"><label for="flybx_active"><?php _e('Active', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<select name="flybx_active" id="flybx_active">
									<option value="yes"  <?php echo $validation->set_select('flybx_active', 'yes', ($edit_template_default['active'] == 'yes')); ?>>Yes &nbsp; </option>
									<option value="no"  <?php echo $validation->set_select('flybx_active', 'no', ($edit_template_default['active'] == 'no')); ?>>No &nbsp; </option>
								</select>
								<?php $validation->show_error('flybx_active'); ?>
								
							</td></tr>
							
							<?php /*<tr class="form-field"><th style="width:150px;"><label for="flybx_position"><?php _e('Placement', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<select name="flybx_position" id="flybx_position" onchange="javascript: flybx_show_shorttag(this.value);">
									<option value=""><?php _e('-- Select Template Placement --', $flybx_plugin_slug); ?> &nbsp; </option>
									<?php foreach($available_positions as $position_id => $position_name): ?>
										<option value="<?php echo $position_id; ?>" <?php echo $validation->set_select('flybx_position', $position_id, ($edit_template_default['position'] == $position_id)); ?>><?php echo $position_name; ?> &nbsp; </option>
									<?php endforeach; ?>
								</select>
								<?php $validation->show_error('flybx_position'); ?>
								
							</td></tr> */ ?>
						
							<tr class="form-field"><th style="width:150px;"><label for="flybx_salebadge"><?php _e('Show Sale Badge', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<select name="flybx_salebadge" id="flybx_salebadge">
										<option value="yes" <?php echo $validation->set_select('flybx_salebadge', 'yes', ($edit_template_default['salebadge'] == 'yes')); ?>>On &nbsp; </option>
										<option value="no" <?php echo $validation->set_select('flybx_salebadge', 'no', ($edit_template_default['salebadge'] == 'no')); ?>>Off &nbsp; </option>
								</select>
								<span class="description"><?php _e('Show "percentage off" amount if available (not supported by IE)', $flybx_plugin_slug); ?></span>
								<?php $validation->show_error('flybx_salebadge'); ?>
								
							</td></tr>
						
							<tr class="form-field"><th style="width:150px;"><label for="flybx_single_only"><?php _e('Restrict to Post/Page View', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<select name="flybx_single_only" id="flybx_single_only">
										<option value="no" <?php echo $validation->set_select('flybx_single_only', 'no', ($edit_template_default['single_only'] == 'no')); ?>>No &nbsp; </option>
										<option value="yes" <?php echo $validation->set_select('flybx_single_only', 'yes', ($edit_template_default['single_only'] == 'yes')); ?>>Yes &nbsp; </option>
								</select>
								<span class="description"><?php _e('If "Yes" - hides from category, archive pages, etc', $flybx_plugin_slug); ?> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("This is useful if for example you're using a shortcode in the post and you don't want the template to appear in the post excerpt on the category pages.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
								<?php $validation->show_error('flybx_single_only'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_odd_color"><?php _e('Color of Odd Rows', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_odd_color" name="flybx_odd_color" value="<?php echo $validation->set_value('flybx_odd_color', $edit_template_default['odd_color']); ?>" style="width:220px;" />								<span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the background of the odd rows in the comparison table.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_odd_color_picker"></div>								
								<?php $validation->show_error('flybx_odd_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_even_color"><?php _e('Color of Even Rows', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_even_color" name="flybx_even_color" value="<?php echo $validation->set_value('flybx_even_color', $edit_template_default['even_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the background of the even rows in the comparison table.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_even_color_picker"></div>								
								<?php $validation->show_error('flybx_even_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_text_color"><?php _e('Text Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_text_color" name="flybx_text_color" value="<?php echo $validation->set_value('flybx_text_color', $edit_template_default['text_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the text in tables.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_text_color_picker"></div>								
								<?php $validation->show_error('flybx_text_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_tabbg_color"><?php _e('Tabs BG Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_tabbg_color" name="flybx_tabbg_color" value="<?php echo $validation->set_value('flybx_tabbg_color', $edit_template_default['tabbg_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the background of the tabs (also a background for prices row).", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_tabbg_color_picker"></div>								
								<?php $validation->show_error('flybx_tabbg_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_tabstext_color"><?php _e('Price Text Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_tabstext_color" name="flybx_tabstext_color" value="<?php echo $validation->set_value('flybx_tabstext_color', $edit_template_default['tabstext_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the prices in tables.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_tabstext_color_picker"></div>								
								<?php $validation->show_error('flybx_tabstext_color'); ?>
								
							</td></tr>						
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_bestpickbg_color"><?php _e('Best Pick BG Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_bestpickbg_color" name="flybx_bestpickbg_color" value="<?php echo $validation->set_value('flybx_bestpickbg_color', $edit_template_default['bestpickbg_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the background of the 'Best Pick' column.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_bestpickbg_color_picker"></div>								
								<?php $validation->show_error('flybx_bestpickbg_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_bestpicktext_color"><?php _e('Best Pick Text Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_bestpicktext_color" name="flybx_bestpicktext_color" value="<?php echo $validation->set_value('flybx_bestpicktext_color', $edit_template_default['bestpicktext_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the 'Best Pick' text color.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_bestpicktext_color_picker"></div>								
								<?php $validation->show_error('flybx_bestpicktext_color'); ?>
								
							</td></tr>
							
							<tr class="form-field "><th style="width:150px;"><label for="flybx_footer_color"><?php _e('Footer Row BG Color', $flybx_plugin_slug); ?>:</label></th>
							<td>									
								<input type="text" id="flybx_footer_color" name="flybx_footer_color" value="<?php echo $validation->set_value('flybx_footer_color', $edit_template_default['footer_color']); ?>" style="width:220px;" /> <span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Pick a color to be used for the background of the last row (with 'Buy' buttons).", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span></label>
								<div id="flybx_footer_color_picker"></div>								
								<?php $validation->show_error('flybx_footer_color'); ?>
								<br /><br />
								<a href="javascript: void(0);" onclick="javascript: if (confirm('<?php echo esc_attr('Reset colors to default values? This will overwrite any changes.', $flybx_plugin_slug); ?>')) { flybx_colors_reset(); };" style="float: right; display: block;">Reset Colors To Default</a>
								
								
							</td></tr>
							
							
							
							
							<?php /*<tr class="form-field"><th style="width:150px;"><label for="flybx_alignment"><?php _e('Alignment', $flybx_plugin_slug); ?> :</label></th>
							<td>									
								<select name="flybx_alignment" id="flybx_alignment">
										<option value="none" <?php echo $validation->set_select('flybx_alignment', 'none', ($edit_template_default['alignment'] == 'none')); ?>>None &nbsp; </option>
										<option value="left" <?php echo $validation->set_select('flybx_alignment', 'left', ($edit_template_default['alignment'] == 'left')); ?>>Left &nbsp; </option>
										<option value="center" <?php echo $validation->set_select('flybx_alignment', 'center', ($edit_template_default['alignment'] == 'center')); ?>>Center &nbsp; </option>
										<option value="right" <?php echo $validation->set_select('flybx_alignment', 'right', ($edit_template_default['alignment'] == 'right')); ?>>Right &nbsp; </option>

								</select>
								<span class="description"><?php _e('(optional) If not sure try each and see what looks best on the page', $flybx_plugin_slug); ?> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Note: Text doesn't wrap around center aligned templates (no text to the left or right of the template).", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
								<?php $validation->show_error('flybx_alignment'); ?>
								
							</td></tr>*/ ?>
							
							<tr class="form-field"><th style="width:150px;"><label for="flybx_margin_top"><?php _e('Margins', $flybx_plugin_slug); ?> <?php _e('(optional)', $flybx_plugin_slug); ?> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("If your template is too close to the text or to other elements you can adjust margins here.<br />Note: If the template alignment is set to Center - left and right margins are ignored (they are automatically set to 'auto')", $flybx_plugin_slug); ?>"> <?php _e('( ? )', $flybx_plugin_slug); ?></a>:</label></th>
							<td>	
								<table class="flybx_skinny_tbl">
									<tr>
										<td>&nbsp;</td>
										<td class="tbl_cntrd">top:<input type="text" name="flybx_margin_top" value="<?php echo $validation->set_value('flybx_margin_top', $edit_template_default['margin_top']); ?>" style="width: 30px;" /> px</td>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td>left:<input type="text" name="flybx_margin_left" value="<?php echo $validation->set_value('flybx_margin_left', $edit_template_default['margin_left']); ?>" style="width: 30px;" />px</td>
										<td><div style="width: 90px; height: 40px; background-color: #d8d8d8; border: 1px solid #787575; margin: 2px; text-align: center; line-height: 40px; color: #a3a3a3;">template</div></td>
										<td>right:<input type="text" name="flybx_margin_right" value="<?php echo $validation->set_value('flybx_margin_right', $edit_template_default['margin_right']); ?>" style="width: 30px;" />px</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td class="tbl_cntrd">btm:<input type="text" name="flybx_margin_bottom" value="<?php echo $validation->set_value('flybx_margin_bottom', $edit_template_default['margin_bottom']); ?>" style="width: 30px;" /> px</td>
										<td>&nbsp;</td>
									</tr>
								</table>
								<?php $validation->show_error('flybx_margin_top'); ?>
								<?php $validation->show_error('flybx_margin_right'); ?>
								<?php $validation->show_error('flybx_margin_bottom'); ?>
								<?php $validation->show_error('flybx_margin_left'); ?>
								
							</td></tr>
							
							<tr class="form-field"><th style="width:150px;"><label for="flybx_make_default"><?php _e('Default Template?', $flybx_plugin_slug); ?> </label></th>
							<td>									
								<select name="flybx_make_default" id="flybx_make_default">
										<?php if ($flybx_default_tplid != $edit_template_default['id']): ?>
										<option value="no" <?php echo $validation->set_select('flybx_make_default', 'No'); ?>>No &nbsp; </option>
										<?php endif; ?>
										<option value="yes" <?php echo $validation->set_select('flybx_make_default', 'Yes', ($flybx_default_tplid == $edit_template_default['id'])); ?>>Yes &nbsp; </option>
								</select>
								<span class="description"> <a href="#" class="flybx_tooltip" title="<?php esc_attr_e("Note: Default template is being used on all posts/pages unless another template is selected for the specific post/page.<br />To make a different template default - edit that template and set it to default.", $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
								<?php $validation->show_error('flybx_alignment'); ?>
								
							</td></tr>
							
						</table>
					</div>
				</div>
			</div>
			
			<div class="metabox-holder">
				<div id="submitdiv" class="postbox">
					<div class="handlediv" title="<?php esc_attr_e( 'Click to toggle', $flybx_plugin_slug ); ?>"><br /></div>
					<h3 class="hndle">Product Settings</h3>
					<div class="inside">
						<table class="form-table" style="width:auto;">			
							<?php /*<tr class="form-field"><th style="width:150px;"><label for="compare_mentioned"><?php _e('Compare Products From Content', $flybx_plugin_slug);?>:</label></th>
								<td>
									<select name="compare_mentioned" id="compare_mentioned">
										<option value="yes" <?php echo $validation->set_select('compare_mentioned', 'yes', ($edit_template_default['compare_mentioned'] == 'yes')); ?>>Yes &nbsp; </option>
										<option value="no" <?php echo $validation->set_select('compare_mentioned', 'no', ($edit_template_default['compare_mentioned'] == 'no')); ?>>No &nbsp; </option>
									</select>
									<span class="description"><a href="#" class="flybx_tooltip" title="<?php esc_attr_e('If you want products from post/page be included in the comparison tables set this to "yes" <br />Note: only works when ASIN can be read from content and when visitor is from the same country as the link points to.', $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
									<?php $validation->show_error('compare_mentioned'); ?>
								</td></tr>*/ ?>
								
							<?php /*<tr class="form-field"><th style="width:150px;"><label for="max_products"><?php _e('Max Products To Compare', $flybx_plugin_slug);?>:</label></th>
								<td>
									<select name="max_products" id="max_products">
										<option value="2" <?php echo $validation->set_select('max_products', '2', ($edit_template_default['max_products'] == '2')); ?>>2 &nbsp; </option>
										<option value="3" <?php echo $validation->set_select('max_products', '3', ($edit_template_default['max_products'] == '3')); ?>>3 &nbsp; </option>
										<option value="4" <?php echo $validation->set_select('max_products', '4', ($edit_template_default['max_products'] == '4')); ?>>4 &nbsp; </option>
										<option value="5" <?php echo $validation->set_select('max_products', '5', ($edit_template_default['max_products'] == '5')); ?>>5 &nbsp; </option>
									</select>
									<span class="description"><a href="#" class="flybx_tooltip" title="<?php esc_attr_e('How many products to compare on a single page. Recommended setting is 3', $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
									<?php $validation->show_error('max_products'); ?>
								</td></tr>*/ ?>
								
							<tr class="form-field"><th style="width:150px;"><label for="compare_mentioned"><?php _e('Compare Attributes', $flybx_plugin_slug);?>:</label>
							<span class="description"><a href="#" class="flybx_tooltip" title="<?php esc_attr_e('Select attributes you wish to include in the comparison table. <br />Note: different product types have different attributes (for example Books have Number of Pages but Cameras don\'t). <br />It\'s up to a seller to list attributes so not all attributes are available all the time. <br />Selected attribute will be shown only if it\'s available in the API response.', $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
								<br /><br /><span>You can click product type below to check all supported attributes for it:</span>
								
								<div style="width: 160px; max-height: 400px; overflow: scroll; border: 2px dashed #cecece;"><?php 
								$prodtypes_shown_arr = array();
								foreach($flybx_attrs as $curr_attr => $curr_prod_types)
								{
									foreach($curr_prod_types as $curr_prod_type)
									{
										if (!in_array($curr_prod_type, $prodtypes_shown_arr))
										{
											$prod_type_sanit = str_replace(' ', '_', str_replace('& ', '', $curr_prod_type));
											echo '<div class="cmrzn_attr_chkbx"><a href="javascript: void(0);" onclick="javascript: flybx_chk_prodtype(\''.$prod_type_sanit.'\');" id="flybx_chkset_'.$prod_type_sanit.'" >'.flybx_camel_to_spaces($curr_prod_type).' </a></div>';
											$prodtypes_shown_arr[] = $curr_prod_type;
										}
									}
								}
								
								?>
								</div>
								
							</th>
								<td>
									
									
									<?php $validation->show_error('compare_mentioned'); ?>
									
									<div>
										<div style="max-height: 485px; overflow: scroll; border: 2px dashed #cecece;">
										<?php 
										//var_export($edit_template_default['attrs']);
										$i = 0;
										foreach($flybx_attrs as $curr_attr => $curr_prod_types)
										{
											if (!in_array($curr_attr, $flybx_skip_attrs))
											{
												echo '<div class="cmrzn_attr_chkbx"><input type="checkbox" value="'.$curr_attr.'" name="flybx_attrs[]" class="flybx_attr_chkbox flybxchkbox_'.implode(' flybxchkbox_', flybx_spaces_to_underscores($curr_prod_types)).'" id="flybxchkbox_'.$i.'" '.$validation->set_checkbox('flybx_attrs', $curr_attr, (in_array($curr_attr, $edit_template_default['attrs']))).' /><label for="flybxchkbox_'.$i.'">'.flybx_camel_to_spaces($curr_attr).'</label> <a href="#" class="flybx_tooltip" title="'.esc_attr__('Used in following product types: '.implode(', ', $curr_prod_types).'', $flybx_plugin_slug).'">'.__('( ? )', $flybx_plugin_slug).'</a></div>';
												$i++;
											}
										}
										
										?>
										</div>
										<div class="flybx_clear"></div>
										<div style="display: block; float: right;">
											<a href="javascript: void(0);" onclick="javascript: jQuery('.flybx_attr_chkbox').attr('checked', 'checked');">Select All</a> | <a href="javascript: void(0);" onclick="javascript: jQuery('.flybx_attr_chkbox').removeAttr('checked', 'checked');">Clear All</a>
										</div>
										<div class="flybx_clear"></div>
									</div>
									
								</td></tr>
								
								<tr class="form-field"><th style="width:150px;"><label for="flybx_max_attrs"><?php _e('Max Attributes to Show', $flybx_plugin_slug);?>:</label></th>
								<td>
									<select name="flybx_max_attrs" id="flybx_max_attrs">
										<?php for($i=2;$i < 36;$i++): ?>
											<option value="<?php echo $i; ?>" <?php echo $validation->set_select('flybx_max_attrs', $i, ($edit_template_default['max_attrs'] == $i)); ?>><?php echo $i; ?> &nbsp; </option>
										<?php endfor; ?>
									</select>
									<span class="description"><a href="#" class="flybx_tooltip" title="<?php esc_attr_e('How many product attributes to show in a comparison table. <br />Recommended setting is 10', $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
									<?php $validation->show_error('flybx_max_attrs'); ?>
								</td></tr>
								
								<tr class="form-field"><th style="width:150px;"><label for="flybx_best_pick"><?php _e('"Best Pick" Product', $flybx_plugin_slug);?>:</label></th>
								<td>
									<select name="flybx_best_pick" id="flybx_best_pick">

											<option value="none" <?php echo $validation->set_select('flybx_best_pick', 'none', ($edit_template_default['best_pick'] == 'none')); ?>>-- No Price Criteria -- &nbsp; </option>
											<option value="lowestprice" <?php echo $validation->set_select('flybx_best_pick', 'lowestprice', ($edit_template_default['best_pick'] == 'lowestprice')); ?>>Lowest Price &nbsp; </option>
											<option value="highestprice" <?php echo $validation->set_select('flybx_best_pick', 'highestprice', ($edit_template_default['best_pick'] == 'highestprice')); ?>>Highest Price &nbsp; </option>
											<?php
											/*$flybx_used_attrs = array();
											foreach($flybx_attrs as $curr_attr => $curr_prod_types)
											{
												if (!in_array($curr_attr, $flybx_skip_attrs))
												{
												?>
													<option value="<?php echo $curr_attr; ?>" <?php echo $validation->set_select('flybx_best_pick', 'highestprice', ($edit_template_default['best_pick'] == 'highestprice')); ?>> <?php echo $curr_attr; ?> &nbsp; </option>
												<?php 
												}
											}*/
											?>
									</select>
									<?php /*<div style="display: none;" class="flybx_bestpick_subopt">
										<select>
											<option value="eq"> = </option>
											<option value="gteq"> &gt;= </option>
											<option value="lteq"> &lt;= </option>
										</select>
									</div>*/ ?>
									<span class="description"><a href="#" class="flybx_tooltip" title="<?php esc_attr_e('Which product to select as a best pick and highlight. <br />Recommended setting is "lowest price"<br />You can have multiple criterias. Whichever product matches the most criterias will be selected as "best pick" product.', $flybx_plugin_slug); ?>"><?php _e('( ? )', $flybx_plugin_slug); ?></a></span>
									
									<?php
									$flybx_crit_lastid = 0;
									if (isset($_POST['flybx_crit_attr']) && is_array($_POST['flybx_crit_attr']))
									{
										$largest_critid = 0;
										foreach($_POST['flybx_crit_attr'] as $crit_id => $crit_attr)
										{
											if (isset($_POST['flybx_crit_sign'][$crit_id]) && isset($_POST['flybx_crit_val'][$crit_id]) && strlen($_POST['flybx_crit_val'][$crit_id]) > 0)
											{
												if ($crit_id > $largest_critid)
												{
													$largest_critid = $crit_id;
												}
											}
										}
										$flybx_crit_lastid = $largest_critid;
									}
									elseif(isset($edit_template_default['crits']) && is_array($edit_template_default['crits']) && count($edit_template_default['crits']) > 0)
									{
										$flybx_crits_copy = $edit_template_default['crits'];
										krsort($flybx_crits_copy);
										$crit_keys_arr = array_keys($flybx_crits_copy);
										$flybx_crit_lastid = $crit_keys_arr[0];
									}
									
									?>
									
									<div id="flybx_crit_target" data-lastid="<?php echo $flybx_crit_lastid; ?>">
										<?php
										//prepopulate crits
										if (isset($_POST['flybx_crit_attr']) && is_array($_POST['flybx_crit_attr']))
										{
											//prepopulate submitted crits
											foreach($_POST['flybx_crit_attr'] as $crit_id => $crit_attr)
											{
												if (isset($_POST['flybx_crit_sign'][$crit_id]) && isset($_POST['flybx_crit_val'][$crit_id]) && strlen($_POST['flybx_crit_val'][$crit_id]) > 0)
												{
													?>
													<div class="flybx_crit_<?php echo $crit_id; ?>">
														<select name="flybx_crit_attr[<?php echo $crit_id; ?>]" class="flybx_crit_attr">
															<?php 
															$i = 0;
															foreach($flybx_attrs as $curr_attr => $curr_prod_types)
															{
																if (!in_array($curr_attr, $flybx_skip_attrs))
																{
																	echo '<option value="'.$curr_attr.'" '.($crit_attr == $curr_attr?'selected':'').'>'.flybx_camel_to_spaces($curr_attr).'</option>';
																	$i++;
																}
															}
															?>
														</select>
														<select name="flybx_crit_sign[<?php echo $crit_id; ?>]" class="flybx_crit_sign">
															<option value="is" <?php echo ($_POST['flybx_crit_sign'][$crit_id] == 'is'?'selected':''); ?>>is</option>
															<option value="isnot" <?php echo ($_POST['flybx_crit_sign'][$crit_id] == 'isnot'?'selected':''); ?>>is not</option>
															<option value="lt" <?php echo ($_POST['flybx_crit_sign'][$crit_id] == 'lt'?'selected':''); ?>>less than</option>
															<option value="gt" <?php echo ($_POST['flybx_crit_sign'][$crit_id] == 'gt'?'selected':''); ?>>greater than</option>
														</select>
														<input type="text" name="flybx_crit_val[<?php echo $crit_id; ?>]" value="<?php echo str_replace('"', "'", strip_tags($_POST['flybx_crit_val'][$crit_id])); ?>" style="width: 130px;" class="flybx_crit_val" />
														<a href="javascript: void(0);" onclick="javascript: jQuery('.flybx_crit_<?php echo $crit_id; ?>').remove();" class="flybx_crit_del" title="Remove Criteria">&times;</a>
													</div>
													<?php
												}
											}
										}
										elseif(isset($edit_template_default['crits']) && is_array($edit_template_default['crits']) && count($edit_template_default['crits']) > 0)
										{
											//prepopulate saved crits
											foreach($edit_template_default['crits'] as $crit_id => $crit_data)
											{
												if (isset($crit_data['sign']) && isset($crit_data['attr']) && isset($crit_data['val']))
												{
													?>
													<div class="flybx_crit_<?php echo $crit_id; ?>">
														<select name="flybx_crit_attr[<?php echo $crit_id; ?>]" class="flybx_crit_attr">
															<?php 
															$i = 0;
															foreach($flybx_attrs as $curr_attr => $curr_prod_types)
															{
																if (!in_array($curr_attr, $flybx_skip_attrs))
																{
																	echo '<option value="'.$curr_attr.'" '.($crit_data['attr'] == $curr_attr?'selected':'').'>'.flybx_camel_to_spaces($curr_attr).'</option>';
																	$i++;
																}
															}
															?>
														</select>
														<select name="flybx_crit_sign[<?php echo $crit_id; ?>]" class="flybx_crit_sign">
															<option value="is" <?php echo ($crit_data['sign'] == 'is'?'selected':''); ?>>is</option>
															<option value="isnot" <?php echo ($crit_data['sign'] == 'isnot'?'selected':''); ?>>is not</option>
															<option value="lt" <?php echo ($crit_data['sign'] == 'lt'?'selected':''); ?>>less than</option>
															<option value="gt" <?php echo ($crit_data['sign'] == 'gt'?'selected':''); ?>>greater than</option>
														</select>
														<input type="text" name="flybx_crit_val[<?php echo $crit_id; ?>]" value="<?php echo str_replace('"', "'", strip_tags($crit_data['val'])); ?>" style="width: 130px;" class="flybx_crit_val" />
														<a href="javascript: void(0);" onclick="javascript: jQuery('.flybx_crit_<?php echo $crit_id; ?>').remove();" class="flybx_crit_del" title="Remove Criteria">&times;</a>
													</div>
													<?php
												}
											}
										}
										
										?>
										
										
									</div>
									
									<div style=""><a href="javascript: void(0);" onclick="javascript: flybx_add_crit();">+ Add Criteria</a></div>
									
									<div id="flybx_crit_copyfrom" style="display: none;">
										<div class="flybx_crit_new">
											<select name="" class="flybx_crit_new_attr flybx_crit_attr">
												<?php 
												$i = 0;
												foreach($flybx_attrs as $curr_attr => $curr_prod_types)
												{
													if (!in_array($curr_attr, $flybx_skip_attrs))
													{
														echo '<option value="'.$curr_attr.'" >'.flybx_camel_to_spaces($curr_attr).'</option>';
														$i++;
													}
												}
												?>
											</select>
											<select name="" class="flybx_crit_new_sign flybx_crit_sign">
												<option value="is">is</option>
												<option value="isnot">is not</option>
												<option value="lt">less than</option>
												<option value="gt">greater than</option>
											</select>
											<input type="text" name="" style="width: 130px;" class="flybx_crit_new_val flybx_crit_val" />
											<a href="javasctipt: void(0);" class="flybx_crit_new_del flybx_crit_del" title="Remove Criteria">&times;</a>
										</div>
									</div>
									
									
									<?php $validation->show_error('flybx_best_pick'); ?>
								</td></tr>
								
						</table>
					</div>
				</div>
			</div>
			
			<div id="flybx_shortcode_wrap" class="flybx_short_code">
				Copy this code and paste it into your post or page content:<br />
				<input type="text" value="[azonflybox id='<?php echo $edit_template_default['id']; ?>']" id="flybx_shortcode_val" onclick="javascript: this.select();">			
			</div>
			
			<div id="flybx_phptag_wrap" class="flybx_short_code">
				Copy this code and paste it into your theme file:<br />
				<input type="text" value="&lt;?php if (function_exists('azonflybox_template')) { azonflybox_template('<?php echo $edit_template_default['id']; ?>'); } ?&gt;" id="flybx_phptag_val" style="width: 550px;" onclick="javascript: this.select();">			
			</div>
			
			<div id="flybx_html_wrap" class="flybx_short_code">
				Copy this code and paste it into your post or page content:<br />
				<input type="text" value='&lt;div class="azonflybox_html_template" data-id="<?php echo $edit_template_default['id']; ?>"&gt;&lt;/div&gt;' id="flybx_shortcode_val" style="width: 550px;" onclick="javascript: this.select();">			
			</div>
				
			</td>
		</tr>
	</table>
		
	<table>
	<tr><td>&nbsp;</td><td class="submit"><input type="submit" name="btnsubmit" value="<?php esc_attr_e('Save Settings', $flybx_plugin_slug); ?>" class="button-primary" /></td></tr>
	</table>
	
	<input type="hidden" name="max_products" id="max_products" value="3" />
	<input type="hidden" name="compare_mentioned" id="compare_mentioned" value="yes" />
	<input type="hidden" name="flybx_position" id="flybx_position" value="4" />
	<input type="hidden" name="flybx_design" id="flybx_design" value="1" />
	<input type="hidden" name="flybx_hidden_patch_footer" id="flybx_hidden_patch_footer" value="no" />
	<input type="hidden" name="flybx_form_submitted" value="yes" />
</form>

<?php //animation options for a swap ?>
<div style="display: none;">
	<?php
	foreach($available_sizes as $size_id => $size):
	$avail_options = $template->available_animations(FALSE, $size_id);
	?>
	<div id="size_anim_wrap_<?php echo $size_id; ?>">
		<select name="flybx_animation" onchange="javascript: if (this.value == '1' || this.value == '') {jQuery('.flybx_animint_option').addClass('flybx_hide_option');} else {jQuery('.flybx_animint_option').removeClass('flybx_hide_option');}">
			<option value=""><?php _e('-- Select Template Animation --', $flybx_plugin_slug); ?> &nbsp; </option>
			<?php foreach($avail_options as $key => $val): ?>			
				<option value="<?php echo $key; ?>"><?php echo $val; ?></option>
			<?php endforeach; ?>
		</select>
	</div>
	<?php
	endforeach; 
	?>
	<div id="size_anim_wrap_none">
		<select name="flybx_animation" onchange="javascript: if (this.value == '1' || this.value == '') {jQuery('.flybx_animint_option').addClass('flybx_hide_option');} else {jQuery('.flybx_animint_option').removeClass('flybx_hide_option');}">
				<option value=""><?php _e('-- Select Template Size --', $flybx_plugin_slug); ?> &nbsp;</option>
		</select>
	</div>
</div>

<script type="text/javascript">
function flybx_replace_anim_options(size_id)
{
	if (size_id == '')
	{
		//jQuery('#flybx_animation option').detach();
		//var curr_opts = jQuery('#size_anim_options_none option');
		//console.log(curr_opts);
		jQuery('#flybx_animation_wrap').html(jQuery('#size_anim_wrap_none').html());
	}
	else
	{
		jQuery('#flybx_animation_wrap').html(jQuery('#size_anim_wrap_' + size_id).html());
	}

}
var flybx_orig_type = '<?php echo $edit_template_default['position']; ?>';
function flybx_show_shorttag(selected_type)
{
	jQuery('#flybx_shortcode_wrap, #flybx_phptag_wrap, #flybx_html_wrap').css('display', 'none');
	if (flybx_orig_type == selected_type)
	{
		if (selected_type == '2')
		{
			jQuery('#flybx_shortcode_wrap').css('display', 'block');
		}
		if (selected_type == '5')
		{
			jQuery('#flybx_phptag_wrap').css('display', 'block');
		}
		if (selected_type == '7')
		{
			jQuery('#flybx_html_wrap').css('display', 'block');
		}
	}
}

function flybx_chk_prodtype(prod_type)
{
	if (jQuery('#flybx_chkset_' + prod_type).hasClass('flybx_tgl'))
	{
		jQuery('.flybxchkbox_' + prod_type).removeAttr('checked','checked');
		jQuery('#flybx_chkset_' + prod_type).removeClass('flybx_tgl');
	}
	else
	{
		jQuery('.flybxchkbox_' + prod_type).attr('checked','checked');
		jQuery('#flybx_chkset_' + prod_type).addClass('flybx_tgl');
	}
}

function flybx_update_bestpick(curr_val)
{
	if (curr_val == 'none' || curr_val == 'lowestprice' || curr_val == 'highestprice')
	{
		jQuery('.flybx_bestpick_subopt').css('display', 'none');
	}
}

function flybx_add_crit()
{
	var curr_lastid = parseInt(jQuery('#flybx_crit_target').attr('data-lastid'));
	var new_crit_id = curr_lastid + 1;
	var cirt_contents = jQuery('#flybx_crit_copyfrom').html();
	console.log(cirt_contents);
	jQuery('#flybx_crit_target').append(cirt_contents);
	//add new id to names
	jQuery('#flybx_crit_target .flybx_crit_new_attr').attr('name', 'flybx_crit_attr[' + new_crit_id + ']');
	jQuery('#flybx_crit_target .flybx_crit_new_attr').removeClass('flybx_crit_new_attr');
	jQuery('#flybx_crit_target .flybx_crit_new_sign').attr('name', 'flybx_crit_sign[' + new_crit_id + ']');
	jQuery('#flybx_crit_target .flybx_crit_new_sign').removeClass('flybx_crit_new_sign');
	jQuery('#flybx_crit_target .flybx_crit_new_val').attr('name', 'flybx_crit_val[' + new_crit_id + ']');
	jQuery('#flybx_crit_target .flybx_crit_new_val').removeClass('flybx_crit_new_val');
	//incriment lastid
	jQuery('#flybx_crit_target').attr('data-lastid', new_crit_id);
	jQuery('#flybx_crit_target .flybx_crit_new').addClass('flybx_crit_' + new_crit_id);
	jQuery('#flybx_crit_target .flybx_crit_new').removeClass('flybx_crit_new');
	//bind remove crit click
	
	jQuery('#flybx_crit_target .flybx_crit_new_del').bind('click', function() {
	  jQuery('.flybx_crit_' + new_crit_id).remove();
	  return false;
	});
	jQuery('#flybx_crit_target .flybx_crit_new_del').removeClass('flybx_crit_new_del');
	
	
	
}

/*jQuery(document).ready(function() {
flybx_show_shorttag(jQuery('#flybx_position').val());
});*/
</script>

<style>
.flybx_hide_option {
display: none;
}
.flybx_short_code {
color: white;
background: #7E4E0B;
width: 100%;
-moz-border-radius: 6px;
border-radius: 6px;
padding: 10px;
}
.flybx_short_code input {
color: white;
background: #7E4E0B;
border: 0;
font-size: 14px;
line-height: 16px;
}
#flybx_shortcode_wrap, #flybx_phptag_wrap, #flybx_html_wrap {
display: none;
}
.flybx_skinny_tbl td {
padding: 0px;
font-style: italic;
}
.tbl_cntrd {
text-align: center;
}

.cmrzn_attr_chkbx {width: 150px; padding: 3px 5px; display: block; float: left;}
.cmrzn_attr_chkbx input {width: 15px; float: left; margin-right: 5px;}
.cmrzn_attr_chkbx .flybx_tooltip {display: block; float: right; font-size: 8px;}
.flybx_clear {clear: both;}
</style>