// JavaScript Document





jQuery.fn.graphix = function(options){

	var defaults = {width:600,height:500,onelementclick:function(data){  },oncategoryclick:function(data){ },mode:"table",input:"",type:"bar",background:"#101010"};

	var options = jQuery.extend(defaults, options);

	

	

	

	//variables initialization

	

	var tooltip;

	var table = jQuery(this);

	

	table.wrap("<div />");

	var parent = table.parent();

	var variation = ["0-#e77200-#862300:15-#e77200","0-#ff4884-#75002c:15-#e70067","0-#159c03-#030:15-#159c03","0-#037a9c-#004055:15-#037a9c","0-#ee0510-#a90000:15-#ee0510"

					 ,"0-#053cee-#2800a9:15-#053cee"

					 ,"0-#05eea4-#00a950:15-#05eea4"

					 ,"0-#e0ee05-#a3a900:15-#e0ee05"

					 ,"0-#ee05eb-#a700a9:15-#ee05eb"

					 ,"0-#f6607d-#d23756:15-#f6607d"

					 ,"0-#dd6e3c-#f94f00:15-#dd6e3c"

					 ,"0-#c6d600-#84871c:15-#c6d600"

					 ,"0-#7a62b5-#503a87:15-#7a62b5"

					 ,"0-#b9c39a-#91a77c:15-#b9c39a"

					

					 ];

	

	var border = ["#e77200","#e70067","#159c03","#037a9c","#ee0510"

					 ,"#053cee"

					 ,"#05eea4"

					 ,"#e0ee05"

					 ,"#ee05eb"

					 ,"#f6607d"

					 ,"#dd6e3c"

					 ,"#c6d600"

					 ,"#7a62b5"

					 ,"#b9c39a"

					

					 ];

	

	

	var categories,group_tags,title,legendy,title_width,i=0,j=0;

	var data = new Array();

	var curr_data = new Array();

	var max=0,i=0,j=0;

	var bar = new Array();

	var bottommargin = options.height-70;

	var scale = (options.height-100)/ 10 ;	

	var datalen = 0,gridlines=0,clen;

	var set = new Array();

	

	var divide_by = 0;

	if (options.divide_by > 0)

	{

		divide_by = options.divide_by;		

	}

	

	if(options.mode=="table")

	{

	 categories = jQuery.makeArray(table.find("thead th"));

	 group_tags = jQuery.makeArray(table.find("tbody th"));

	 

	 for(i=0;i<categories.length;i++)

	 categories[i] = categories[i].innerHTML;

	 

	 for(i=0;i<group_tags.length;i++)

	 group_tags[i] = group_tags[i].innerHTML;

	 

	 title = table.find("caption").html();

	 legendy = table.find("caption#legend").html();

	 title_width = table.find("caption").width();

	 

	  clen = categories.length;

	  if(clen==0)

	 clen =1;

	

	



	

	  	for(i=0;i<group_tags.length;i++)

	  	{

			  data[i] = new Array();

			  for(j=0;j<clen;j++)

			  {

					 data[i][j] = table.find("tbody tr:eq("+i+") td:eq("+j+")").html();

							

					if(Math.ceil(parseInt(data[i][j]))>max)

					max = Math.ceil(data[i][j]);

					

			  }

			  

		  }

		  if (max < 10)

		  {

			max = 10;

		  }

	  

	}

	else if(options.mode=="xml")

	{

		categories = new Array();

		group_tags = new Array();

		

		 title  = jQuery(options.input).attr("title");

	    legendy = jQuery(options.input).attr("legendy");

	    title_width = 80;

	 

		clen = categories.length;

	  if(clen==0)

	 clen =1;

	 

		jQuery(options.input).find("object").each(function()

  		{

			j=0;

   			 group_tags[i] = jQuery(this).attr("name");

			 data[i] = new Array();

			 jQuery(this).find("category").each(function(){

								   

								   categories[j] = jQuery(this).attr("name");

								   data[i][j]= jQuery(this).attr("value") ;

								   

								   

								   if(Math.ceil(parseInt(data[i][j]))>max)

					               max = Math.ceil(data[i][j]);

								   j++;

								   });

			 i++;

  		});

		

	  

		

	}

	else if(options.mode=="json")

	{

		

	}

	else if(options.mode=="array")

	{

	}

	

	

	  

	  

	  

	datalen = data[0].length * group_tags.length;

	

	

	

	// remove table and add a canvas

	

	if(options.background=="none")

	jQuery(parent).css({width:options.width,height:options.height});

	else

	jQuery(parent).css({width:options.width,height:options.height,background:options.background});

	

	

	var graph = Raphael(jQuery(this).parent()[0],options.width,options.height);jQuery(table).remove();

	var x_axis,y_axis;

	

	// setup graph

	  function initgraph()

	  {

	  

	  y_axis = graph.path("M40 30L40 "+(options.height-70)).attr({stroke: "#717171"});

	  x_axis = graph.path("M40 "+(options.height-70)+"L"+(options.width-30)+" "+(options.height-70)).attr({stroke: "#717171"});

	  

	  graph.path("M"+(options.width-29)+" 30L "+(options.width-29)+" "+(options.height-70)).attr({stroke: "#666666"});

	  

	  graph.text(options.width-19,options.height/2,legendy).attr({fill: "#717171"}).rotate(90);

	  graph.text(20,options.height-70,"0").attr({fill: "#717171"});

	  

	  //graph.text(50+title_width,15,title).attr({fill: "#ffffff","font-size":options.height/35});	

	  

	  jQuery(parent).prepend("<span style='position:absolute;color:#ffffff;padding-left:5px;'>"+title+"</span>");

	  

	  var temp =30;

	  var nscale =0;

	  while(temp<(options.height-70))

		{			

			//alert(max-nscale+" ");

			if (divide_by != 0)

			{

				graph.text(20,temp,(max-nscale) / divide_by+" ").attr({fill: "#888888"});

			}

			else

			{

				graph.text(20,temp,max-nscale+" ").attr({fill: "#888888"});

			}

			

			y_line = graph.path("M40 "+(temp)+" L"+(options.width-30)+" "+(temp)).attr({stroke: "#777777","stroke-dasharray": "-"});

			temp = temp + scale;

			nscale = Math.floor(nscale + max/10);

			gridlines++;

		}



	  

	  }

	

	  function initganttgraph()

	  {

		scale = (options.width-70)/ 10 ;	

		

		y_axis = graph.path("M30 30L30 "+(options.height-70)).attr({stroke: "#717171"});

		x_axis = graph.path("M30 "+(options.height-70)+"L"+(options.width-40)+" "+(options.height-70)).attr({stroke: "#717171"});

		graph.text(30,options.height-60,"0").attr({fill: "#717171"});

				

			//graph.text(title_width,15,title).attr({fill: "#ffffff","font-size":options.height/35});		

		jQuery(parent).prepend("<span style='position:absolute;color:#ffffff;padding-left:5px;'>"+title+"</span>");

			

		graph.path("M30 30L"+(options.width-40)+" 30 ").attr({stroke: "#717171"});

		graph.text(options.width-140,20,legendy).attr({fill: "#717171","font-size":options.height/35});

		var temp =scale+30;

		var nscale =Math.floor( max/10);

		while(temp<(options.width-10))

		{

			graph.text(temp,bottommargin+10,nscale+" ").attr({fill: "#888888"});

			y_line = graph.path("M "+(temp)+" 30 L"+(temp)+" "+(bottommargin)).attr({stroke: "#777777","stroke-dasharray": "-"});

			temp = temp + scale;

			nscale = Math.floor(nscale + max/10);

			gridlines++;

		}

		jQuery(parent).prepend("<span style='position:absolute;color:#ffffff;padding-left:5px;'>"+title+"</span>");

	  }

	

	

	function createbargraph()

	{

		var width = Math.floor((options.width-70)/datalen - (group_tags.length/1.5));

		var bar_width = new Array();

		var w_inr = 40,temp,index=0;

		bar = new Array();

		

		

	   for(i=0;i<group_tags.length;i++)

	   {

		

		  

		for(j=0;j<categories.length;j++)

		{

			temp =  Math.floor(data[i][j]/max * gridlines * scale );

			

		   bar[index] =  graph.rect(w_inr,bottommargin-temp,width,temp).attr({fill: variation[j], stroke: border[j]});	

		  

		   jQuery(bar[index].node).attr("id",data[i][j]+" "+categories[j]+" "+group_tags[i]);

		   bar_width[index] = temp;

		   w_inr = w_inr +  width+ 2;

		    bar[index].click(function(){

							   options.onelementclick(jQuery(this.node).attr("id"));

							

							   });

			 index++;

		   }

	  

		

		

		 ///graph.text(w_inr-(width/((group_tags.length*2.2)/10)),bottommargin+10,group_tags[i]).attr({fill: "#CCCCCC"});

		 graph.text(w_inr-(width/2+ (width/2)*(categories.length-1) ),bottommargin+10,group_tags[i]).attr({fill: "#CCCCCC"});

		  w_inr = w_inr + categories.length;

	  }

	  

	  x_axis.toFront();

	    w_inr = 40;

		var offset = 0;

	   for(i=0;i<categories.length;i++)

	   {

		  temp = graph.rect( w_inr,bottommargin+35,20,20).attr({fill: variation[i], stroke: border[i]});

		  

		    jQuery(temp.node).attr("id",categories[i]);

		     temp.click(function(){

								

								 options.oncategoryclick(jQuery(this.node).attr("id"));

								 

								 });

		    temp.mouseover(function(){

						

					

						tooltip = graph.text(this.attr("x"),this.attr("y")+27,jQuery(this.node).attr("id")).attr({fill: "#ffffff"});

						var stroke = ""+this.attr("stroke");

						

						

						   for(j=0;j<bar.length;j++)

						  {

							   

							   if(bar[j].attr("stroke")!=stroke)

							   bar[j].animate({"height":0,y:bottommargin},1300,"bounce");

						   }

							   });

			 temp.mouseout(function(){

						

					

						tooltip.remove();

						

						var stroke = ""+this.attr("stroke");

						

						

						   for(j=0;j<bar.length;j++)

						  {

							   

							   if(bar[j].attr("stroke")!=stroke)

							   bar[j].animate({"height":bar_width[j],y:bottommargin-bar_width[j]},1300,"bounce");

						   }

							   });

		  

		  w_inr = w_inr + options.width/(categories.length+1);

	  }

	 

	  graph.text(90,bottommargin+25,"Categories: Hover to filter/show labels").attr({fill: "#ffffff"});

	  

	}

	

	function createganttgraph()

	{

		var width = Math.floor((options.height-110)/datalen - (categories.length/1.5));

		var swap = 0;

		var w_inr = 40,temp,rect=new Array(),offset,predata,index=0;

		

	   for(i=0;i<group_tags.length;i++)

	   {

		

		 

		  offset=30;predata=0;

		

		for(j=0;j<categories.length;j++)

		{

			

			temp =  Math.floor(data[i][j]/max * gridlines * scale );

			if(temp>predata)

			swap = temp-predata;

			else

			{

				swap = predata-temp;

				offset = offset +  temp - predata ;

			}

		   rect[index] = graph.rect(offset,w_inr,swap,width).attr({fill: variation[j], stroke: border[j]});	

		    jQuery(rect[index].node).attr("id",data[i][j]+" "+categories[j]+" "+group_tags[i]);

			

			 rect[index++].click(function(){

							   options.onelementclick(jQuery(this.node).attr("id"));

							

							   });

			

			if(temp>predata)

			offset = offset +  temp - predata ;

			

			

			predata =  temp ;

		   w_inr = w_inr +  width+ 2;

		   

	   }

	  graph.text(20,w_inr-width*2,group_tags[i]).attr({fill: "#717171"}).rotate(-90); 

		 w_inr = w_inr + categories.length;

		 

		// graph.text(w_inr-(width*group_tags.length/2*1.5),bottommargin+10,group_tags[i]).attr({fill: "#CCCCCC"});

	  }

	  

	  y_axis.toFront();

	  

	    w_inr = 40;

		

		

	    for(i=0;i<categories.length;i++)

	   {

		   temp = graph.rect( w_inr,bottommargin+35,20,20).attr({fill: variation[i], stroke: border[i]});

		   jQuery(temp.node).attr("id",categories[i]);

		     temp.click(function(){

								

								 options.oncategoryclick(jQuery(this.node).attr("id"));

								 

								 });

		    temp.mouseover(function(){

						

						

						tooltip = graph.text(this.attr("x"),this.attr("y")+27,jQuery(this.node).attr("id")).attr({fill: "#ffffff"});

						

						

						

						var stroke = ""+this.attr("stroke");

						

						

						   for(j=0;j<rect.length;j++)

						  {

							   

							   if(rect[j].attr("stroke")!=stroke)

							   rect[j].animate({"opacity":0,"stroke-opacity":0},1300,">");

						   }

							   });

			 temp.mouseout(function(){

						

							tooltip.remove();

						

						

						var stroke = ""+this.attr("stroke");

						

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<rect.length;j++)

						  {

							   

							   if(rect[j].attr("stroke")!=stroke)

							   rect[j].animate({"opacity":1,"stroke-opacity":1},1300,"bounce");

						   }

							   });

		  

		  w_inr = w_inr + options.width/(categories.length+1);

	  }

	   graph.text(90,bottommargin+25,"Categories: Hover to filter/show labels").attr({fill: "#ffffff"});

	}

		

	function createlinegraph()

	{

		

		

		var w_inr,temp,line;

	   var tx,ty;

	   var path = new Array();

	   set = new Array();



	  for(i=0;i<categories.length;i++)

	   {

		   

		   w_inr = (options.width-10)/group_tags.length;

		   

	   temp =  Math.floor(data[0][i]/max * gridlines * scale );

	  line = "M40 "+bottommargin+" L"+w_inr+" "+(bottommargin-temp)+" ";

	  set[i] = graph.set();

	   tx = w_inr;

	   ty = temp;

	   for(j=0;j<group_tags.length;j++)

		{

			temp =  Math.floor(data[j][i]/max * gridlines * scale );

			set[i].push ( graph.circle(w_inr,(bottommargin-temp),2).attr({ stroke: border[i],fill: border[i], "stroke-width":2}) );

		line = line + tx+" "+(bottommargin-ty)+" L "+w_inr+" "+(bottommargin-temp)+" ";



		   tx = w_inr; ty = temp;  

		   w_inr = w_inr +  (options.width-31)/group_tags.length;

		   //alert(data[j][i]);

	   }

	   

	   

	    path[i] = graph.path(line).attr({ stroke: border[i], "stroke-width":2 });

		

		jQuery(path[i].node).attr("id",categories[i]);

		

	     path[i].click(function(){

							   //options.onelementclick( jQuery(this.node).attr("id"));							

							   //options.click(function() {

								  //jQuery("#target").click();

								  //alert(data[1][i]);

								  //alert(jQuery(this.node).attr("id"));

								//});							

							   });

							   



							   

	   }

	   

	  w_inr = (options.width-40)/group_tags.length;

	   for(i=0;i<group_tags.length;i++)

	   {

		    

			graph.text(w_inr,bottommargin+10,group_tags[i]).attr({fill: "#ffffff"});

			w_inr = w_inr + (options.width-40)/group_tags.length;

			//alert(group_tags[i]);

	   }

	   

	   

	  x_axis.toFront();

	    w_inr = 40;

		var offset = 0;

	    for(i=0;i<categories.length;i++)

	   {

		  temp =  graph.rect( w_inr,bottommargin+35,20,20).attr({fill: border[i], stroke: border[i]});

		     jQuery(temp.node).attr("id",categories[i]);

		     temp.click(function(){

								

								 options.oncategoryclick(jQuery(this.node).attr("id"));

								 

								 });

		   temp.mouseover(function(){

						

						var stroke = ""+this.attr("stroke");

						

						

						tooltip = graph.text(this.attr("x"),this.attr("y")+27,jQuery(this.node).attr("id")).attr({fill: "#ffffff"});

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<path.length;j++)

						  {

							   

							   if(path[j].attr("stroke")!=stroke)

							  {

								  set[j].attr({"opacity":0});

								  path[j].animate({"opacity":0},1300,">");

							  }

							   

						   }

							   });

			 temp.mouseout(function(){

						

						

						tooltip.remove();

						var stroke = ""+this.attr("stroke");

						

						//alert(this.attr("stroke")+" "+categories.length);

						    for(j=0;j<path.length;j++)

						  {

							   

							   if(path[j].attr("stroke")!=stroke)

							   {

								   path[j].animate({"opacity":1},1300,"bounce");

							   set[j].attr({"opacity":1});

							   }

						   }

							   });

		  

		  

		  w_inr = w_inr + options.width/(categories.length+1);

		  

	  }

	  

	   graph.text(90,bottommargin+25,"Categories: Hover to filter/show labels").attr({fill: "#ffffff"});

	}

	

	function piechart()

	{

		var cx = options.width/2,cy = options.height/2,r = options.width/3;

		jQuery(parent).prepend("<span style='position:absolute;color:#ffffff;padding-left:5px;font-size:10px'>"+title+"</span>");

		var rad = Math.PI / 180;

	  function sector(cx, cy, r, startAngle, endAngle,i) {

        var x1 = cx + r * Math.cos(-startAngle * rad),

            x2 = cx + r * Math.cos(-endAngle * rad),

            y1 = cy + r * Math.sin(-startAngle * rad),

            y2 = cy + r * Math.sin(-endAngle * rad);

			

			

        return graph.path(["M", cx, cy, "L", x1, y1, "A", r, r, 0, +(endAngle - startAngle > 180), 0, x2, y2, "z"]).attr({fill:90+""+variation[i],stroke:border[i]});

		

    }

	

	var startangle = 0;

	var angle,x,y;

	var ix,iy;

	var endangle,total=0,pie = new Array();

	 for(i=0;i<group_tags.length;i++)

	 total = total +  parseInt(data[i][0]);

	 

	 for(i=0;i<group_tags.length;i++)

	 {

		 angle =  parseInt(data[i][0])/total * 360;

		 endangle = startangle + angle;

		 

		 x = cx + (r +  45) * Math.cos(-(startangle + angle/2) * rad);

		 y = cy + (r +  25) * Math.sin(-(startangle + angle/2) * rad);

		 

		 ix = cx + (r - r/4 ) * Math.cos(-(startangle + angle/2) * rad);

		 iy = cy + (r - r/4) * Math.sin(-(startangle + angle/2) * rad);

		 

		 graph.text(x,y,group_tags[i]).attr({fill: "#ffffff"}).toFront();

		 

		 pie[i] = sector(cx,cy,r,startangle,endangle,i);

		 

		 jQuery(pie[i].node).attr("id",data[i][0]+" "+group_tags[i]);

		

	     pie[i].click(function(){

							   options.onelementclick( jQuery(this.node).attr("id"));

							

							   });

		 

		   pie[i].mouseover(function(){

						

						var stroke = ""+this.attr("stroke");

						

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<pie.length;j++)

						  {

							   

							   if(pie[j].attr("stroke")!=stroke)

							   pie[j].animate({"opacity":0,"stroke-opacity":0},1300,">");

							  

						   }

							   });

		     pie[i].mouseout(function(){

						

						var stroke = ""+this.attr("stroke");

						

						//alert(this.attr("stroke")+" "+categories.length);

						    for(j=0;j<pie.length;j++)

						  {

							   

							   if(pie[j].attr("stroke")!=stroke)

							   pie[j].animate({"opacity":1,"stroke-opacity":1},1300,"bounce");

							  

						   }

							   });

		 var tmp = data[i][0]/total*100+"";

		 tmp = tmp.substr(0,7)+"%";

		 graph.text(ix,iy,tmp).attr({fill: "#ffffff","font-size":r/12});

		 startangle = endangle;

	 }

	 

	}

		

	function createareagraph()

	{

		



		var w_inr,temp,rect,area = new Array(),line = new Array();

	   var tx,ty;

	   set = new Array();

	  for(i=0;i<categories.length;i++)

	   {

		   w_inr = (options.width-10)/group_tags.length;

	   temp =  Math.floor(data[0][i]/max * gridlines * scale );

	  var str = "M40 "+bottommargin+" L"+w_inr+" "+(bottommargin-temp)+" ";

	   tx = w_inr;

	   ty = temp;

	   

	   set[i] = graph.set();

	   for(j=0;j<group_tags.length;j++)

		{

			temp =  Math.floor(data[j][i]/max * gridlines * scale );

			set[i].push ( graph.circle(w_inr,(bottommargin-temp),2).attr({ stroke: border[i], "stroke-width":2 ,fill: border[i]}) );

		  str = str +tx+" "+(bottommargin-ty)+" L "+w_inr+" "+(bottommargin-temp)+" ";

		   tx = w_inr; ty = temp;  

		   w_inr = w_inr +  (options.width-35)/group_tags.length;

		   

	   }

	     

		 area[i] = graph.path(str+tx+" "+(bottommargin-ty)+" L "+tx+" "+(bottommargin)+" L 40 "+bottommargin+"z").attr({ fill:border[i],stroke: border[i], "stroke-width":1,opacity:0.5,"stroke-opacity":1 });

		// line[i] = graph.path(str+tx+" "+(bottommargin-ty)+" L "+tx+" "+(bottommargin)+" L 30 "+bottommargin+"z").attr({ stroke: border[i], "stroke-width":1});

	     

		 jQuery(area[i].node).attr("id",categories[i]);

		

	     area[i].click(function(){

							   options.onelementclick( jQuery(this.node).attr("id"));

							

							   });

		  

	   }

	   

	  w_inr = (options.width-40)/group_tags.length;

	   for(i=0;i<group_tags.length;i++)

	   {

		    

			graph.text(w_inr,bottommargin+10,group_tags[i]).attr({fill: "#ffffff"});

			w_inr = w_inr + (options.width-40)/group_tags.length;

	   }

	   

	   

	  x_axis.toFront();

	    w_inr = 40;

		var offset = 0;

	    for(i=0;i<categories.length;i++)

	   {

		  temp = graph.rect( w_inr,bottommargin+35,20,20).attr({fill: border[i], stroke: border[i]});

		  

		 jQuery(temp.node).attr("id",categories[i]);

		  temp.click(function(){

								

								 options.oncategoryclick(jQuery(this.node).attr("id"));

								 

								 });

		  temp.mouseover(function(){

						

						var stroke = ""+this.attr("stroke");

						

						tooltip = graph.text(this.attr("x"),this.attr("y")+27,jQuery(this.node).attr("id")).attr({fill: "#ffffff"});

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<area.length;j++)

						  {

							   

							   if(area[j].attr("stroke")!=stroke)

							   {

								   area[j].animate({"opacity":0,"stroke-width":0},1300,">");

								   set[j].attr({"opacity":0});

							   }

							   else

							   area[j].animate({"opacity":1},1300,">");

							 //  line[j].attr("opacity",0);

						   }

							   });

		  temp.mouseout(function(){

						

						var stroke = ""+this.attr("stroke");

						

						tooltip.remove();

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<area.length;j++)

						  {

							   set[j].attr({"opacity":1});

							 //  line[j].attr("opacity",1);

							   area[j].animate({"opacity":0.5,"stroke-width":0},1300,">");

						   }

							   });

		   w_inr = w_inr + options.width/(categories.length+1);

	  }

	  

	  graph.text(90,bottommargin+25,"Categories: Hover to filter/show labels").attr({fill: "#ffffff"});

	}

		

	function createbubblegraph()

	{

		

		

		var w_inr,temp,rect,circle = new Array(),index=0;

	   var tx,ty;

	  

	  for(i=0;i<categories.length;i++)

	   {

		   w_inr = (options.width-40)/group_tags.length;

	   temp =  Math.floor(data[0][i]/max * gridlines * scale );

	 

	   tx = w_inr;

	   ty = temp;

	   for(j=0;j<group_tags.length;j++)

		{

			temp =  Math.floor(data[j][i]/max * gridlines * scale );

			

			circle[index] = graph.circle(w_inr,(bottommargin-temp),data[j][i]).attr({ fill:border[i], stroke: border[i], "stroke-width":1 ,opacity:0.5});

		 jQuery(circle[index].node).attr("id",data[j][i]+" "+categories[i]+" "+group_tags[j]);

		

	     circle[index++].click(function(){

							   options.onelementclick( jQuery(this.node).attr("id"));

							

							   });

		 

		   tx = w_inr; ty = temp;  

		   w_inr = w_inr +  (options.width-40)/group_tags.length;

		   

	   }

	  

	   

	   }

	   

	  w_inr = (options.width-40)/group_tags.length;

	   for(i=0;i<group_tags.length;i++)

	   {

		    

			graph.text(w_inr,bottommargin+10,group_tags[i]).attr({fill: "#ffffff"});

			w_inr = w_inr + (options.width-40)/group_tags.length;

	   }

	   

	   

	  x_axis.toFront();

	    w_inr = 40;

		var offset = 0;

	    for(i=0;i<categories.length;i++)

	   {

		  temp = graph.rect( w_inr,bottommargin+35,20,20).attr({fill: border[i], stroke: border[i]});

		  

		   jQuery(temp.node).attr("id",categories[i]);

		  temp.click(function(){

								

								 options.oncategoryclick(jQuery(this.node).attr("id"));

								 

								 });

		    temp.mouseover(function(){

						

						var stroke = ""+this.attr("stroke");

						

						tooltip = graph.text(this.attr("x"),this.attr("y")+27,jQuery(this.node).attr("id")).attr({fill: "#ffffff"});

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<circle.length;j++)

						  {

							   

							   if(circle[j].attr("stroke")!=stroke)

							   circle[j].animate({"opacity":0,"stroke-width":0},1300,">");

							   else

							   circle[j].animate({"opacity":1},1300,">");

							   

						   }

							   });

		  temp.mouseout(function(){

						

						var stroke = ""+this.attr("stroke");

						

						tooltip.remove();

						//alert(this.attr("stroke")+" "+categories.length);

						   for(j=0;j<circle.length;j++)

						  {

							   

							   

							   circle[j].animate({"opacity":0.5,"stroke-width":0},1300,"bounce");

						   }

							   });

		  

		  w_inr = w_inr + options.width/(categories.length+1);

	  }

	  

	   graph.text(90,bottommargin+25,"Categories: Hover to filter/show labels").attr({fill: "#ffffff"});

	}

	

	switch(options.type)

	{

		case "bar":initgraph();createbargraph(); break;

		case "line":initgraph();createlinegraph();break;

		case "area":initgraph();createareagraph();break;

		case "bubble":initgraph();createbubblegraph();break;

		case "gantt":initganttgraph();createganttgraph();break;

		case "pie":piechart();break;

		default:initgraph();createbargraph(); break;

	}

	

     



}