<?php
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	divdemo_terms();
	function divdemo_terms() {
		global $wpdb, $wp_rewrite;
		if (!get_option("blogname", false)) {
			return;
		}
	ob_start();
?>SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

DROP TABLE IF EXISTS `@@TABLE_PREFIX@@terms`;
CREATE TABLE IF NOT EXISTS `@@TABLE_PREFIX@@terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=130 ;

INSERT INTO `@@TABLE_PREFIX@@terms` (`term_id`, `name`, `slug`, `term_group`) VALUES
(1, 'Uncategorized', 'uncategorized', 0),
(2, 'Main Menu', 'main-menu', 0),
(3, 'Design', 'design', 0),
(4, 'Hot stuff', 'hot-stuff', 0),
(5, 'simple', 'simple', 0),
(6, 'grouped', 'grouped', 0),
(7, 'variable', 'variable', 0),
(8, 'external', 'external', 0),
(9, 'pending', 'pending', 0),
(10, 'failed', 'failed', 0),
(11, 'on-hold', 'on-hold', 0),
(12, 'processing', 'processing', 0),
(13, 'completed', 'completed', 0),
(14, 'refunded', 'refunded', 0),
(15, 'cancelled', 'cancelled', 0),
(16, 'Coats', 'coats', 0),
(17, 'Glasses', 'glasses', 0),
(22, 'Promo', 'promo', 0),
(26, 'images', 'images', 0),
(27, 'buildings', 'buildings', 0),
(28, 'photos', 'photos', 0),
(29, 'wormhole', 'wormhole', 0),
(30, 'science', 'science', 0),
(31, 'modern', 'modern', 0),
(32, 'technology', 'technology', 0),
(33, 'tunnel', 'tunnel', 0),
(34, 'light', 'light', 0),
(35, 'bike', 'bike', 0),
(36, 'children', 'children', 0),
(37, 'fun', 'fun', 0),
(38, 'old', 'old', 0),
(39, 'school', 'school', 0),
(40, 'working', 'working', 0),
(41, 'enviroment', 'enviroment', 0),
(42, 'man', 'man', 0),
(43, 'life', 'life', 0),
(44, 'workshop', 'workshop', 0),
(45, 'world', 'world', 0),
(46, 'Footer Widget Menu', 'footer-widget-menu', 0),
(47, 'Our Links Footer Menu', 'our-links-footer-menu', 0),
(48, 'Nature', 'nature', 0),
(49, 'nature', 'nature-2', 0),
(50, 'log', 'log', 0),
(51, 'office', 'office', 0),
(52, 'sea', 'sea', 0),
(53, 'mountain', 'mountain', 0),
(54, 'bridge', 'bridge', 0),
(55, 'sun', 'sun', 0),
(56, 'Lifestyle', 'lifestyle', 0),
(57, 'Women''s Dresses', 'womens-dresses', 0),
(58, 'black', 'black', 0),
(59, 'dress', 'dress', 0),
(60, 'square', 'square', 0),
(61, 'XS', 'xs', 0),
(62, 'S', 's', 0),
(63, 'M', 'm', 0),
(64, 'L', 'l', 0),
(65, 'XL', 'xl', 0),
(66, 'XXL', 'xxl', 0),
(67, 'Black', 'black-2', 0),
(68, 'White', 'white', 0),
(69, 'Grey', 'grey', 0),
(70, 'Red', 'red', 0),
(71, 'Green', 'green', 0),
(72, 'Blue', 'blue', 0),
(73, 'Yellow', 'yellow', 0),
(74, 'XS, S, M, L, XL, XXL', 'xs-s-m-l-xl-xxl', 0),
(75, 'Black, White Grey, Red, Blue, Green, Yellow', 'black-white-grey-red-blue-green-yellow', 0),
(76, 'burgundy', 'burgundy', 0),
(77, 'white', 'white-2', 0),
(78, 'red', 'red-2', 0),
(79, 'little', 'little', 0),
(80, 'cocktail', 'cocktail', 0),
(81, 'Women''s Sweat Tops and Hoodies', 'womens-hoodies', 0),
(82, 'pink', 'pink', 0),
(83, 'hoodie', 'hoodie', 0),
(84, 'blue', 'blue-2', 0),
(85, 'purple', 'purple', 0),
(86, 'sweat-top', 'sweat-top', 0),
(87, 'grey', 'grey-2', 0),
(88, 'sweater', 'sweater', 0),
(89, 'max', 'max', 0),
(90, 'skater', 'skater', 0),
(91, 'tulip', 'tulip', 0),
(92, 'slinky', 'slinky', 0),
(93, 'boyfriend', 'boyfriend', 0),
(94, 'crew', 'crew', 0),
(95, 'unicorn', 'unicorn', 0),
(96, 'superdry', 'superdry', 0),
(97, 'kevin', 'kevin', 0),
(98, 'Men''s Jackets and Coats', 'mens-jackets-and-coats', 0),
(99, 'jacket', 'jacket', 0),
(100, 'coat', 'coat', 0),
(101, 'men', 'men', 0),
(102, 'Women''s Jeans', 'womens-jeans', 0),
(103, 'jeans', 'jeans', 0),
(104, 'women', 'women', 0),
(105, 'skinny', 'skinny', 0),
(106, 'PBTheme', 'pbtheme', 0),
(107, 'FAQ', 'faq', 0),
(108, 'post-format-video', 'post-format-video', 0),
(109, 'Demo', 'demo', 0),
(110, 'Footer Menu', 'footer-menu', 0),
(111, 'Team Members', 'team-members', 0),
(112, 'Pages', 'pages', 0),
(113, 'Illustrations', 'illustrations', 0),
(114, 'Shortcodes', 'shortcodes', 0),
(115, 'post-format-gallery', 'post-format-gallery', 0),
(116, 'post-format-audio', 'post-format-audio', 0),
(117, 'post-format-link', 'post-format-link', 0),
(118, 'post-format-quote', 'post-format-quote', 0),
(119, 'quote', 'quote', 0),
(120, 'Quotes', 'quotes', 0),
(121, 'responsive layout design', 'responsive-layout-design', 0),
(124, 'Get the whole look', 'get-the-whole-look', 0),
(125, 'Fitness', 'fitness', 0),
(126, 'Trainers', 'trainers', 0),
(127, 'Logos', 'logos', 0),
(128, 'Photography', 'photography', 0),
(129, 'Forum Links', 'forum-links', 0);

DROP TABLE IF EXISTS `@@TABLE_PREFIX@@term_relationships`;
CREATE TABLE IF NOT EXISTS `@@TABLE_PREFIX@@term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `@@TABLE_PREFIX@@term_relationships` (`object_id`, `term_taxonomy_id`, `term_order`) VALUES
(1, 1, 0),
(22, 1, 0),
(25, 1, 0),
(25, 3, 0),
(25, 4, 0),
(37, 1, 0),
(51, 5, 0),
(51, 16, 0),
(51, 17, 0),
(60, 2, 0),
(110, 22, 0),
(114, 22, 0),
(114, 26, 0),
(114, 27, 0),
(114, 28, 0),
(116, 22, 0),
(116, 29, 0),
(116, 30, 0),
(119, 22, 0),
(119, 31, 0),
(119, 32, 0),
(122, 22, 0),
(122, 33, 0),
(122, 34, 0),
(125, 1, 0),
(127, 22, 0),
(127, 35, 0),
(127, 36, 0),
(129, 22, 0),
(129, 37, 0),
(129, 38, 0),
(129, 39, 0),
(132, 22, 0),
(132, 40, 0),
(132, 41, 0),
(135, 22, 0),
(135, 31, 0),
(135, 42, 0),
(135, 43, 0),
(135, 56, 0),
(138, 22, 0),
(140, 22, 0),
(140, 44, 0),
(140, 45, 0),
(164, 2, 0),
(174, 46, 0),
(176, 46, 0),
(177, 47, 0),
(178, 47, 0),
(179, 47, 0),
(180, 47, 0),
(181, 47, 0),
(183, 48, 0),
(183, 49, 0),
(183, 50, 0),
(183, 115, 0),
(192, 48, 0),
(192, 49, 0),
(192, 51, 0),
(192, 56, 0),
(194, 48, 0),
(194, 49, 0),
(194, 52, 0),
(194, 56, 0),
(196, 48, 0),
(196, 49, 0),
(196, 53, 0),
(196, 108, 0),
(198, 48, 0),
(198, 49, 0),
(198, 52, 0),
(198, 56, 0),
(200, 48, 0),
(200, 49, 0),
(200, 54, 0),
(200, 108, 0),
(202, 48, 0),
(202, 49, 0),
(202, 55, 0),
(202, 56, 0),
(219, 5, 0),
(219, 57, 0),
(219, 59, 0),
(219, 74, 0),
(219, 75, 0),
(219, 90, 0),
(225, 5, 0),
(225, 57, 0),
(225, 59, 0),
(225, 74, 0),
(225, 75, 0),
(225, 91, 0),
(235, 5, 0),
(235, 57, 0),
(235, 59, 0),
(235, 74, 0),
(235, 75, 0),
(235, 92, 0),
(240, 5, 0),
(240, 57, 0),
(240, 59, 0),
(240, 74, 0),
(240, 75, 0),
(240, 89, 0),
(245, 5, 0),
(245, 57, 0),
(245, 58, 0),
(245, 59, 0),
(245, 74, 0),
(245, 75, 0),
(245, 80, 0),
(280, 2, 0),
(288, 5, 0),
(288, 74, 0),
(288, 75, 0),
(288, 81, 0),
(288, 83, 0),
(288, 93, 0),
(294, 5, 0),
(294, 74, 0),
(294, 75, 0),
(294, 81, 0),
(294, 83, 0),
(294, 94, 0),
(299, 5, 0),
(299, 74, 0),
(299, 75, 0),
(299, 81, 0),
(299, 86, 0),
(299, 95, 0),
(304, 5, 0),
(304, 58, 0),
(304, 74, 0),
(304, 75, 0),
(304, 81, 0),
(304, 83, 0),
(304, 104, 0),
(310, 5, 0),
(310, 74, 0),
(310, 75, 0),
(310, 81, 0),
(310, 83, 0),
(310, 96, 0),
(342, 2, 0),
(470, 5, 0),
(470, 74, 0),
(470, 75, 0),
(470, 81, 0),
(470, 83, 0),
(470, 97, 0),
(475, 5, 0),
(475, 74, 0),
(475, 75, 0),
(475, 98, 0),
(475, 99, 0),
(475, 100, 0),
(475, 101, 0),
(480, 5, 0),
(480, 74, 0),
(480, 75, 0),
(480, 98, 0),
(480, 99, 0),
(480, 100, 0),
(480, 101, 0),
(485, 5, 0),
(485, 74, 0),
(485, 75, 0),
(485, 98, 0),
(485, 99, 0),
(485, 100, 0),
(485, 101, 0),
(490, 5, 0),
(490, 74, 0),
(490, 75, 0),
(490, 98, 0),
(490, 99, 0),
(490, 100, 0),
(490, 101, 0),
(495, 5, 0),
(495, 74, 0),
(495, 75, 0),
(495, 98, 0),
(495, 99, 0),
(495, 100, 0),
(495, 101, 0),
(500, 5, 0),
(500, 74, 0),
(500, 75, 0),
(500, 98, 0),
(500, 99, 0),
(500, 100, 0),
(500, 101, 0),
(506, 5, 0),
(506, 74, 0),
(506, 75, 0),
(506, 102, 0),
(506, 103, 0),
(506, 104, 0),
(506, 105, 0),
(511, 5, 0),
(511, 74, 0),
(511, 75, 0),
(511, 102, 0),
(511, 103, 0),
(511, 104, 0),
(511, 105, 0),
(516, 5, 0),
(516, 74, 0),
(516, 75, 0),
(516, 102, 0),
(516, 103, 0),
(516, 104, 0),
(516, 105, 0),
(521, 5, 0),
(521, 74, 0),
(521, 75, 0),
(521, 102, 0),
(521, 103, 0),
(521, 104, 0),
(521, 105, 0),
(526, 5, 0),
(526, 74, 0),
(526, 75, 0),
(526, 102, 0),
(526, 103, 0),
(526, 104, 0),
(526, 105, 0),
(567, 2, 0),
(600, 2, 0),
(637, 2, 0),
(650, 106, 0),
(650, 107, 0),
(657, 107, 0),
(684, 2, 0),
(708, 2, 0),
(784, 2, 0),
(785, 2, 0),
(786, 2, 0),
(789, 109, 0),
(883, 110, 0),
(884, 110, 0),
(886, 110, 0),
(936, 111, 0),
(946, 2, 0),
(947, 2, 0),
(958, 2, 0),
(980, 2, 0),
(981, 112, 0),
(982, 112, 0),
(983, 112, 0),
(984, 112, 0),
(1000, 112, 0),
(1001, 2, 0),
(1011, 2, 0),
(1030, 2, 0),
(1040, 2, 0),
(1073, 113, 0),
(1073, 128, 0),
(1091, 2, 0),
(1102, 2, 0),
(1112, 114, 0),
(1152, 114, 0),
(1153, 114, 0),
(1154, 114, 0),
(1155, 114, 0),
(1156, 114, 0),
(1169, 114, 0),
(1179, 114, 0),
(1199, 114, 0),
(1201, 2, 0),
(1202, 2, 0),
(1203, 2, 0),
(1205, 2, 0),
(1207, 2, 0),
(1209, 2, 0),
(1211, 2, 0),
(1212, 113, 0),
(1212, 128, 0),
(1217, 2, 0),
(1223, 113, 0),
(1223, 128, 0),
(1233, 2, 0),
(1254, 113, 0),
(1254, 128, 0),
(1280, 2, 0),
(1282, 113, 0),
(1282, 128, 0),
(1287, 2, 0),
(1288, 2, 0),
(1293, 113, 0),
(1293, 127, 0),
(1298, 2, 0),
(1318, 113, 0),
(1318, 127, 0),
(1374, 2, 0),
(1379, 113, 0),
(1379, 127, 0),
(1428, 2, 0),
(1429, 2, 0),
(1508, 2, 0),
(1550, 114, 0),
(1567, 118, 0),
(1567, 119, 0),
(1567, 120, 0),
(1638, 2, 0),
(1743, 111, 0),
(1749, 111, 0),
(1756, 111, 0),
(1786, 121, 0),
(1888, 2, 0),
(1893, 2, 0),
(1894, 2, 0),
(1910, 2, 0),
(1911, 2, 0),
(1912, 2, 0),
(1913, 2, 0),
(1934, 2, 0),
(1935, 2, 0),
(1960, 2, 0),
(1961, 2, 0),
(1975, 2, 0),
(2002, 2, 0),
(2010, 2, 0),
(2022, 2, 0),
(2031, 2, 0),
(2057, 2, 0),
(2079, 2, 0),
(2125, 2, 0),
(2170, 2, 0),
(2174, 2, 0),
(2190, 114, 0),
(2202, 114, 0),
(2203, 2, 0),
(2309, 2, 0),
(2310, 2, 0),
(2311, 2, 0),
(2312, 2, 0),
(2314, 2, 0),
(2347, 2, 0),
(2461, 46, 0),
(2489, 2, 0),
(2503, 2, 0),
(2504, 2, 0),
(2505, 2, 0),
(2506, 2, 0),
(2553, 2, 0),
(2585, 2, 0),
(2601, 5, 0),
(2601, 103, 0),
(2601, 104, 0),
(2601, 105, 0),
(2601, 124, 0),
(2605, 5, 0),
(2605, 103, 0),
(2605, 104, 0),
(2605, 105, 0),
(2605, 124, 0),
(2609, 5, 0),
(2609, 103, 0),
(2609, 104, 0),
(2609, 105, 0),
(2609, 124, 0),
(2614, 5, 0),
(2614, 103, 0),
(2614, 104, 0),
(2614, 105, 0),
(2614, 124, 0),
(2720, 2, 0),
(2755, 2, 0),
(2756, 114, 0),
(2768, 2, 0),
(2769, 2, 0),
(2770, 114, 0),
(2772, 2, 0),
(2773, 2, 0),
(2778, 2, 0),
(2779, 114, 0),
(2787, 114, 0),
(2788, 2, 0),
(2796, 114, 0),
(2797, 2, 0),
(2806, 114, 0),
(2808, 2, 0),
(2819, 114, 0),
(2843, 2, 0),
(2851, 125, 0),
(2854, 125, 0),
(2857, 125, 0),
(2866, 126, 0),
(2870, 126, 0),
(2873, 126, 0),
(2910, 2, 0),
(2982, 2, 0),
(3009, 113, 0),
(3009, 127, 0),
(3014, 113, 0),
(3014, 127, 0),
(3019, 113, 0),
(3019, 127, 0),
(3024, 113, 0),
(3024, 127, 0),
(3039, 2, 0),
(3040, 2, 0),
(3102, 1, 0),
(3104, 129, 0),
(3120, 129, 0),
(3140, 129, 0),
(3167, 129, 0),
(3181, 129, 0),
(3253, 130, 0),
(3254, 130, 0),
(3255, 130, 0),
(3274, 2, 0);

DROP TABLE IF EXISTS `@@TABLE_PREFIX@@term_taxonomy`;
CREATE TABLE IF NOT EXISTS `@@TABLE_PREFIX@@term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=131 ;

INSERT INTO `@@TABLE_PREFIX@@term_taxonomy` (`term_taxonomy_id`, `term_id`, `taxonomy`, `description`, `parent`, `count`) VALUES
(1, 1, 'category', '', 0, 4),
(2, 2, 'nav_menu', '', 0, 118),
(3, 3, 'post_tag', '', 0, 1),
(4, 4, 'post_tag', '', 0, 1),
(5, 5, 'product_type', '', 0, 26),
(6, 6, 'product_type', '', 0, 0),
(7, 7, 'product_type', '', 0, 0),
(8, 8, 'product_type', '', 0, 0),
(9, 9, 'shop_order_status', '', 0, 0),
(10, 10, 'shop_order_status', '', 0, 0),
(11, 11, 'shop_order_status', '', 0, 0),
(12, 12, 'shop_order_status', '', 0, 0),
(13, 13, 'shop_order_status', '', 0, 0),
(14, 14, 'shop_order_status', '', 0, 0),
(15, 15, 'shop_order_status', '', 0, 0),
(16, 16, 'product_cat', '', 0, 0),
(17, 17, 'product_tag', '', 0, 0),
(22, 22, 'category', '', 0, 9),
(26, 26, 'post_tag', '', 0, 1),
(27, 27, 'post_tag', '', 0, 1),
(28, 28, 'post_tag', '', 0, 1),
(29, 29, 'post_tag', '', 0, 1),
(30, 30, 'post_tag', '', 0, 1),
(31, 31, 'post_tag', '', 0, 2),
(32, 32, 'post_tag', '', 0, 1),
(33, 33, 'post_tag', '', 0, 1),
(34, 34, 'post_tag', '', 0, 1),
(35, 35, 'post_tag', '', 0, 1),
(36, 36, 'post_tag', '', 0, 1),
(37, 37, 'post_tag', '', 0, 1),
(38, 38, 'post_tag', '', 0, 1),
(39, 39, 'post_tag', '', 0, 1),
(40, 40, 'post_tag', '', 0, 1),
(41, 41, 'post_tag', '', 0, 1),
(42, 42, 'post_tag', '', 0, 1),
(43, 43, 'post_tag', '', 0, 1),
(44, 44, 'post_tag', '', 0, 1),
(45, 45, 'post_tag', '', 0, 1),
(46, 46, 'nav_menu', '', 0, 3),
(47, 47, 'nav_menu', '', 0, 5),
(48, 48, 'category', '', 0, 7),
(49, 49, 'post_tag', '', 0, 7),
(50, 50, 'post_tag', '', 0, 1),
(51, 51, 'post_tag', '', 0, 1),
(52, 52, 'post_tag', '', 0, 2),
(53, 53, 'post_tag', '', 0, 1),
(54, 54, 'post_tag', '', 0, 1),
(55, 55, 'post_tag', '', 0, 1),
(56, 56, 'category', '', 0, 5),
(57, 57, 'product_cat', '', 0, 5),
(58, 58, 'product_tag', '', 0, 2),
(59, 59, 'product_tag', '', 0, 5),
(60, 60, 'product_tag', '', 0, 0),
(61, 61, 'pa_size', '', 0, 0),
(62, 62, 'pa_size', '', 0, 0),
(63, 63, 'pa_size', '', 0, 0),
(64, 64, 'pa_size', '', 0, 0),
(65, 65, 'pa_size', '', 0, 0),
(66, 66, 'pa_size', '', 0, 0),
(67, 67, 'pa_color', '', 0, 0),
(68, 68, 'pa_color', '', 0, 0),
(69, 69, 'pa_color', '', 0, 0),
(70, 70, 'pa_color', '', 0, 0),
(71, 71, 'pa_color', '', 0, 0),
(72, 72, 'pa_color', '', 0, 0),
(73, 73, 'pa_color', '', 0, 0),
(74, 74, 'pa_size', '', 0, 22),
(75, 75, 'pa_color', '', 0, 22),
(76, 76, 'product_tag', '', 0, 0),
(77, 77, 'product_tag', '', 0, 0),
(78, 78, 'product_tag', '', 0, 0),
(79, 79, 'product_tag', '', 0, 0),
(80, 80, 'product_tag', '', 0, 1),
(81, 81, 'product_cat', '', 0, 6),
(82, 82, 'product_tag', '', 0, 0),
(83, 83, 'product_tag', '', 0, 5),
(84, 84, 'product_tag', '', 0, 0),
(85, 85, 'product_tag', '', 0, 0),
(86, 86, 'product_tag', '', 0, 1),
(87, 87, 'product_tag', '', 0, 0),
(88, 88, 'product_tag', '', 0, 0),
(89, 89, 'product_tag', '', 0, 1),
(90, 90, 'product_tag', '', 0, 1),
(91, 91, 'product_tag', '', 0, 1),
(92, 92, 'product_tag', '', 0, 1),
(93, 93, 'product_tag', '', 0, 1),
(94, 94, 'product_tag', '', 0, 1),
(95, 95, 'product_tag', '', 0, 1),
(96, 96, 'product_tag', '', 0, 1),
(97, 97, 'product_tag', '', 0, 1),
(98, 98, 'product_cat', '', 0, 6),
(99, 99, 'product_tag', '', 0, 6),
(100, 100, 'product_tag', '', 0, 6),
(101, 101, 'product_tag', '', 0, 6),
(102, 102, 'product_cat', '', 0, 5),
(103, 103, 'product_tag', '', 0, 9),
(104, 104, 'product_tag', '', 0, 10),
(105, 105, 'product_tag', '', 0, 9),
(106, 106, 'topic-tag', '', 0, 1),
(107, 107, 'topic-tag', '', 0, 2),
(108, 108, 'post_format', '', 0, 2),
(109, 109, 'topic-tag', '', 0, 1),
(110, 110, 'nav_menu', '', 0, 3),
(111, 111, 'category', '', 0, 4),
(112, 112, 'nav_menu', '', 0, 5),
(113, 113, 'category', '', 0, 12),
(114, 114, 'nav_menu', '', 0, 19),
(115, 115, 'post_format', '', 0, 1),
(116, 116, 'post_format', '', 0, 0),
(117, 117, 'post_format', '', 0, 0),
(118, 118, 'post_format', '', 0, 1),
(119, 119, 'post_tag', '', 0, 1),
(120, 120, 'category', '', 0, 1),
(121, 121, 'topic-tag', '', 0, 1),
(124, 124, 'product_cat', '', 0, 4),
(125, 125, 'category', '', 0, 3),
(126, 126, 'category', '', 0, 3),
(127, 127, 'category', '', 0, 7),
(128, 3, 'category', '', 0, 5),
(129, 128, 'category', '', 0, 5),
(130, 129, 'nav_menu', '', 0, 3);

DROP TABLE IF EXISTS `@@TABLE_PREFIX@@comments`;
CREATE TABLE IF NOT EXISTS `@@TABLE_PREFIX@@comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=514 ;

INSERT INTO `@@TABLE_PREFIX@@comments` (`comment_ID`, `comment_post_ID`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_IP`, `comment_date`, `comment_date_gmt`, `comment_content`, `comment_karma`, `comment_approved`, `comment_agent`, `comment_type`, `comment_parent`, `user_id`) VALUES
(1, 1, 'Mr WordPress', '', 'http://wordpress.org/', '', '2013-12-05 13:57:25', '2013-12-05 13:57:25', 'Hi, this is a comment.\nTo delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.', 0, '1', '', '', 0, 0),
(2, 25, 'admin', 'dzeriho@gmail.com', '', '178.149.202.119', '2014-01-07 23:26:09', '2014-01-07 23:26:09', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cill', 0, '1', 'Mozilla/5.0 (Windows NT 6.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36', '', 0, 1),
(3, 51, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-08 15:27:38', '2014-01-08 15:27:38', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 0, 'post-trashed', 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36', '', 0, 1),
(4, 219, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-21 16:18:38', '2014-01-21 16:18:38', 'Amazing', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 1),
(5, 245, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-22 10:49:16', '2014-01-22 10:49:16', 'Stunning', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 1),
(6, 240, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-22 10:49:34', '2014-01-22 10:49:34', 'Great', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 1),
(7, 235, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-22 10:49:52', '2014-01-22 10:49:52', 'Superb', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 1),
(8, 225, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-01-22 10:50:08', '2014-01-22 10:50:08', 'Love it', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 1),
(423, 304, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-13 10:41:16', '2014-02-13 10:41:16', 'The item looks as good as on the picture. Service was flawless. 5/5', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 1),
(424, 132, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-13 13:17:32', '2014-02-13 13:17:32', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ut orci sit amet metus molestie mollis nec eu metus. Maecenas ac enim eu ipsum facilisis mollis non et ante. Phasellus sit amet dapibus magna, id laoreet elit.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 1),
(425, 132, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-13 13:17:47', '2014-02-13 13:17:47', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ut orci sit amet metus molestie mollis nec eu metus. Maecenas ac enim eu ipsum facilisis mollis non et ante. Phasellus sit amet dapibus magna, id laoreet elit.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 424, 1),
(442, 304, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-14 13:40:39', '2014-02-14 13:40:39', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/32.0.1700.107 Safari/537.36', '', 0, 1),
(443, 132, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-14 14:33:54', '2014-02-14 14:33:54', 'Share a little biographical information to fill out your profile. This may be shown publicly. Share a little biographical information to fill out your profile. This may be shown publicly. Share a little biographical information to fill out your profile. This may be shown publicly.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/32.0.1700.107 Safari/537.36', '', 0, 1),
(444, 304, 'John', 'mihajlovicnenadweb@gmail.com', '', '178.149.94.8', '2014-02-15 12:01:08', '2014-02-15 12:01:08', 'Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0', '', 0, 0),
(459, 470, 'Nea Patrick', 'nes99110@ricrk.com', '', '178.149.94.8', '2014-02-19 15:16:03', '2014-02-19 15:16:03', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.\r\n\r\nMorbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(460, 470, 'IM Success Center', 'dzeriho@gmail.com', '', '178.149.94.8', '2014-02-19 15:22:04', '2014-02-19 15:22:04', 'Amazing stuff', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 1),
(461, 310, 'Angela Mich', 'qca34191@ricrk.com', '', '178.149.94.8', '2014-02-19 15:23:14', '2014-02-19 15:23:14', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.\r\nMorbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(462, 304, 'Nea Patrick', 'nes99110@ricrk.com', '', '178.149.94.8', '2014-02-19 15:26:17', '2014-02-19 15:26:17', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.\r\nUt enim ad minim veniam, quis nostrud exercitation.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(463, 299, 'Sarah Johnsonian', 'mix18417@ricrk.com', '', '178.149.94.8', '2014-02-19 15:27:17', '2014-02-19 15:27:17', 'Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\nMorbi in dignissim metus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(464, 219, 'Sarah Johnsonian', 'mix18417@ricrk.com', '', '178.149.94.8', '2014-02-19 15:30:38', '2014-02-19 15:30:38', 'Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(465, 288, 'Mia Vanderson', 'pbv97851@ricrk.com', '', '178.149.94.8', '2014-02-19 15:31:29', '2014-02-19 15:31:29', 'Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.\r\nMorbi in dignissim metus, lorem ipsum dolor sit amet.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(466, 225, 'Sarah Johnsonian', 'mix18417@ricrk.com', '', '178.149.94.8', '2014-02-19 15:33:32', '2014-02-19 15:33:32', 'Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(467, 240, 'Nea Patrick', 'nes99110@ricrk.com', '', '178.149.94.8', '2014-02-19 15:34:29', '2014-02-19 15:34:29', 'Dolor sit amet, consectetur adipiscing elit nunc sed faucibus risus vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(468, 294, 'Angela Mich', 'qca34191@ricrk.com', '', '178.149.94.8', '2014-02-19 15:35:11', '2014-02-19 15:35:11', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(469, 480, 'Bruce Grab', 'cgc48943@ricrk.com', '', '178.149.94.8', '2014-02-19 15:37:05', '2014-02-19 15:37:05', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(470, 485, 'Samuel Hanks', 'zck99794@ricrk.com', '', '178.149.94.8', '2014-02-19 15:37:43', '2014-02-19 15:37:43', 'Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(471, 526, 'Toni Giliori', 'eja49621@ricrk.com', '', '178.149.94.8', '2014-02-19 15:38:26', '2014-02-19 15:38:26', 'Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.\r\nNunc sed faucibus risus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(472, 490, 'Toni Giliori', 'eja49621@ricrk.com', '', '178.149.94.8', '2014-02-19 15:39:13', '2014-02-19 15:39:13', 'Nunc sed faucibus risus nunc sed faucibus risus. \r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(473, 495, 'Jacky George', 'e724568@drdrb.com', '', '178.149.94.8', '2014-02-19 15:47:20', '2014-02-19 15:47:20', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(474, 2614, 'Mike Jackson', 'bem71206@ricrk.com', '', '178.149.94.8', '2014-02-19 15:47:51', '2014-02-19 15:47:51', 'Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(475, 2601, 'Jana Mikesonber', 'wpx91069@ricrk.com', '', '178.149.94.8', '2014-02-19 15:48:34', '2014-02-19 15:48:34', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(476, 2609, 'Mia Vanderson', 'pbv97851@ricrk.com', '', '178.149.94.8', '2014-02-19 15:49:57', '2014-02-19 15:49:57', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(477, 475, 'Sarah Johnsonian', 'mix18417@ricrk.com', '', '178.149.94.8', '2014-02-19 15:50:27', '2014-02-19 15:50:27', 'Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(478, 2605, 'Nea Patrick', 'nes99110@ricrk.com', '', '178.149.94.8', '2014-02-19 15:51:03', '2014-02-19 15:51:03', 'Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(479, 500, 'Angela Mich', 'qca34191@ricrk.com', '', '178.149.94.8', '2014-02-19 15:51:35', '2014-02-19 15:51:35', 'Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(480, 506, 'Angela Mich', 'qca34191@ricrk.com', '', '178.149.94.8', '2014-02-19 16:01:19', '2014-02-19 16:01:19', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(481, 245, 'Nea Patrick', 'nes99110@ricrk.com', '', '178.149.94.8', '2014-02-19 16:02:13', '2014-02-19 16:02:13', 'Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(482, 516, 'Sarah Johnsonian', 'mix18417@ricrk.com', '', '178.149.94.8', '2014-02-19 16:03:00', '2014-02-19 16:03:00', 'Nunc sed faucibus risus. Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(483, 235, 'Mia Vanderson', 'pbv97851@ricrk.com', '', '178.149.94.8', '2014-02-19 16:03:39', '2014-02-19 16:03:39', 'Vestibulum dapibus ultricies odio a auctor. Morbi in dignissim metus.', 0, '1', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:27.0) Gecko/20100101 Firefox/27.0', '', 0, 0),
(511, 196, 'nike free run jd', 'gctotzmsizv@gmail.com', 'http://www.elecro.co.uk/nikefreerun.asp', '36.250.164.51', '2014-02-23 15:44:23', '2014-02-23 15:44:23', 'Incisions shall be red and visible at first, as well as the eyelids is going to be swollen and may perhaps feel numb for a few times. Swelling and bruising might be comparable to getting black eyes and may last a week or significantly more just after regular blepharoplasty. Applying cold compresses and elevating of the head will decrease inflammation and bruising..', 0, '0', 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)', '', 0, 0),
(512, 22, 'cheap louis vuitton', 'icmrullsb@gmail.com', 'http://www.elecro.co.uk/louisvuittonuk.asp', '58.22.145.29', '2014-02-23 18:21:50', '2014-02-23 18:21:50', 'Bluetooth wireless products stream compressed audio, if you ever listening to Small disks having a bluetooth wireless gadget you aren actually acquiring Small disc quality audio, youre hearing compressed audio like tunes. And whenever you listening to tunes, your audio will quite possibly be re-compressed, further reducing the standard. It has been my major concern with wireless products up to now, nicely, may well the continuous signal reduction..', 0, '0', 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)', '', 0, 0),
(513, 196, 'christian louboutin outlet online', 'gsftgocabgn@gmail.com', 'http://www.snugglerags.com/louboutinoutlet.php', '36.250.167.194', '2014-02-23 18:51:29', '2014-02-23 18:51:29', 'Nylon Laundry Bags, in conjunction with Cotton Laundry Bags, do not have to be implemented only to move clothing anymore. No siree, not in this 21st Century of telephones that perform video clip and fridges that will surf the net. With each one of these along with other this kind of so-called convergence gadgets, everyone and every little thing is multitasking nowadays, and ye olde nylon or cotton laundry bag must be no exception!.', 0, '0', 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)', '', 0, 0);

DROP TABLE IF EXISTS `@@TABLE_PREFIX@@commentmeta`;
CREATE TABLE IF NOT EXISTS `@@TABLE_PREFIX@@commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=201 ;

INSERT INTO `@@TABLE_PREFIX@@commentmeta` (`meta_id`, `comment_id`, `meta_key`, `meta_value`) VALUES
(1, 3, 'rating', '5'),
(2, 4, 'rating', '5'),
(3, 5, 'rating', '4'),
(4, 6, 'rating', '4'),
(5, 7, 'rating', '5'),
(6, 8, 'rating', '5'),
(7, 423, 'rating', '5'),
(8, 442, 'rating', '5'),
(9, 444, 'rating', '4'),
(122, 459, 'rating', '4'),
(123, 460, 'rating', '4'),
(124, 461, 'rating', '5'),
(125, 462, 'rating', '4'),
(126, 463, 'rating', '5'),
(127, 464, 'rating', '4'),
(128, 465, 'rating', '5'),
(129, 466, 'rating', '3'),
(130, 467, 'rating', '4'),
(131, 468, 'rating', '4'),
(132, 469, 'rating', '4'),
(133, 470, 'rating', '5'),
(134, 471, 'rating', '3'),
(135, 472, 'rating', '3'),
(136, 473, 'rating', '3'),
(137, 474, 'rating', '4'),
(138, 475, 'rating', '5'),
(139, 476, 'rating', '5'),
(140, 477, 'rating', '4'),
(141, 478, 'rating', '5'),
(142, 479, 'rating', '4'),
(143, 480, 'rating', '4'),
(144, 481, 'rating', '5'),
(145, 482, 'rating', '3'),
(146, 483, 'rating', '5');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
<?php
	$sql   =  ob_get_clean();

	$sql   = str_replace(array("@@TABLE_PREFIX@@", "@@SITE_URL@@", "@@ADMIN_EMAIL@@", "@@DB_VERSION@@"),array($wpdb->prefix, get_option("siteurl"), get_option("admin_email"), get_option("db_version")),$sql);
	$lines = explode("\n", $sql);
	$query = "";

	foreach ($lines as $line) {
		$line = trim($line);
		if (strlen($line)==0) continue;
		if (substr($line,-1)==";") {
			$query.=" ".$line;
			$wpdb->query($query);
			$query = "";
		} else {
			$query.=" ".$line;
		}
	}

	$wp_rewrite->flush_rules();
	wp_cache_flush();

	$site_url = get_option("siteurl");
	$template_url = get_template_directory_uri();
	$div_options = array (
        'logo'=> '[site_url]/wp-content/themes/pbtheme/images/logo.png',
        'logo_sticky'=> '[site_url]/wp-content/themes/pbtheme/images/logo_sticky.png',
        'logo_size'=> 
        'normal','favicon'=> 
        '[site_url]/wp-content/themes/pbtheme/images/favicon.png',
        'apple_ti57'=> '[site_url]/wp-content/themes/pbtheme/images/favicon.png',
        'apple_ti72'=> '[site_url]/wp-content/themes/pbtheme/images/favicon.png',
        'apple_ti114'=> '[site_url]/wp-content/themes/pbtheme/images/favicon.png',
        'apple_ti144'=> '[site_url]/wp-content/themes/pbtheme/images/favicon.png',
        'header_layout'=> 'small-right',
        'header-widgets-before'=> '3','header-top-left'=> array ('disabled'=> array ('placebo'=> 'placebo','tagline'=> 'tagline','menu'=> 'menu','login-link'=> 'login-link','network-icons'=> 'network-icons','tagline-alt'=> 'tagline-alt','woo-cart'=> 'woo-cart',),'enabled'=> array ('placebo'=> 'placebo','woo-login-link'=> 'woo-login-link','language-bar'=> 'language-bar',),),'header-top-right'=> array ('disabled'=> array ('placebo'=> 'placebo','language-bar'=> 'language-bar','menu'=> 'menu','tagline'=> 'tagline','login-link'=> 'login-link','woo-login-link'=> 'woo-login-link',),'enabled'=> array ('placebo'=> 'placebo','tagline-alt'=> 'tagline-alt','woo-cart'=> 'woo-cart','network-icons'=> 'network-icons',),),'header_menu'=> 'main-menu','header_networks'=> '6','header_tagline'=> '<a href=\'http://www.imsuccesscenter.com/pbtheme/pbtheme_forum\'>Forums</a>','header_tagline_alt'=> 'Your Tagline Here','breadcrumbs-style'=> 'diagonal-noise-1.png','breadcrumbs_line'=> '','blog_layout'=> '1','pbtheme_hide_featarea'=> '0','pbtheme_hide_title'=> '0','pbtheme_hide_meta'=> '0','pbtheme_hide_tags'=> '0','pbtheme_hide_share'=> '0','pbtheme_hide_author'=> '0','pbtheme_hide_navigation'=> '0','footer_widgets'=> '0','footer_sidebar'=> '4','footer-top-left'=> array ('disabled'=> array ('placebo'=> 'placebo','login-link'=> 'login-link','menu'=> 'menu','tagline-alt'=> 'tagline-alt','to-the-top'=> 'to-the-top',),'enabled'=> array ('placebo'=> 'placebo','tagline'=> 'tagline9','network-icons'=> 'network-icons',),),'footer-top-right'=> array ('disabled'=> array ('placebo'=> 'placebo','login-link'=> 'login-link','network-icons'=> 'network-icons','tagline'=> 'tagline','tagline-alt'=> 'tagline-alt',),'enabled'=> array ('placebo'=> 'placebo','to-the-top'=> 'to-the-top','menu'=> 'menu',),),'footer_menu'=> 'footer-menu','footer_networks'=> '5','footer_tagline'=> 'Copyright <a href=\'http://www.imsuccesscenter.com/\'>Shindiristudio.com</a> 2014.','footer_tagline_alt'=> 'WordPress','footer_up_text'=> '','font'=> 'Arial','font_ggl_on'=> '1','font_ggl'=> array ('face'=> 'PT Sans','style'=> 'normal','weight'=> '400',),'font_header'=> 'Arial','font_header_ggl_on'=> '1','font_header_ggl'=> array ('face'=> 'Sanchez','style'=> 'normal','weight'=> '400',),'theme_color'=> '#82b440','theme_color_dark'=> '#222222','theme_color_light'=> '#ffffff','theme_color_palee'=> '#cccccc','theme_color_textt'=> '#444444','theme_color_footer_textt'=> '#ffffff','theme_color_footer_bg'=> '#1b1b1b','header_shadow'=> '1','pbtheme_layout_color'=> '1','sidebar-size'=> '4','sidebar-blog'=> '1','sidebar-position'=> '0','sidebar-single'=> '1','sidebar-single-position'=> '0','blog-widgets-before'=> 'none','blog-widgets-after'=> 'none','single-widgets-before'=> 'none','single-widgets-after'=> 'none','sidebar'=> array (1=> array ('order'=> '1','title'=> 'Mega Menu',),2=> array ('order'=> '2','title'=> 'Sidebar - Custom Menu',),3=> array ('order'=> '3','title'=> 'Sidebar - Widgetized',),4=> array ('order'=> '4','title'=> 'Bottom WooCommerce 1',),5=> array ('order'=> '5','title'=> 'Bottom WooCommerce 2',),6=> array ('order'=> '6','title'=> 'Bottom WooCommerce 3',),7=> array ('order'=> '7','title'=> 'Bottom WooCommerce 4',),8=> array ('order'=> '8','title'=> 'Shortcode Test',),9=> array ('order'=> '9','title'=> 'Pages',),10=> array ('order'=> '10','title'=> 'Shortcodes',),11=> array ('order'=> '11','title'=> 'Widgetized',),),'contactform_message'=> '','contact'=> array (1=> array ('order'=> '1','name'=> 'Samuel Willis','url'=> 'http://www.imsuccesscenter.com/pbtheme/wp-content/uploads/2014/01/128.jpg','email'=> 'samuel.w@pbtheme.com','job'=> 'Graphic Designer','description'=> 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','contact'=> array (1=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-samuel-willis/','socialnetworks'=> 'white_plus.png',),2=> array ('socialnetworksurl'=> 'mailto:samuel.w@pbtheme.com','socialnetworks'=> 'white_email.png',),3=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_facebook.png',),),),2=> array ('order'=> '2','name'=> 'Anna Sartoreti','url'=> 'http://www.imsuccesscenter.com/pbtheme/wp-content/uploads/2014/02/41.jpg','email'=> 'anna.s@pbtheme.com','job'=> 'Web Designer','description'=> 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','contact'=> array (1=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-anna-sartoreti/','socialnetworks'=> 'white_plus.png',),2=> array ('socialnetworksurl'=> 'mailto:anna.s@pbtheme.com','socialnetworks'=> 'white_email.png',),3=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_skype.png',),),),3=> array ('order'=> '3','name'=> 'Mitchel Cortez','url'=> 'http://www.imsuccesscenter.com/pbtheme/wp-content/uploads/2014/02/22.jpg','email'=> 'mitchel.c@pbtheme.com','job'=> 'PR Manager','description'=> 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','contact'=> array (1=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-mitchel-cortez/','socialnetworks'=> 'white_plus.png',),2=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_myspace.png',),3=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_flickr.png',),),),4=> array ('order'=> '4','name'=> 'Selena Sanchez','url'=> 'http://www.imsuccesscenter.com/pbtheme/wp-content/uploads/2014/02/31.jpg','email'=> 'selena.s@pbtheme.com','job'=> 'PHP Developer','description'=> 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','contact'=> array (1=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-selena-sanchez/','socialnetworks'=> 'white_plus.png',),2=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_pinterest.png',),),),5=> array ('order'=> '5','name'=> 'PBTheme Footer','url'=> '','email'=> '','job'=> '','description'=> '','contact'=> array (1=> array ('socialnetworksurl'=> 'http://www.facebook.com/shindiristudio','socialnetworks'=> 'white_facebook.png',),2=> array ('socialnetworksurl'=> 'http://www.twitter.com/shindiristudio','socialnetworks'=> 'white_twitter.png',),3=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_youtube.png',),4=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_vimeo.png',),5=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_ebay.png',),6=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_deviant_art.png',),7=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_itune.png',),8=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_flickr.png',),9=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'white_pinterest.png',),),),6=> array ('order'=> '6','name'=> 'PBTheme Header','url'=> '','email'=> '','job'=> '','description'=> '','contact'=> array (1=> array ('socialnetworksurl'=> '#','socialnetworks'=> 'dark_facebook.png',),2=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-samuel-willis/','socialnetworks'=> 'dark_twitter.png',),3=> array ('socialnetworksurl'=> 'http://www.imsuccesscenter.com/pbtheme/our-team-samuel-willis/','socialnetworks'=> 'dark_vimeo.png',),),),),'custom-css'=> '','bbpress_forum'=> 'PBTheme Forum','sidebar-bbpress-size'=> '4','sidebar-bbpress'=> '1','sidebar-bbpress-position'=> '0','bbpress-widgets-before'=> '1','bbpress-widgets-after'=> '4',
        'woo_per_page'=> '16',
        'woo_title_height'=> '60',
        'woo-columns'=> '4',
        'woo_enable_fb'=> '0',
        'woo_enable_tw'=> '0',
        'woo_enable_pin'=> '0',
        'woo_enable_email'=> '0',
        'woo-columns-rel'=> '4',
        'sidebar-size-woo'=> '3',
        'sidebar-woo'=> '1',
        'woo-sidebar-position'=> '1',
        'sidebar-woo-single'=> '0',
        'woo-sidebar-position-single'=> '1',
        'transposh_enable' => 0,
        'shop-widgets-before'=> '1','shop-widgets-after'=> '1','product-widgets-before'=> '1','product-widgets-after'=> '4','responsive'=> '1','disable_menu'=> '0','enable_comments'=> '0','service_mode'=> '1','tracking-code'=> '','boxed'=> '0','content_width'=> '1200','fb_hres_c'=> '36','fb_bmargin'=> '36','fb_mres_w'=> '1100','fb_mres_c'=> '14','fb_mres_s'=> '0','fb_lres_w'=> '980','fb_lres_c'=> '8','fb_lres_s'=> '1','fimage_width'=> '960','fimage_height'=> '600','language'=> array (1=> array ('order'=> '1','flag'=> 'uk.png','language'=> 'English','langurl'=> '#',),2=> array ('order'=> '2','flag'=> 'france.png','language'=> 'French','langurl'=> '#',),3=> array ('order'=> '3','flag'=> 'germany.png','language'=> 'German','langurl'=> '#',),),'twitter_ck'=> 'GxayQKDHXgVXRriYSQnrxA','twitter_cs'=> '0tzhz6qpGc9S2eheWXDY1UZLJE0OQJ6ZqCnyeArekkw','twitter_at'=> '966576138-o7EYr6hqQCGC3OhBLY7TdGV5x7U0EboaQayVqT9I','twitter_ats'=> 'rlaYNo2hpc7ndlQwPIM3aVidomdx8LMxEPNzla9RdZvTT');

	foreach ( $div_options as $k => $v ) {
		set_theme_mod($k, $v);
	}
	set_theme_mod('pbtheme_version', '2.0');

	$div_sidebars_widget = array ( 'wp_inactive_widgets' => array ( 0 => 'text-17', 1 => 'text-4', ), 'sidebar-blog' => array ( 0 => 'recent-posts-2', 1 => 'recent-comments-2', 2 => 'sendpress-widget-2', 3 => 'pbtheme_catthree-2', ), 'sidebar-single' => array ( 0 => 'text-6', 1 => 'recent-comments-4', 2 => 'categories-2', 3 => 'archives-4', 4 => 'tag_cloud-2', ), 'sidebar-woo' => array ( 0 => 'woocommerce_product_categories-2', 1 => 'woocommerce_products-2', 2 => 'woocommerce_product_tag_cloud-2', ), 'sidebar-woo-single' => array ( ), 'sidebar-bbpress' => array ( 0 => 'bbp_search_widget-2', 1 => 'bbp_stats_widget-2', 2 => 'bbp_forums_widget-3', 3 => 'bbp_topics_widget-3', ), 'footer-1' => array ( 0 => 'text-2', ), 'footer-2' => array ( 0 => 'tag_cloud-3', ), 'footer-3' => array ( 0 => 'pbtheme_twitter-2', ), 'footer-4' => array ( 0 => 'text-5', 1 => 'socialbro-2', ), 'mega-menu' => array ( 0 => 'pbtheme_category-2', 1 => 'bbp_topics_widget-2', ), 'sidebar-custom-menu' => array ( 0 => 'nav_menu-2', 1 => 'nav_menu-3', 2 => 'nav_menu-4', 3 => 'nav_menu-5', ), 'sidebar-widgetized' => array ( 0 => 'recent-posts-3', 1 => 'archives-3', 2 => 'recent-comments-3', 3 => 'recent-posts-5', ), 'bottom-woocommerce-1' => array ( 0 => 'woocommerce_products-5', ), 'bottom-woocommerce-2' => array ( 0 => 'woocommerce_products-6', ), 'bottom-woocommerce-3' => array ( 0 => 'woocommerce_products-7', ), 'bottom-woocommerce-4' => array ( 0 => 'woocommerce_top_rated_products-3', ), 'shortcode-test' => array ( ), 'pages' => array ( 0 => 'nav_menu-9', ), 'shortcodes' => array ( 0 => 'nav_menu-10', ), 'widgetized' => array ( 0 => 'pbtheme_category-7', 1 => 'pbtheme_category-6', 2 => 'pbtheme_twitter-4', ), 'header-widgets-before-1' => array ( 0 => 'text-7', ), 'header-widgets-before-2' => array ( 0 => 'pbtheme_twitter-3', ), 'header-widgets-before-3' => array ( 0 => 'pbtheme_category-5', ), 'shop-widgets-before-1' => array ( 0 => 'text-12', ), 'shop-widgets-after-1' => array ( 0 => 'text-11', ), 'product-widgets-before-1' => array ( 0 => 'text-13', ), 'product-widgets-after-1' => array ( 0 => 'text-16', ), 'product-widgets-after-2' => array ( 0 => 'woocommerce_top_rated_products-2', ), 'product-widgets-after-3' => array ( 0 => 'woocommerce_products-4', ), 'product-widgets-after-4' => array ( 0 => 'woocommerce_products-3', ), 'bbpress-widgets-before-1' => array ( 0 => 'text-15', ), 'bbpress-widgets-after-1' => array ( 0 => 'pbtheme_category-4', ), 'bbpress-widgets-after-2' => array ( 0 => 'bbp_topics_widget-4', ), 'bbpress-widgets-after-3' => array ( 0 => 'pbtheme_category-3', ), 'bbpress-widgets-after-4' => array ( 0 => 'bbp_replies_widget-2', ), 'array_version' => 3, );
	update_option('sidebars_widgets', $div_sidebars_widget);

	$div_widget_categories = array ( 2 => array ( 'title' => 'Categories', 'count' => 0, 'hierarchical' => 0, 'dropdown' => 0, ), '_multiwidget' => 1, );
	update_option('widget_categories', $div_widget_categories);

	$div_widget_recent_posts = array ( 2 => array ( 'title' => '', 'number' => 5, ), 3 => array ( 'title' => '', 'number' => 3, 'show_date' => false, ), 5 => array ( 'title' => '', 'number' => 3, 'show_date' => false, ), '_multiwidget' => 1, );
	update_option('widget_recent-posts', $div_widget_recent_posts);

	$div_widget_recent_comments = array ( 2 => array ( 'title' => '', 'number' => 5, ), 3 => array ( 'title' => '', 'number' => 3, ), 4 => array ( 'title' => 'Recent Comments', 'number' => 5, ), '_multiwidget' => 1, );
	update_option('widget_recent-comments', $div_widget_recent_comments);

	$div_widget_archives = array ( 3 => array ( 'title' => '', 'count' => 0, 'dropdown' => 0, ), 4 => array ( 'title' => 'Archives', 'count' => 0, 'dropdown' => 0, ), '_multiwidget' => 1, );
	update_option('widget_archives', $div_widget_archives);

	$div_widget_nav_menu = array ( 2 => array ( 'title' => 'Pages #1', 'nav_menu' => 18, ), 3 => array ( 'title' => 'Pages #2', 'nav_menu' => 19, ), 4 => array ( 'title' => 'Pages #3', 'nav_menu' => 20, ), 5 => array ( 'title' => 'Pages #4', 'nav_menu' => 21, ), 9 => array ( 'title' => 'Pages', 'nav_menu' => 112, ), 10 => array ( 'title' => 'Shortcodes', 'nav_menu' => 114, ), '_multiwidget' => 1, );
	update_option('widget_nav_menu', $div_widget_nav_menu);

	$div_widget_tag_cloud = array ( 2 => array ( 'title' => 'Popular Tags', 'taxonomy' => 'post_tag', ), 3 => array ( 'title' => 'Popular Tags', 'taxonomy' => 'product_tag', ), '_multiwidget' => 1, );
	update_option('widget_tag_cloud', $div_widget_tag_cloud);

	$div_widget_pbtheme_catthree = array ( 2 => array ( 'title' => '', 'number' => '3', 'order0' => 'rand', 'category0' => '113', 'order1' => 'rand', 'category1' => '56', 'order2' => 'rand', 'category2' => '111', ), '_multiwidget' => 1, );
	update_option('widget_pbtheme_catthree', $div_widget_pbtheme_catthree);

	$div_widget_pbtheme_twitter = array ( 2 => array ( 'title' => 'Latest Tweets', 'user' => 'shindiristudio', 'count' => '1', ), 3 => array ( 'title' => 'Live Feed', 'user' => 'shindiristudio', 'count' => '1', ), 4 => array ( 'title' => 'Live Feed', 'user' => 'shindiristudio', 'count' => '1', ), '_multiwidget' => 1, );
	update_option('widget_pbtheme_twitter', $div_widget_pbtheme_twitter);

	$div_widget_onsale = array ( 2 => array ( 'title' => 'On Sale', 'number' => 3, ), '_multiwidget' => 1, );
	update_option('widget_onsale', $div_widget_onsale);

	$div_widget_tag_cloud = array ( 2 => array ( 'title' => 'Popular Tags', 'taxonomy' => 'post_tag', ), 3 => array ( 'title' => 'Popular Tags', 'taxonomy' => 'product_tag', ), '_multiwidget' => 1, );
	update_option('widget_tag_cloud', $div_widget_tag_cloud);

	$div_widget_best_sellers = array ( 2 => array ( 'title' => 'Best Sellers', 'number' => 3, 'hide_free' => 0, ), 3 => array ( 'title' => 'Best Sellers', 'number' => 3, 'hide_free' => 0, ), 5 => array ( 'title' => '', 'number' => 1, 'hide_free' => 0, ), 6 => array ( 'title' => '', 'number' => 1, 'hide_free' => 0, ), 7 => array ( 'title' => '', 'number' => 1, 'hide_free' => 0, ), 8 => array ( 'title' => 'Best Sellers', 'number' => 3, 'hide_free' => 0, ), 9 => array ( 'title' => '', 'number' => 2, 'hide_free' => 0, ), '_multiwidget' => 1, );
	update_option('widget_best_sellers', $div_widget_best_sellers);

	$div_widget_woocommerce_products = array ( 2 => array ( 'title' => 'Products', 'number' => '6', 'show' => '', 'orderby' => 'rand', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), 3 => array ( 'title' => 'On Sale', 'number' => '3', 'show' => 'onsale', 'orderby' => 'rand', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), 4 => array ( 'title' => 'Products', 'number' => '3', 'show' => '', 'orderby' => 'date', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), 5 => array ( 'title' => 'Features', 'number' => '3', 'show' => '', 'orderby' => 'rand', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), 6 => array ( 'title' => 'New Products', 'number' => '3', 'show' => 'featured', 'orderby' => 'date', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), 7 => array ( 'title' => 'Sale!', 'number' => '3', 'show' => 'onsale', 'orderby' => 'date', 'order' => 'desc', 'hide_free' => 0, 'show_hidden' => 0, ), '_multiwidget' => 1, );
	update_option('widget_woocommerce_products', $div_widget_woocommerce_products);

	$div_widget_woocommerce_product_categories = array ( 2 => array ( 'title' => 'Product Categories', 'orderby' => 'name', 'dropdown' => 0, 'count' => '1', 'hierarchical' => '1', 'show_children_only' => 0, ), '_multiwidget' => 1, );
	update_option('widget_woocommerce_product_categories', $div_widget_woocommerce_product_categories);

	$div_widget_woocommerce_product_tag_cloud = array ( 2 => array ( 'title' => 'Tags', ), '_multiwidget' => 1, );
	update_option('widget_woocommerce_product_tag_cloud', $div_widget_woocommerce_product_tag_cloud);

	$div_widget_woocommerce_top_rated_products = array ( 2 => array ( 'title' => 'Top Rated Products', 'number' => '3', ), 3 => array ( 'title' => 'Top Products', 'number' => '3', ), '_multiwidget' => 1, );
	update_option('widget_woocommerce_top_rated_products', $div_widget_woocommerce_top_rated_products);

	$div_widget_socialbro = array ( 2 => array ( 'title' => 'Follow us', 'opacity' => '100', 'hover_opacity' => '100', 'icons' => 'http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0067_Vector-Smart-Object.png::#::Facebook||http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0064_Vector-Smart-Object.png::#::Google +||http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0066_Vector-Smart-Object.png::#::Twitter||http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0068_Vector-Smart-Object.png::#::Deviantart||http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0063_Vector-Smart-Object.png::#::Pinterest||http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/widgets/socialbro/images/Style1/Style1_0069_Vector-Smart-Object.png::#::Envato', ), '_multiwidget' => 1, );
	update_option('widget_socialbro', $div_widget_socialbro);

	$div_widget_text = array (2=> array ('title'=> '','text'=> '<img class="block" src="http://www.imsuccesscenter.com/pbtheme/wp-content/themes/pbtheme/images/logo_footer.png" alt="PBTheme" style="max-height:40px;width:auto;margin-bottom:6px;"><br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<br><br> Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat  amet, consectetur adipisicing elit, sed do eiusmod.','filter'=> false,),4=> array ('title'=> 'Follow us','text'=> 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do<br><br><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/fb.png"></img></a><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/g+.png"></img></a><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/twitter.png"></img></a><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/deviant.png"></img></a><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/pinterest.png"></img></a><a href="#" style="padding-right:12px;"><img src="http://www.imsuccesscenter.com/envato/portal/envato.png"></img></a>','filter'=> false,),5=> array ('title'=> 'Contact info','text'=> '256 Divided Street, 15600 Birmingham, <br>United Kingdom<br>Telephone: +381 63 255 700','filter'=> false,),6=> array ('title'=> 'About PBTheme Blog','text'=> 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent condimentum vulputate tortor id posuere. Suspendisse varius turpis eget rhoncus aliquam. Curabitur elementum dignissim nibh, at sagittis lectus porta a. Mauris ac est ut ante feugiat scelerisque.','filter'=> false,),7=> array ('title'=> 'PBTheme Widgetized','text'=> 'PBTheme supports widgetized areas all around the template. Use this areas or disable them. Insert any widget in up to four columned areas.','filter'=> false,),11=> array ('title'=> '','text'=> '<a href="#"><img src="http://imsuccesscenter.com/pbtheme/banners/discount-01.png" title="Discount!"/></a>','filter'=> false,),12=> array ('title'=> '','text'=> '<a href="#"><img src="http://imsuccesscenter.com/pbtheme/banners/discount-03.png" title="Discount!"/></a>','filter'=> false,),13=> array ('title'=> '','text'=> '<a href="#"><img src="http://imsuccesscenter.com/pbtheme/banners/discount-06.png" title="Discount!"/></a>','filter'=> false,),15=> array ('title'=> '','text'=> '<img src="http://www.imsuccesscenter.com/envato/2.jpg">','filter'=> false,),16=> array ('title'=> 'Monthly Roundup','text'=> 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin venenatis lobortis urna, in blandit diam. Pellentesque consequat sapien at placerat tincidunt. ','filter'=> false,),'_multiwidget'=> 1,);
	update_option('widget_text', $div_widget_text);

	update_option( 'show_on_front', 'page' );
	update_option('page_on_front', '144');
	update_option('permalink_structure', '/%postname%/');

	$catalog = array(
		'width' 	=> '600',
		'height'	=> '750',
		'crop'		=> 1
	);
	$single = array(
		'width' 	=> '600',
		'height'	=> '750',
		'crop'		=> 1
	);
	$thumbnail = array(
		'width' 	=> '200',
		'height'	=> '200',
		'crop'		=> 1
	);

	update_option( 'shop_catalog_image_size', $catalog );
	update_option( 'shop_single_image_size', $single );
	update_option( 'shop_thumbnail_image_size', $thumbnail );

	$locations = get_theme_mod('nav_menu_locations');
	$locations['pbtheme_primary'] = 2;
	set_theme_mod( 'nav_menu_locations', $locations );

	global $wp_rewrite;
	$wp_rewrite->set_permalink_structure('/%postname%/');

}