<?php
// Prevent direct access
if (!function_exists('add_action')) {
    die('Please do not open this file directly!');
}

if (defined('WP_DEBUG') && WP_DEBUG) {
  error_reporting(-1);
} else {
  error_reporting(0);
}

if (function_exists('gc_enable')) {
  gc_enable();
}

function azonauth_remove_filters(){
    if(is_admin())
        remove_all_filters( 'switch_theme');
}
add_action("init", "azonauth_remove_filters");
define('AA_ROOT_DIR', str_replace('\\', '/', dirname(__FILE__)));
define('AA_ROOT_URL', rtrim(plugin_dir_url(__FILE__), '/'));
define('AA_PREFIX', 'pros_');
define('AWS_API_KEY', get_option('aa_settings-aws-public-key'));
define('AWS_API_SECRET_KEY', get_option('aa_settings-aws-secret-key'));
define('AWS_ASSOCIATE_TAG', get_option('aa_settings-associate-id'));
define('AWS_COUNTRY', get_option('aa_settings-associate-program-country'));
define('PMLC_PREFIX', 'pmlc_');
//-----------------------------------------------------------
// Make sure plugin paths and definitions are in place
//-----------------------------------------------------------
if ( !defined('WP_CONTENT_DIR') ) define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if ( !defined('WP_CONTENT_URL') ) define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if ( !defined('WP_PLUGIN_DIR') ) define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');
if ( !defined('WP_PLUGIN_URL') ) define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
$wp_dir = __FILE__;
$wp_dir = str_replace("\\", "/", $wp_dir);
$wp_dir = explode("/", $wp_dir);
$index=count($wp_dir)-2;
$pluginfolder=$wp_dir[$index];
$url = WP_PLUGIN_URL;
if(substr_count(admin_url(), "https://") > 0 && substr_count($url, "https://") <= 0)
    $url = str_replace("http://", "https://", $url);
define('AZONAUTH_SLUG', $pluginfolder );
define('AZONAUTH_DIR', WP_PLUGIN_DIR."/".$pluginfolder );
define('AZONAUTH_URL', $url."/".$pluginfolder );
require_once 'plugin-update-checker.php';
$azonauth_uc = PucFactory::buildUpdateChecker(
    'http://azonauthority.com/download/azonauthority/update.php',
    AZONAUTH_FILE,
    'azon-authority',
    12
);
//print_r($azonauth_uc);
//$azonauth_uc->debugMode = true;
//$azonauth_uc->checkForUpdates();
//-----------------------------------------------------------
// LICENSE CHECK
//-----------------------------------------------------------
/************use sql query for update awesome font icon name in database *************/
global $wpdb;

if(!class_exists("azonauthlicense")){
    class azonauthlicense{
        var $name;
        var $pref;
        var $menutitle;
        var $serverurl;
        var $authurl;
        var $memurl;
        var $state;
        var $email;
        var $authkey;
        var $levelnum;
        var $pluginfile;
        var $updateurl;
        var $pluginadmin;
        var $parentmenu;
        var $minlevel;
        var $icmember;
        var $icserverurl;
        var $icauthlocation;
        var $icmemberurl;
        function azonauthlicense($Info = array("pluginname" => "", "pluginprefix" => "", "pluginfile" => "", "pluginadmin" => "", "updateurl" => "", "menutitle" => "", "serverurl" => "", "authlocation" => "", "memberurl" => "", "parentmenu"=> "")){
            $wp_dir = __FILE__;
            $wp_dir = str_replace("\\", "/", $wp_dir);
            $wp_dir = explode("/", $wp_dir);
            for($index=0; $index<4; $index++)
                unset($wp_dir[count($wp_dir) - 1]);
            $wp_dir = implode("/", $wp_dir);
            include_once($wp_dir."/wp-load.php");
            $this->name = $Info["pluginname"];
            $this->pref = $Info["pluginprefix"];
            $this->menutitle = $Info["menutitle"];
            $this->serverurl = $Info["serverurl"];
            $this->authurl = $Info["authlocation"];
            $this->memurl = $Info["memberurl"];
            $this->pluginfile = $Info['pluginfile'];
            $this->updateurl = isset($Info['updateurl'])?$Info['updateurl']:"";
            $this->pluginadmin = $Info['pluginadmin'];
            $this->parentmenu =  isset($Info['parentmenu'])?$Info['parentmenu']:"";
            //add_filter( 'http_request_args', array(&$this, 'updates_exclude'), 5, 2 );
            // database update
            // Create the tables
        // Check if cron time checker
        if(!get_option('aa_settings-title-word-length')) {
            update_option('aa_settings-title-word-length', 9999);
        }
        // Create api key on first time
        if(!get_option('aa_settings-dm-cron-api-key')) {
            update_option('aa_settings-dm-cron-api-key', substr(sha1(rand()), 0, 5));
        }
        // Check for the date format settings
        if(!get_option('aa_settings-pros-date-format')) {
            update_option('aa_settings-pros-date-format', '(as of %%M%%/%%D%%/%%Y%% at %%TIME%% UTC)');
        }
        // create/update required database tables
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        require AA_ROOT_DIR . '/schema.php';
        dbDelta($plugin_queries);
        // Import the data to the geo table
        #$->importGeoTargetData();
            // database update end
            register_activation_hook($this->pluginfile, array(&$this, 'check_activation'));
            add_action($this->pref.'check_event', array(&$this, 'check_update'));
            register_deactivation_hook($this->pluginfile, array(&$this, 'check_deactivation'));
            $this->state =  $this->pref."activation_state";
            $this->email =  $this->pref."email";
            $this->authkey =  $this->pref."authkey";
            $this->levelnum =  $this->pref."levelnum";
            $this->minlevel =  $this->pref."minlevel";
            $this->icmember =  $this->pref."icmember";
            $this->icserverurl =  "imsuccesscenter.com";
            $this->icauthlocation =  "/inner_circle/wp-content/plugins/license-checker/authorize_domain.php";
            $this->icmemberurl =  "http://imsuccesscenter.com/inner_circle/wp-login.php?action=lostpassword";
    		if(get_option($this->state) && get_option($this->email) != "" && get_option($this->authkey) !== "" && get_option($this->levelnum) > 0 ){
    			$this->update_encryptedoption($this->state ,get_option($this->state) );
    			$this->update_encryptedoption($this->email ,get_option($this->email) );
    			$this->update_encryptedoption($this->authkey ,get_option($this->authkey) );
    			$this->update_encryptedoption($this->levelnum ,get_option($this->levelnum) );
    		}
            /*$this->update_encryptedoption($this->state , 'true');
   			$this->update_encryptedoption($this->email , 'a@a.com');
   			$this->update_encryptedoption($this->authkey , '12345678');
   			$this->update_encryptedoption($this->levelnum , '2');*/
			add_action('init', array(&$this, 'init'));
            add_action('plugins_loaded', array(&$this, 'init'));
            add_filter('cron_schedules', array(&$this, 'add_12hours_cron'));
            register_activation_hook(__FILE__, array(&$this, 'CheckCron'));
            add_action($this->pref.'12hours_event', array(&$this, 'VerifyLicense'));
            add_action('admin_menu', array(&$this, 'admin_menu'),7000);
        }
        function init(){
            $this->CheckCron();
            // wp_enqueue_script('jquery');
            if(isset($_POST['act']) && $_POST['act'] == $this->pref.'install_license'){
                if(!isset($_POST["email"]) || !isset($_POST["authkey"]) || $_POST["email"] == "" || $_POST["authkey"] == ""){
                    $msg = "Please enter email and authorization key";
                    echo 'failure:<div class="error"><p>'.$msg.'</p></div><br />';
                    exit;
                }else{
                    if($this->VerifyLicense(trim($_POST["email"]), trim($_POST["authkey"]), trim($_POST["icmember"]))) {
                        echo "success:Thanks! The ".$this->name." has been activated. <a href='admin.php?page=".$this->pluginadmin."'>Click here to go to the admin panel...</a>\r\n";
                        exit;
                    } else {
                        echo 'failure:<div class="error"><p>'.__("Sorry, the API key was incorrect.","").'</p></div><br />';
                        exit;
                    }
                }
            }
        }
        function admin_menu() {
        	global $azonauthsettings;
            if($this->get_decryptedoption($this->state) != 'true'){
        	   add_menu_page($this->menutitle, $this->menutitle, 'administrator', $this->pref.'install_license', array(&$this, 'menupage'), $azonauthsettings['icon'], 30 );
            }elseif($this->parentmenu != "" && $this->CheckLicense()){
                $this->licensepage($this->parentmenu);
            }
        }
        function ActivationMessage($ShowActive = false){
            $msg = "";
            if($this->get_decryptedoption($this->state) != 'true')
                $msg="";
            else if($ShowActive)
                $msg = '<p>'.$this->name.' is Activated </p>';
            if($msg != "")
                echo '<div id="message" class="updated fade">'.$msg.'</div>';
        }
        function menupage(){
        	global $azonauthsettings;
        	$buttonText = "Activate Now";
            $this->ActivationMessage(true);
            if($this->get_decryptedoption($this->email) == "-1") $this->update_encryptedoption($this->email, "");
            if($this->get_decryptedoption($this->authkey) == "-1") $this->update_encryptedoption($this->authkey, "");
?>
<div style="width:100%;height:<?php echo $azonauthsettings['headerheight'] ?>;background:black url('<?php echo $azonauthsettings['headerbg'] ?>') repeat-x;margin-right:20px;margin-bottom:20px;">
<h2 style="margin:0px;padding:0px;margin-left:-20px;margin-top:-4px;margin-bottom:20px;"><img src="<?php echo $azonauthsettings['headerlogo'] ?>"></h2></div>
<div id="error"></div>
<div class="dvlicense">
    <h1>Please Activate Your Copy of <?php echo $this->name?></h1>
    <strong>Note - </strong> If you have spare licenses available we will automatically add this domain "<?php echo $_SERVER['SERVER_NAME']?>" to your license pool<br /><br />
    <form id="actform" method="post">
        <table>
            <tr>
                <th>Email address:</th>
                <td><input type="text" name="email" value="<?php echo $this->get_decryptedoption($this->email);?>" /></td>
            </tr>
            <tr>
                <th>Authorization key:</th>
                <td>
                    <input type="text" name="authkey" value="<?php echo $this->get_decryptedoption($this->authkey);?>" />
                    <p align=right>I'm an Inner Circle Member: <input type="checkbox" name="icmember" value="1" <?php if ($this->get_decryptedoption($this->email)==1){echo "checked";}?>/></p>
                    <a class="forgot" href="<?php echo $this->memurl;?>">Forgot Your Details? Click Here</a>
                </td>
            </tr>
            <tr>
                <th></th>
                <td>
                	<input type="hidden" name="act" value="<?php echo $this->pref;?>install_license" />
                    <input type="submit" id="btnsubmit" name="btnsubmit" value="<?php echo $buttonText;?>" />
                </td>
            </tr>
        </table>
    </form>
</div>
<style>
.dvlicense{
}
.dvlicense table th{
    width: 200px;
    text-align: left;
    font-weight: bold;
    vertical-align: top;
    font-size: 12px;
}
.dvlicense table td input[type="text"]{
    width: 300px;
}
.dvlicense table td .forgot{
    display: block;
    text-align: right;
    color: blue;
    text-decoration: none;
    font-weight: bold;
    font-size: 12px;
}
.dvlicense table td #btnsubmit{
    float: right;
    font-size: 12px;
}
</style>
<script>
    var j = jQuery;
    j(document).ready(function(){
        j("#actform").submit( function () {
            j("#btnsubmit").val("Activating please wait.....");
            j("#btnsubmit").attr("disabled", 'true');
            j.ajax({
                type: "POST",
                data : j(this).serialize(),
                cache: false,
                url: "<?php echo admin_url("admin.php?page=".$this->pref."install_license");?>",
                success: function(data){
                    if(data.indexOf("success:") >= 0){
                        data = data.replace("success:", "");
                        j("#message").html('<p>'+data+'<br /></p>');
                        j("#error").html("");
                        //alert(data);
                        window.location.href = "<?php echo $this->pluginadmin;?>";
                    }else{
                        //alert(data);
                        j("#error").html(data.replace("failure:", ""));
                        j("#message").html('<p><strong>Notice: - </strong> <?php echo $this->name?> needs to be <span style="color: blue;">Activated</span> before it can be used<br /></p>');
                    }
                    j("#btnsubmit").val("Activate Plugin");
                    j("#btnsubmit").removeAttr("disabled");
                }
            });
            return false;
        });
    });
</script>
<?php
        }
        function CheckLicense($ShowMessage = false){
            if($ShowMessage)
                $this->ActivationMessage();
            if( $this->get_decryptedoption($this->state) != 'true')
                return false;
            else
                return true;
        }
        function GetLevelNo(){
            $LevelNo = 0;
            if($this->CheckLicense())
                $LevelNo = (int)$this->get_decryptedoption($this->levelnum, 0);
            return $LevelNo;
        }
        function add_12hours_cron($schedules) {
         	$schedules['12hours'] = array(
         		'interval' => 43200,
         		'display' => __( 'Once in 12 Hours' )
         	);
         	return $schedules;
         }
         function CheckCron(){
            $hook = $this->pref."12hours_event";
            if(!wp_get_schedule($hook)) {
                wp_schedule_event(current_time('timestamp'), "12hours", $hook);
            }
        }
        function VerifyLicense($email = "-1", $authkey = "-1", $icmember="0") {
            $msg = "";
            $activated = false;
            if($this->get_decryptedoption($this->email, "") != "" && $email == "-1")
                $email = $this->get_decryptedoption($this->email);
            if($this->get_decryptedoption($this->authkey, "") != "" && $authkey == "-1")
                $authkey = $this->get_decryptedoption($this->authkey);
            if($this->get_decryptedoption($this->icmember, "") != "" && $icmember == "0")
                $icmember = $this->get_decryptedoption($this->icmember);
            $remote_access_fail = false;
        	$domain = $_SERVER['SERVER_NAME'];
            $request = '';
            // Check Inner Circle activation or normal activation
            if ($icmember==1){
	           $this->authurl=$this->icauthlocation;
	           $this->serverurl= $this->icserverurl;
            }
           	$http_request  = "GET ".$this->authurl."?email=".$email."&domain=".$domain."&authkey=".$authkey." HTTP/1.0\r\n";
        	$http_request .= "Host: ".$this->serverurl."\r\n";
            $http_request .= "Content-Type: application/x-www-form-urlencoded; charset=".get_option('blog_charset')."\r\n";
        	$http_request .= "Content-Length: ".strlen( $request )."\r\n";
        	$http_request .= "User-Agent: ".$this->name."\r\n";
        	$http_request .= "\r\n";
        	$http_request .= $request;
        	//var_dump($http_request); die();
        	$response = '';
        	// checking for cloudfare access
        	$url = 'https://www.cloudflare.com/api_json.html?a=wl&tkn=65d64290e62eeca4df7e5bb73ddde9e92614c&email=admin@imsuccesscenter.com&key='.$_SERVER['SERVER_ADDR'];
            if(extension_loaded("curl")) {
                $s = curl_init();
    			curl_setopt($s,CURLOPT_URL,$url );
    			curl_setopt($s,CURLOPT_RETURNTRANSFER,true);
    			curl_setopt($s, CURLOPT_SSL_VERIFYPEER, 1);
    			curl_setopt($s, CURLOPT_RETURNTRANSFER, 1);
    		    $status = curl_getinfo($s,CURLINFO_HTTP_CODE);
    			$curlResponse = curl_exec($s);
    			$curlResponse = json_decode($curlResponse);
			}else{
			     $curlResponse = file_get_contents($url);
                 $curlResponse = json_decode($curlResponse);
			}
            if(false != ($fs = @fsockopen($this->serverurl,80,$errno,$errstr,30 ) ) ) {
                fwrite( $fs,$http_request );
                while ( !feof( $fs ) ){
					$response .= fgets( $fs,1160 ); // One TCP-IP packet
					$pos = strpos($response, '403 Forbidden');
                }
                fclose( $fs );
                $response = explode( "\r\n\r\n",$response,2 );
                $returned_value = (int)trim( $response[1] );
                //$returned_value = 2;
                if( $returned_value > 0 && $returned_value >= $this->minlevel ) {
                    {//if( $this->get_decryptedoption($this->state) != 'true' ) {
                        $this->update_encryptedoption($this->state,'true');
                        $this->update_encryptedoption($this->email, $email);
                        $this->update_encryptedoption($this->authkey, $authkey);
                        $this->update_encryptedoption($this->levelnum, $returned_value);
                        $this->update_encryptedoption($this->icmember, $icmember);
                    }
                    $activated = true;
                } else {
                    if($email == "-1") $email = "";
                    if($authkey == "-1") $authkey = "";
                    $this->update_encryptedoption($this->state,"false");
                    $this->update_encryptedoption($this->email, $email);
                    $this->update_encryptedoption($this->authkey, $authkey);
                    $this->update_encryptedoption($this->levelnum, "");
                    $this->update_encryptedoption($this->icmember, $icmember);
                    $activated = false;
                }
            }
            return $activated;
        }
        function updates_exclude( $r, $url ) {
        	if ( 0 !== strpos( $url, 'http://api.wordpress.org/plugins/update-check' ) )
        		return $r; // Not a plugin update request. Bail immediately.
        	$plugins = unserialize( $r['body']['plugins'] );
        	unset( $plugins->plugins[ plugin_basename( __FILE__ ) ] );
        	unset( $plugins->active[ array_search( plugin_basename( __FILE__ ), $plugins->active ) ] );
        	$r['body']['plugins'] = serialize( $plugins );
        	return $r;
        }
        function plugin_get($i) {
        	if ( ! function_exists( 'get_plugins' ) )
        		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
        	$plugin_folder = get_plugins( '/' . plugin_basename( dirname( $this->pluginfile ) ) );
        	$plugin_file = basename( ( $this->pluginfile ) );
        	return $plugin_folder[$plugin_file][$i];
        }
        function check_activation() {
        	wp_schedule_event(time(), 'twicedaily', array(&$this, $this->pref.'check_event'));
        }
        function check_update() {
        	global $wp_version;
        	$plugin_folder = plugin_basename( dirname( $this->pluginfile ) );
        	$plugin_file = basename( ( $this->pluginfile ) );
        	if ( defined( 'WP_INSTALLING' ) ) return false;
        	$response = wp_remote_get( $this->updateurl );
        	list($version, $url) = explode('|', $response['body']);
        	if($this->plugin_get("Version") == $version) return false;
        	$plugin_transient = get_site_transient('update_plugins');
        	$a = array(
        		'slug' => $plugin_folder,
        		'new_version' => $version,
        		'url' => $this->plugin_get("AuthorURI"),
        		'package' => $url
        	);
        	$o = (object) $a;
        	$plugin_transient->response[$plugin_folder.'/'.$plugin_file] = $o;
        	set_site_transient('update_plugins', $plugin_transient);
        }
        function check_deactivation() {
        	wp_clear_scheduled_hook($this->pref.'check_event');
        }
        function licensepage($parent_slug, $menu_title = "Update License"){
            add_submenu_page($parent_slug, $menu_title, $menu_title, 'manage_options', $parent_slug.'-updatelicense', array (&$this, 'updatelicense') );
        }
        function updatelicense($buttonText = "Update License"){
            $this->menupage($buttonText);
        }
        function encryptoptions($array) {
            $compressedarray = json_encode($array);
            $encrypted       = urlencode(strtr(base64_encode(addslashes(serialize($compressedarray))), '+/=', '-_,'));
            update_option($this->pref . "data", $encrypted);
        }
        function update_encryptedoption($item, $value) {
            $encrypted                = get_option($this->pref . "data");
            $decryptedoptions         = urldecode(unserialize(stripslashes(base64_decode(strtr($encrypted, '-_,', '+/=')))));
            $uncompressedarray        = json_decode($decryptedoptions, true);
            $uncompressedarray[$item] = $value;
            $compressedarray          = json_encode($uncompressedarray);
            $encrypted                = urlencode(strtr(base64_encode(addslashes(serialize($compressedarray))), '+/=', '-_,'));
            update_option($this->pref . "data", $encrypted);
        }
        function get_decryptedoption($item) {
            $encryptedoptions  = get_option($this->pref . "data");
            $decryptedoptions  = urldecode(unserialize(stripslashes(base64_decode(strtr($encryptedoptions, '-_,', '+/=')))));
            $uncompressedarray = json_decode($decryptedoptions, true);
            return $uncompressedarray[$item];
        }
    };
}
global $azonauthsettings;
$azonauthsettings=array(
    "headerlogo"=>AZONAUTH_URL."/images/hl.jpg",
    "headerbg"=>AZONAUTH_URL."/images/hbg.jpg",
    "headerheight"=>"100px",
    "icon" => AZONAUTH_URL."/images/cart.png",
    "pluginname" => "AzonAuthority",
    "pluginprefix" => "azonauth_",
    "pluginfile" => __FILE__,
    "pluginadmin" => "index.php",
    "menutitle" => "Activate AzonAuthority",
    "parentmenu" => __FILE__,
    "serverurl" => "azonauthority.com",
    "authlocation" => "/members/wp-content/plugins/license-checker/authorize_domain.php",
    "memberurl" => "http://azonauthority.com/members/wp-login.php?action=lostpassword",
    "minlevel" => 1,
);
global $azonauth_lc;
if (class_exists('azonauthlicense')) {
    $azonauth_lc = new azonauthlicense($azonauthsettings);
}
if(!$azonauth_lc->CheckLicense()) return;
// ------- amazon sort order translations
$proso_sort_order['relevancerank'] = 'Relevance';
$proso_sort_order['salesrank'] = 'Best Selling';
$proso_sort_order['pricerank'] = 'Price: low to high';
$proso_sort_order['inverseprice'] = 'Price: high to low';
$proso_sort_order['-launch-date'] = 'Newest arrivals';
$proso_sort_order['sale-flag'] = 'On Sale';
$proso_sort_order['price'] = 'Price: low to high';
$proso_sort_order['-price'] = 'Price: high to low';
$proso_sort_order['reviewrank'] = 'Average customer review: high to low';
$proso_sort_order['pmrank'] = 'Featured Items';
$proso_sort_order['psrank'] = 'Projected Sales';
$proso_sort_order['inverse-pricerank'] = 'Price: high to low';
$proso_sort_order['titlerank'] = 'Alphabetical: A to Z';
$proso_sort_order['-titlerank'] = 'Alphabetical: Z to A';
$proso_sort_order['daterank'] = 'Newest published';
if (!defined('AAA_INSTALLED')) {
    define('AAA_INSTALLED', '1.0.1');
}
require_once( ABSPATH . DIRECTORY_SEPARATOR . 'wp-admin' . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'meta-boxes.php' );
require "libraries/AmazonECS.class.php";
require "libraries/aws_signed_request.php";
include "framework/framework-load.php";
include "classes/aaSearch.php";
include "classes/aaCampaign.php";
include "classes/aaCampaignController.php";
include "classes/aaItem.php";
include "classes/aaPoster.php";
include "classes/aaDisplay.php";
include "classes/aaSpinner.php";
include "classes/aaCheckoutHooker.php";
include "classes/aaSubscription.php";
include "cron/aaCron.php";
include "external/wpwizardcloak.php";
require_once("cron/aaCronSubscription.php");
require_once("classes/aaGeoTarget.php");
// Check if WP Dynamic Links isn't installed
if(!class_exists('PMLC_GeoIPCountry_Record')) {
    require_once("geotarget/pmlc_model.php");
    require_once("geotarget/pmlc_model_record.php");
    require_once("geotarget/record.php");
}
// utility
if (!function_exists('proso_pre_print_r')) {
    function proso_pre_print_r($x) {
        echo "<pre>";
        print_r($x);
        echo "</pre>";
    }
}
class Aa {
    /**
     * The Campaign Controller. Only load if we are on a campaign-related admin page. And needs to be setup before upon initialization
     *
     * Source File: /classes/AaCampaignController.php
     * @var object  AaCampaignController
     */
    public $PCC;
    /**
     * Only load the display at the frontend. Also contains the shortcode [aa]
     *
     * Source File: /classes/AaDisplay.php
     * @var object AaDisplay
     */
    public $Display;
    /**
     * The poster. It does ajax iterative requests to bypass the php max execution time
     *
     * Source File: /classes/AaDisplay.php
     * @var object AaDisplay
     */
    public $Poster;
    /**
     * Responsible for making the purchase to AmazonECS
     *
     * Source File: /classes/AaCheckoutHooker.php
     * @var object AaCheckoutHooker
     */
    public $CheckoutHooker;
    /**
     * Instance container
     * @var object  Aa
     */
    protected static $instance;
    /**
     * Construct
     */
    public function __construct() {
        add_action('admin_notices', array($this, 'notifications'));
        if (!in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
          require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
          deactivate_plugins( plugin_basename( __FILE__ ) );
          return;
        }
        // PageBuilder
        add_action('admin_init', array($this, 'screen_check'));
        register_activation_hook(__FILE__, array($this, 'activation'));
        register_deactivation_hook(__FILE__, array($this, 'deactivation'));
        // Instantiate the objects (TODO delete the comments)
        $this->PCC = new AaCampaignController;
        $this->Display = new AaDisplay;
        $this->Poster = new AaPoster;
        $this->CheckoutHooker = new AaCheckoutHooker;
        // Ajax for Amazon Discount, Suggest, Tool
        add_action('wp_ajax_amazon_discount', array($this, 'amazon_discount_ajax'));
        add_action('wp_ajax_amazon_suggest', array($this, 'amazon_suggest_ajax'));
        add_action('wp_ajax_suggest_ajax', array($this, 'amazon_suggest_ajax_result'));
        #add_action('wp_ajax_amazon_tool', array($this, 'amazon_tool_ajax_result'));
        // hook on product open
        add_action('wp_head', array($this, 'product_open'));
        // top added to cart
        add_action('wp_dashboard_setup', array($this, 'aa_add_dashboard_widgets'));
        add_action('woocommerce_add_to_cart', array($this, 'top_added_to_cart'), 1, 4);
        add_action('admin_init', array($this, 'addSettings'));
        add_action('admin_init', array($this, 'check_server_setup'));
        add_action('admin_menu', array($this, 'admin_menu'), 10);
        add_action('admin_head', array($this, 'admin_head'));
        add_action('admin_notices', array($this, 'first_time_notice'));
        // force user to add amazon access key first
        #add_action('admin_init', array($this, 'settings_redirect'));
        add_action('admin_notices', array($this, 'amazon_keys_required'));
        add_filter('woocommerce_product_tabs', array($this, 'reviewTabs'), 40);
        add_action('init', array($this, 'woocommercePrice'));
        // Style for amazon disclaimer
        add_action('wp_head', array($this, 'addAmazonDisclaimerStyle'));
        // JS script for settings page
        add_action('admin_print_scripts-azonauthority_page_aa_settings', array($this, 'addJsSettingsPage'));
        // Add checking for geo-target
        add_action('wp_loaded', array($this, 'geoTargetCatcher'));
        // Cron notice
        add_action('admin_notices', array($this, 'noticeCron'));
        add_action('admin_notices', array($this, 'no_connection'));
        // Add hide notice action
        add_action('wp_loaded', array($this, 'hideNoticeCron'));
        add_filter('the_content', array($this, 'affiliate_cookie'), 10, 1);
        // Activate woocommerce programatically
        add_action('wp_loaded', array($this, 'activateWoocommerce'));
        // Woocommerce external.php template filter
        add_filter('wc_get_template', array($this, 'woocommerceExternalButtonFilter'), 20, 2);
        add_filter('woocommerce_product_add_to_cart_url', array($this, 'woocommerceExternalButtonFilterLoop'), 20, 2);
        add_filter('plugin_action_links_' . basename(dirname(__FILE__)) . '/' . basename(__FILE__),
                 array(__CLASS__, 'plugin_action_links'));
    }
    static function screen_check() {
      if (!isset($_GET['action'])) {
        require_once("addons/amazon_discount/functions.php");
        require_once("addons/amazon_suggest/__functions.php");
      }
    }
  function aa_add_dashboard_widgets(){
    wp_add_dashboard_widget('aa_widget', 'AzonAuthority', array(__CLASS__, 'aa_widget'));
  }
  static function admin_head() {
    echo '<style type="text/css">#toplevel_page_azon-authority-azon-authority .wp-menu-image img { padding-top: 7px; }</style>';
  }
  function no_connection() {
    if (!get_option('aa_settings-aws-public-key') || !get_option('aa_settings-aws-secret-key') || !get_option('aa_settings-associate-id')) {
       echo '<div id="aa-connection" class="error"><p><b>AzonAuthority is not ready to be used!</b></p><p>Please open the <a href="' . admin_url('admin.php?page=aa_settings') . '">settings</a> and enter your AWS details.</p></div>';
    }
  }
  static function aa_widget() {
    $now = current_time('timestamp');
$days = array();
for ($i=30; $i--; $i >= 0) {
  $tmp = $now - $i * DAY_IN_SECONDS;
  $days[date('m/d', $tmp)] = date('d-m-Y', $tmp);
}
?>
  <script type="text/javascript"
          src="https://www.google.com/jsapi?autoload={'modules':[{
              'name':'visualization',
              'version':'1',
              'packages':['corechart']
            }]
          }"></script>
    <script type="text/javascript">
      google.setOnLoadCallback(drawChart);
      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['Date', 'Actions'],
<?php
$data = get_option('daily_cart_stats');
foreach ($days as $lab => $val) {
  $tmp = isset($data[$val])? $data[$val]: 0;
  echo "['{$lab}', $tmp], ";
}
?>
        ]);
        var options = {
          title: 'Add to cart actions for last 30 days',
          curveType: 'function',
          colors: ['#ff9900'],
          vAxis: {
              _title: "Percentage Uptime",
              _viewWindowMode:'explicit',
              format:'0',
              viewWindow:{
                _max:100,
                min:0
              }
            },
          'chartArea': {'width': '92%', 'height': '80%'},
          legend: { position: 'none' }
        };
        var chart = new google.visualization.LineChart(document.getElementById('curve_chart'));
        chart.draw(data, options);
      }
    </script>
<div id="curve_chart" style="width: 100%; height: 300px; max-width:1200px;"></div>
<!-- Top Opened/Clicked Products -->
<div class="" style="margin-top: 20px;">
<h3>Top Opened/Clicked Products</h3>
<ul class="aa-box-list">
<?php
  $products = get_posts(array('post_type' => 'product', 'meta_key' => 'product_opened', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => 3));
  if ($products) {
    foreach ($products as $product) {
      $image = wp_get_attachment_image_src(get_post_thumbnail_id($product->ID), 'thumbnail');
      $views = get_post_meta($product->ID, 'product_opened', true);
      $added_to_cart = get_post_meta($product->ID, 'added_to_cart', true);
      if (!$views || $views == '') $views = 0;
      if (!$added_to_cart || $added_to_cart == '') $added_to_cart = 0;
      echo '<li>
            <img src="' . $image[0] . '" />
            <p><b>Views:</b> ' . $views . '</p>
            <p><b>Added to Cart:</b> ' . $added_to_cart . '</p>
            <p><b>Created:</b> ' . date('d/m/Y', strtotime($product->post_date)) . '</p>
            </li>';
    }
  }
?>
</ul>
</div>
<!-- Top Added To Cart Products -->
<div class="" style="margin-top: 20px;">
<h3>Top Added to Cart</h3>
<ul class="aa-box-list">
<?php
  $products = get_posts(array('post_type' => 'product', 'meta_key' => 'added_to_cart', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => 3));
  if ($products) {
    foreach ($products as $product) {
      $image = wp_get_attachment_image_src(get_post_thumbnail_id($product->ID), 'thumbnail');
      $views = get_post_meta($product->ID, 'product_opened', true);
      $added_to_cart = get_post_meta($product->ID, 'added_to_cart', true);
      if (!$views || $views == '') $views = 0;
      if (!$added_to_cart || $added_to_cart == '') $added_to_cart = 0;
      echo '<li>
            <a href="' . get_permalink($product->ID) . '"><img src="' . $image[0] . '" /></a>
            <p><b>Views:</b> ' . $views . '</p>
            <p><b>Added to Cart:</b> ' . $added_to_cart . '</p>
            <p><b>Created:</b> ' . date('d/m/Y', strtotime($product->post_date)) . '</p>
            </li>';
    }
  }
?>
</ul>
</div>
<?php
  }
    static function amazon_discount_ajax() {
      include AA_ROOT_DIR . '/addons/amazon_discount/result.php';
      die();
    } // amazon_discount_ajax
    static function amazon_suggest_ajax() {
      include AA_ROOT_DIR . '/addons/amazon_suggest/ajax.php';
      die();
    } // amazon_discount_ajax
    static function amazon_suggest_ajax_result() {
      include AA_ROOT_DIR . '/addons/amazon_suggest/requests.php';
      die();
    } // amazon_suggest_ajax_result
    static function amazon_tool_ajax_result() {
      include AA_ROOT_DIR . '/addons/amazon_tool/result.php';
      die();
    } // amazon_tool_ajax_result
    public function affiliate_cookie($content) {
      global $post;
      if ($post->post_type != 'product') {
        return $content;
      }
      $id = $post->ID;
      $aff = get_option('aa_settings-associate-id');
      $asin = get_post_custom($id);
      $asin = $asin['_pros_ASIN'][0];
      if (get_option('aa_settings-affiliate-cookie') == 'img') {
        $content .= '<img src="http://www.amazon.com/dp/' . $asin . '/?tag=' . $aff . '" style="opacity: 0;" width="1" height="1">';
      }
      return $content;
    }
    /**
    * Top Added to Cart
    *
    */
    public function top_added_to_cart($cart_item_key, $product_id, $quantity, $variation_id) {
      if ($product_id) {
        $count = get_post_meta($product_id, 'added_to_cart', true);
        $count = $count + $quantity;
        update_post_meta($product_id, 'added_to_cart', $count);
        // Per day statistika
        $daily_stats = get_option('daily_cart_stats');
        if (!$daily_stats) {
          // Not created yet
          $daily_stats = array();
        }
        if (!isset($daily_stats[date('d-m-Y')])) {
          $daily_stats[date('d-m-Y')] = 1;
        } else {
          $daily_stats[date('d-m-Y')] += 1;
        }
        update_option('daily_cart_stats', $daily_stats);
      }
    } // top_added_to_cart
    /**
    * Product Opened/Clicked
    *
    */
    public function product_open() {
      global $post;
      if (is_single() && $post->post_type == 'product') {
        $count = get_post_meta($post->ID, 'product_opened', true);
        $count = $count+1;
        update_post_meta($post->ID, 'product_opened', $count);
      }
    } // product_open
    /**
     * Activate wooCommerce
     */
    public function activateWoocommerce() {
        // Check if we will activate woocommerce
        if(isset($_GET['proswoocommerceactivate'])) {
            // Check if woocommece is not yet installed
            if(!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
                // Require the plugin.php
                require_once(ABSPATH . 'wp-admin/includes/plugin.php');
                // Activate woocommerce
                activate_plugin('woocommerce/woocommerce.php');
                // Redirect to /wp-admin
                wp_redirect(admin_url());
                exit;
            }
        } elseif((isset($_GET['page']) && $_GET['page'] == 'wc-about') && (isset($_GET['wc-installed']) && $_GET['wc-installed'] == 'true')) {
            wp_redirect(admin_url('admin.php?page=aa_settings&message=2'));
            exit;
        }
    }
    /**
     * Hide notice
     */
    public function hideNoticeCron() {
        if(!is_admin())
            return;
        // Check if we got the notice
        if(isset($_GET['proscron_notice']) && $_GET['proscron_notice'] == 'hide') {
            update_option('aa_settings-hide-cron', 'hide');
        } elseif(isset($_GET['proscron_notice']) && $_GET['proscron_notice'] == 'perm_hide') {
            update_option('aa_settings-hide-cron', 'perm_hide');
        }
    }
    /**
     * Display cron notice
     */
    public function noticeCron() {
        // Get cron instance
        $cron = AA_Cron::getInstance();
        // Get products that needs update
        $products = $cron->getProducts();
        // Check if cron was hidden
        $cronHidden = get_option('aa_settings-hide-cron', '');
        $cronHide = false;
        // Check if cron is hidden or on hide cron notice
        if($cronHidden == 'hide' || $cronHidden == 'perm_hide') {
            $cronHide = true;
        }
        if(isset($_GET['proscron_notice']) && ($_GET['proscron_notice'] == 'hide' || $_GET['proscron_notice'] == 'perm_hide')) {
            // Check if the "Hide notice" link was clicked
            $cronHide = true;
        }
        if(AWS_API_KEY == false) {
            // If the settings wasn't yet saved
            $cronHide = true;
        }
        // Check if we have products that needs updating
        if(!$cronHide) { ?>
            <div class="error">
                <p>
                    <a href="<?php echo admin_url('admin.php?page=cron_notice_page'); ?>">Configure the cron job</a> to ensure all your product data is kept up to date and new products are posted for subscription campaigns.<br/>
                    <a href="<?php echo admin_url('?proscron_notice=hide'); ?>">Hide Notice</a>
                </p>
            </div>
        <?php }
    }
    // add settings link to plugins page
  static function plugin_action_links($links) {
    $settings_link = '<a href="admin.php?page=azon-authority/azon-authority.php" title="Configure AzonAuthority">Configure</a>';
    array_unshift($links, $settings_link);
    return $links;
  } // plugin_action_links
    /**
     * Catch all external product
     */
    public function geoTargetCatcher() {
        // Make sure we are on front end
        if(is_admin()) {
            return;
        }
        if(isset($_GET['product'])) {
            if(!is_numeric($_GET['product']))
                return;
            // Get the post id
            $postId = (int)$_GET['product'];
            //$ip = "195.81.186.116";
            $ip = $_SERVER['REMOTE_ADDR'];
            // Create new Geo Target instance
            $geo = new AA_Geo_Target($postId, $ip);
            // Get url
            $url = $geo->getProductUrl();
            // Redirect to proper destination
            $geo->redirect();
        }
    }
    /**
     * Callback for the custom meta box
     * @param $post
     */
    public function pros_product_section_inner_custom_box( $post ) {
        // Add an nonce field so we can check for it later.
        wp_nonce_field( 'pros_product_section_inner_custom_box', 'pros_product_section_inner_custom_box_nonce' );
        /*
         * Use get_post_meta() to retrieve an existing value
         * from the database and use the value for the form.
         */
        $value = get_post_meta( $post->ID, '_pros_alt_prod_desc', true );
        $placeHolder = '';
        // If no value
        if(!$value || empty($value)) {
            $placeHolder = 'placeholder="Enter your description here... HTML is allowed" ';
            $value = '';
        }
        echo '<p><label for="myplugin_new_field">';
        echo 'Override the Product Description (useful for SEO)';
        echo '</label><br />';
        echo '<textarea '. $placeHolder .'style="width: 100%" rows="6" id="myplugin_new_field" name="pros_alt_prod_desc">' . esc_attr( $value ) . '</textarea></p>';
        echo '<p>Product ASIN: <strong>' . get_post_meta($post->ID, '_pros_ASIN', true) . '</strong></p>';
    }
  public function woocommercePrice() {
    add_filter('woocommerce_get_price_html', array($this, 'filterPrice'));
  }
  public function filterPrice($price) {
    if(is_admin())
      return $price;
        // Get post object
        global $post;
        // Check if it's a aa product
        if(get_post_meta($post->ID, '_pros_ASIN', true) == '')
            return $price;
        // Get the settings
        $displayByTime = get_option('aa_settings-pros-dis-display-time', 'true');
        $displayByLocation = get_option('aa_settings-pros-dis-display-individual', 'true');
        $lastUpdateTime = get_post_meta($post->ID, '_pros_last_update_time', true);
        if($displayByLocation == 'true') {
            // Only do the filter if we're on the individual product page
            if(is_single()) {
                $price = $this->filterPriceByTime($price, $displayByTime, $lastUpdateTime);
            }
        } else {
            // Only do the filtration by time
            $price = $this->filterPriceByTime($price, $displayByTime, $lastUpdateTime);
        }
        // If we need to display the disclaimer regarding of the refreshed time
        return $price;
  }
    /**
     * Do filtration of price if product is not refreshed within 24 hours.
     * @param $price
     * @param $displayByTime
     * @param $lastUpdateTime
     * @return string
     */
    private function filterPriceByTime($price, $displayByTime, $lastUpdateTime) {
        if($displayByTime == 'false') {
            if((int)$lastUpdateTime <= (time() - 86400)) {
                // Product was not updated within 24 hours
                $newPrice = $this->alterPrice($price, $lastUpdateTime);
            }
            else {
                // if product was updated within the last 24 hours. Still display the price.
                $newPrice = $price;
            }
        } else {
            // Display regardless
            $newPrice = $this->alterPrice($price, $lastUpdateTime);
        }
        return $newPrice;
    }
    /**
     * Changes to be done on the price
     * @param $price
     * @param $lastUpdateTime
     * @return string
     */
    private function alterPrice($price, $lastUpdateTime) {
        global $post;
        // Get date format
        $dateDisplay = get_option('aa_settings-pros-date-format', 'true');
        // Set default
        if($dateDisplay == false || empty($dateDisplay))
            $dateDisplay = '(as of %%M%%/%%D%%/%%Y%% at %%TIME%% UTC)';
        // Get date
        $date = date('m/d/Y', $lastUpdateTime);
        // Convert to array
        $arrDate = explode('/', $date);
        // Get parts
        $month = $arrDate[0];
        $day = $arrDate[1];
        $year = $arrDate[2];
        // Get time
        $time = date('H:i', $lastUpdateTime);
        // Convert the $dateDisplay
        $str2 = str_replace(
            array('%%DATE%%', '%%TIME%%', '%%M%%', '%%D%%', '%%Y%%'),
            array($date, $time, $month, $day, $year),
            $dateDisplay
        );
        $tooLowToDisplay = get_post_meta($post->ID, '_price', true);
        if($tooLowToDisplay == '' || $tooLowToDisplay == '0')
            $price = 'Too low to display';
        $price .= "<div class='prosamazondis'>{$str2}</div>";
        return $price;
    }
  public function reviewTabs($tabs) {
        if(isset($tabs['reviews'])) {
            $tabs['reviews']['title'] = "Reviews";
        }
        return $tabs;
  }
    /**
     * Check if the instance is already created. If not, create an instance
     */
    static public function getInstance() {
        if (self::$instance == NULL) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    public function check_amazon_notice() {
        if(isset($_GET['page'])) {
            $page = $_GET['page'];
        } else {
            $page ='';
        }
        if(isset($_GET['settings-updated'])) {
            $settingsUpdated = $_GET['settings-updated'];
        } else {
            $settingsUpdated = '';
        }
        if ($page == 'aa_settings' && $settingsUpdated == 'true') {
            // Display notice that the settings are saved
            $this->settings_saved_notice();
            $error = $this->check_amazon();
            if ($error) {
                $this->check_amazon_fail();
                // Update option
                update_option('pros_valid_amazon_keys', 'valid');
            } else {
                $this->check_amazon_success();
                update_option('pros_valid_amazon_keys', 'valid');
            }
        }
    }
    /**
     * Display notice that the settings are saved.
     */
    public function settings_saved_notice() { ?>
        <div class="updated">
            <p>Your settings were successfully saved.</p>
        </div>
    <?php }
    public function check_amazon_fail() {
        ?>
        <div class="error">
            <p>AzonAuthority was not able to connect to Amazon with the specified AWS Key Pair and Associate ID. Please triple-check your AWS Keys and Associate ID.</p>
        </div>
    <?php }
    public function check_amazon_success() {
        ?>
        <div id="connected" class="updated">
            <?php
                // Check if it's first time
                if(isset($_GET['message']) && $_GET['message'] == '2') {
                    $message = "AzonAuthority was able to successfully connect to Amazon. <a href='" . admin_url('admin.php?page=azon-authority/azon-authority.php') . "'>Click here to get started</a>.";
                } else {
                    $message = "AzonAuthority was able to connect to Amazon with the specified AWS Key Pair and Associate ID.";
                }
            ?>
            <p><?php echo $message; ?></p>
        </div>
    <?php
    //echo '<div>AzonAuthority was NOT able to connect to the Spinner API you provided. Please check username and password.</div>';
    }
    private function check_amazon() {
        $error = false;
        // Get the keys
        $awsApiKey = get_option('aa_settings-aws-public-key');
        $awsApiSecret = get_option('aa_settings-aws-secret-key');
        $awsCountry = 'com';
        $awsAssociateTag = get_option('aa_settings-associate-id');
        // Try
        try {
            // Do a test connection
            $tryConnect = new AmazonECS($awsApiKey, $awsApiSecret, $awsCountry, $awsAssociateTag);
            $tryConnect->responseGroup('Small');
            $tryConnect->category('Apparel');
            $tryResponse = $tryConnect->search('*', 1036592);
            // Check if we don't have valid request, e.g AWS keys aren't associated with Amazon Associates Program
            if(isset($tryResponse->Items->Request->IsValid) && ($tryResponse->Items->Request->IsValid === 'False')) {
                $error = true;
            }
        } catch (Exception $e) {
            $error = true;
        }
        return $error;
    }
    /**
     * Redirect user to the settings page if the amazon access isn't populated
     */
    public function settings_redirect() {
        $redirect = TRUE;
        // Check if all amazon access is given
        if (!( AWS_API_KEY == '' || AWS_API_KEY == NULL || AWS_API_KEY == FALSE )) {
            if (!( AWS_API_SECRET_KEY == '' || AWS_API_SECRET_KEY == NULL || AWS_API_SECRET_KEY == FALSE )) {
                if (!( AWS_ASSOCIATE_TAG == '' || AWS_ASSOCIATE_TAG == NULL || AWS_ASSOCIATE_TAG == FALSE )) {
                    $redirect = FALSE;
                }
            }
        }
        if (get_option('pros_valid_amazon_keys', 'invalid') == 'invalid') {
            $redirect = TRUE;
        }
        // Check if we need to redirect
        if ($redirect) {
            if(isset($_GET['page']))
                $page = $_GET['page'];
            else
                $page = '';
            if ($page == 'aa_addedit_campaign' || $page == 'aa_manage_campaigns' || $page == 'pros-subscription' || $page == 'pros-manage-subscription' || $page == 'aa_post_products') {
                // Admin url
                $admin_url = admin_url('admin.php');
                // The settings url
                $url = add_query_arg(array(
                    'page' => 'aa_settings',
                    'message' => 1
                        ), $admin_url);
                wp_redirect($url);
                exit();
            }
        }
    }
    public function amazon_keys_required() {
        if(isset($_GET['page'])) {
            $page = $_GET['page'];
        } else {
            $page = '';
        }
        if(isset($_GET['message'])) {
            $message = $_GET['message'];
        } else {
            $message = '';
        }
        if(isset($_GET['settings-updated'])) {
            $settingsUpdated = $_GET['settings-updated'];
        } else {
            $settingsUpdated = '';
        }
        if ($page == 'aa_settings' && $message == 1 && $settingsUpdated != 'true') {
            ?>
            <div class="error">
                <p>Please enter in your Associate ID, AWS Access Key ID, and AWS Secret Access Key</p>
            </div>
        <?php
        }
    }
    /**
     * Display an admin notice upon plugin activation
     */
    public function first_time_notice() {
        // Check if the plugin was installed before
        if (!get_option('aaa_installed')) {
            add_option('aaa_installed', 'AAA_INSTALLED');
            // Set the default
            add_option('aa_settings-iframe-width', '100%');
            add_option('aa_settings-iframe-height', 600);
            add_option('aa_settings-spinner-username', '');
            add_option('aa_settings-spinner-password', '');
            add_option('aa_settings-spinner-service', '');
            add_option('aa_settings-spinner-quality', '');
            add_option('aa_settings-iframe-position', 'comment_form');
            add_option('aa_settings-title-word-length', 9999);
            add_option('aa_settings-title-word-length', '');
            add_option('aa_settings-dm-cron-api-key', '');
            ?>
            <div class="updated">
                <p>Thanks for installing AzonAuthority.</p>
            </div>
        <?php
        }
    }
    /**
     * Notify the user if woocommerce is an active plugin
     */
    public function notifications() {
        // Check if "Woocommerce" is installed (but not activated)
        if(!class_exists( 'WooCommerce' )) {
            echo '<div id="message" class="error prosociate_admin_msg"><p><strong>AzonAuthority</strong> - you must <a href="' . admin_url("plugin-install.php?tab=plugin-information&amp;plugin=woocommerce&amp;TB_iframe=true&amp;width=600&amp;height=550") . '" class="thickbox">install WooCommerce</a> to use AzonAuthority.</p><p>If this message appears after installing WooCommerce, activate it from the Plugins screen.</p></div>';
        }
    }
    /**
     * the homepage
     */
    public function home() {
        include AA_ROOT_DIR . "/views/home/home.php";
    }
    public function asin_grabber() {
        include AA_ROOT_DIR . "/views/asin-grabber.php";
    }
    public function amazon_suggest() {
        include AA_ROOT_DIR . "/views/amazon-suggest.php";
    }
    /**
     * Display cron notice page
     */
    public function cronNoticePage() {
        include_once(AA_ROOT_DIR . '/views/home/cronNotice.php');
    }
    /**
     * Build the admin menu
     */
    public function admin_menu() {
        global $azonauth_lc;
        // Admin Parent Menu
        add_menu_page('AzonAuthority', 'AzonAuthority', 'manage_options', __FILE__, array($this, 'home'), AA_ROOT_URL . "/images/cart.png", 30);
        // Subpages
        add_submenu_page(__FILE__, 'Home', 'Home', 'manage_options', __FILE__, array($this, 'home'));
        add_submenu_page(__FILE__, 'Add Products', 'Add Products', 'manage_options', 'aa_addedit_campaign', array($this->PCC, 'addedit'));
        add_submenu_page(__FILE__, 'Saved Searches', 'Saved Searches', 'manage_options', 'aa_manage_campaigns', array($this->PCC, 'manage_campaigns'));
        add_submenu_page(__FILE__, 'ASIN Grabber', 'ASIN Grabber', 'manage_options', 'aa-asin-grabber', array($this, 'asin_grabber'));
        if ($azonauth_lc->GetLevelNo() >= 2) {
          add_submenu_page(__FILE__, 'Amazon Suggest', 'Amazon Suggest', 'manage_options', 'aa-suggest', array($this, 'amazon_suggest'));
        }
        // Add page for cron notice page
        add_submenu_page(null, 'Cron Notice', 'Cron Notice', 'manage_options', 'cron_notice_page', array($this, 'cronNoticePage'));
        // Set up options page
        $settings = new SoflyyOptionsPage('Settings', 'aa_settings', __FILE__, 'Settings');
        $settings->add_field('Associate ID', 'associate-id', 'text', 'Register for an Associate ID <a target="_blank" href="https://affiliate-program.amazon.com/">here</a>.');
        $settings->add_field('Associate Program Country', 'associate-program-country', 'select', 'Choose a country.', array(
            'com' => 'United States',
            'co.uk' => 'United Kingdom',
            'co.jp' => 'Japan',
            'de' => 'Germany',
            'fr' => 'France',
            'ca' => 'Canada',
            'es' => 'Spain',
            'it' => 'Italy',
            'cn' => 'China',
            'in' => 'India'
                )
        );
        $settings->add_field('AWS Access Key ID', 'aws-public-key');
        $settings->add_field('AWS Secret Access Key', 'aws-secret-key', 'password', 'Get your AWS Access Key ID and AWS Secret Access Key <a target="_blank" href="https://console.aws.amazon.com/iam/home?#security_credential">here</a>.');
        $settings->add_field('Affiliate Cookie', 'affiliate-cookie', 'select', 'Drop affiliate cookie on single product pages', array(
            '' => 'Disabled',
            'img' => 'Image based'
                )
        );
        $settings->add_field('Import Throttling', 'pause-after-insert', 'select', 'If you are using a shared server we recommend using "Normal" or less depending on your servers limitations ...', array(
            '0' => 'TURBO',
            '1' => 'Faster',
            '2' => 'Fast',
            '3' => 'Normal',
            '4' => 'Slow',
            '5' => 'Slower'
                )
        );
        // check if amazon keys are correct
        add_action('admin_notices', array($this, 'check_amazon_notice'));
        // Add the category meta-box
        add_meta_box('categorydiv', __('Product Categories'), array( $this, 'product_categories_meta_box'), 'prosociate_page_aa_addedit_campaign', 'side', 'core');
        add_meta_box('categorydiv', __('Product Categories'), array( $this, 'product_subscription_categories_meta_box'), 'prosociate_page_pros-subscription', 'side', 'core');
    }
    /**
     * Compliance settings
     */
    public function addSettings() {
        register_setting('aa_settings', 'aa_settings-pros-dis-css', array($this, 'sanitize_styles'));
        register_setting('aa_settings', 'aa_settings-pros-dis-display-individual');
        register_setting('aa_settings', 'aa_settings-pros-dis-display-time');
        register_setting('aa_settings', 'aa_settings-pros-date-format');
        register_setting('aa_settings', 'aa_settings-pros-too-low-display-text');
        // Register the settings for fields that are moved to Advanced
        register_setting('aa_settings', 'aa_settings-iframe-width');
        register_setting('aa_settings', 'aa_settings-iframe-height');
        register_setting('aa_settings', 'aa_settings-spinner-username');
        register_setting('aa_settings', 'aa_settings-spinner-password');
        register_setting('aa_settings', 'aa_settings-spinner-quality');
        register_setting('aa_settings', 'aa_settings-spinner-service');
        register_setting('aa_settings', 'aa_settings-title-word-length');
        register_setting('aa_settings', 'aa_settings-dm-cron-api-key');
        register_setting('aa_settings', 'aa_settings-dm-pros-redirection');
        register_setting('aa_settings', 'aa_settings-dm-pros-autocart-external');
        register_setting('aa_settings', 'aa_settings-dm-pros-prod-avail');
        register_setting('aa_settings', 'aa_settings-dm-add-attr', array($this, 'sanitizeCheckBox'));
        register_setting('aa_settings', 'aa_settings-dm-auto-affiliate', array($this, 'sanitizeCheckBox'));
        register_setting('aa_settings', 'aa_settings-dm-disable-reviews', array($this, 'sanitizeCheckBox'));
        register_setting('aa_settings', 'aa_settings-dm-fix-geo-links', array($this, 'sanitizeCheckBox'));
        // Register setting for geo target countries
        $countries = self::geoCountries();
        foreach($countries as $k => $v) {
            register_setting('aa_settings', 'aa_settings-associate-id-' . $k);
        }
        add_settings_section('prosdisstyle', '', array($this, 'complianceSettings'), 'dm-pros-sections');
        add_settings_section('prosgeotarget', '', array($this, 'geoTargetSettings'), 'dm-pros-sections');
        add_settings_section('prosreq', '', array($this, 'requirementsSettings'), 'dm-pros-sections');
        add_settings_section('prosadvanced', '', array($this, 'advancedSettings'), 'dm-pros-sections');
        add_settings_section('prosspinner', '', array($this, 'spinnerSettings'), 'dm-pros-sections');
    }
    /**
     * Make the option false for checkbox that are not checked
     *
     * @param $input
     * @return string
     */
    public function sanitizeCheckBox($input) {
        if($input == 'true') {
            $newInput = 'true';
        } else {
            $newInput = 'false';
        }
        return $newInput;
    }
    public function sanitize_styles($input) {
        $input = esc_html($input);
        return $input;
    }
    /**
     * Advanced settings
     */
    public function advancedSettings() {
        // Get options
        $width = get_option('aa_settings-iframe-width', 600);
        $height = get_option('aa_settings-iframe-height', 600);
        $wordLength = get_option('aa_settings-title-word-length', 9999);
        $api = get_option('aa_settings-dm-cron-api-key', '');
        $redirect = get_option('aa_settings-dm-pros-redirection', 'false');
        $avail = get_option('aa_settings-dm-pros-prod-avail', 'remove');
        $addAttr = get_option('aa_settings-dm-add-attr','true');
        $autoAffiliate = get_option('aa_settings-dm-auto-affiliate','true');
        $autoCartExt = get_option('aa_settings-dm-pros-autocart-external', 'true');
        $amazonReviews = get_option('aa_settings-dm-disable-reviews', 'false');
        $fixGeoLinks = get_option('aa_settings-dm-fix-geo-links', 'false');
        // Redirect options
        $redOptions = array(
            'false' => 'Disable',
            'true' => 'Enable'
        );
        // Auto cart external options
        $autoCartOptions = array(
            'true' => 'Enable',
            'false' => 'Disable'
        );
        // Available Options
        $availOptions = array(
            'remove' => 'Remove unavailable product',
            'change' => 'Change product stock status to "out of stock" for unavailable products.'
        );
        // Additional attr options
        if($addAttr == 'true') {
            $addAttrOptions = ' checked="checked"';
        } else {
            $addAttrOptions = '';
        }
        // Auto Affiliate options
        if($autoAffiliate == 'true') {
            $autoAffiliateOptions = ' checked="checked"';
        } else {
            $autoAffiliateOptions = '';
        }
        // Amazon Review options
        if($amazonReviews == 'true') {
            $amazonReviewsOptions = ' checked="checked"';
        } else {
            $amazonReviewsOptions = '';
        }
        // Fix geo-links options
        if($fixGeoLinks == 'true') {
            $fixGeoLinksOptions = ' checked="checked"';
        } else {
            $fixGeoLinksOptions = '';
        }
        ?>
        <div id="tabs-advanced-settings" style="display: none;">
            <h3>Advanced</h3>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-iframe-width">Customer Reviews IFrame Width</label>
                    </th>
                    <td>
                        <input name="aa_settings-iframe-width" type="text" id="aa_settings-iframe-width" value="<?php echo $width; ?>" class="regular-text">
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-iframe-height">Customer Reviews IFrame Height</label>
                    </th>
                    <td>
                        <input name="aa_settings-iframe-height" type="text" id="aa_settings-iframe-height" value="<?php echo $height; ?>" class="regular-text">
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-title-word-length">Max Length for Product Titles</label>
                    </th>
                    <td>
                        <input name="aa_settings-title-word-length" type="text" id="aa_settings-title-word-length" value="<?php echo $wordLength; ?>" class="regular-text">
                        <p class="description">Limit the number of characters in product titles. Does not apply retroactively.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-dm-cron-api-key">Cron API Key</label>
                    </th>
                    <td>
                        <?php echo get_bloginfo('wpurl'); ?>/?aacron=<input name="aa_settings-dm-cron-api-key" type="text" id="aa_settings-dm-cron-api-key" value="<?php echo $api; ?>" style="width: 5em;">
                        <?php
                        // Check if the cron wasn't run for the last 24 hours
                        $dmLastCron = get_option('prosLastCronTime', time());
                        if($dmLastCron < (time() - 86400)) {
                        // Check if we can still display the notice
                        $dmCronNotice = get_option('aa_settings-hide-cron', '');
                        if($dmCronNotice != 'perm_hide') {
                        ?>
                        <p id="cron-error" class="description" style="background: #fff; border-left: 4px solid #dd3d36; -webkit-box-shadow: 0 1px 1px 0 rgba(0,0,0,.1); box-shadow: 0 1px 1px 0 rgba(0,0,0,.1); margin: 5px 0 15px; padding: 5px 15px;">
                            <a href="<?php echo admin_url('admin.php?page=cron_notice_page'); ?>">Configure the cron job</a> to ensure all your product data is kept up to date and new products are posted for subscription campaigns.<br/>
                            <a href="<?php echo admin_url('?proscron_notice=perm_hide'); ?>">Hide Notice</a>
                        </p>
                        <?php }
                        } ?>
                        <p class="description">Optional: Create a cron job in your web hosting control panel to run this URL. It is recommended to be run every 2 minutes. It will automatically update product data that is more than 24 hours old. See <a href="<?php echo admin_url('admin.php?page=cron_notice_page'); ?>">How to Setup Cron Job.</a></p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-dm-pros-redirection">Enable redirection page</label>
                    </th>
                    <td>
                        <select name="aa_settings-dm-pros-redirection" id="aa_settings-dm-pros-redirection">
                            <?php foreach($redOptions as $k => $v) {
                                if($k == $redirect)
                                    $selected = ' selected="selected"';
                                else
                                    $selected = '';
                                echo '<option value="'.$k.'"'.$selected.'>'.$v.'</option>';
                            } ?>
                        </select>
                        <p class="description">Disable: users will be sent straight to Amazon on checkout <br> Enabled: for Simple/Variable products, users will first be shown the redirect screen, then sent to Amazon.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-dm-pros-autocart-external">Enable 90-day Cookie for External / Affiliate</label>
                    </th>
                    <td>
                        <select name="aa_settings-dm-pros-autocart-external" id="aa_settings-dm-pros-autocart-external">
                            <?php foreach($autoCartOptions as $k => $v) {
                                if($k == $autoCartExt)
                                    $selected = ' selected="selected"';
                                else
                                    $selected = '';
                                echo '<option value="'.$k.'"'.$selected.'>'.$v.'</option>';
                            } ?>
                        </select>
                        <p class="description"></p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-dm-pros-prod-avail">Product Availability</label>
                    </th>
                    <td>
                        <select name="aa_settings-dm-pros-prod-avail" id="aa_settings-dm-pros-prod-avail">
                            <?php foreach($availOptions as $k => $v) {
                                if($k == $avail)
                                    $selected = ' selected="selected"';
                                else
                                    $selected = '';
                                echo '<option value="'.$k.'"'.$selected.'>'.$v.'</option>';
                            } ?>
                        </select>
                        <p class="description">When a product is no longer "available" on Amazon.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">Attributes/Additional Information</th>
                    <td>
                        <input type="checkbox" name="aa_settings-dm-add-attr" id="aa_settings-dm-add-attr" value="true"<?php echo $addAttrOptions; ?>/> <label for="aa_settings-dm-add-attr">Do not add attributes that aren’t present for variations.</label>
                        <p class="description">Use this to stop the Additional Information tab from filling up with lots of unnecessary product attributes. Uncheck this and all attributes will be added.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">External Link Fallback</th>
                    <td>
                        <input type="checkbox" name="aa_settings-dm-auto-affiliate" id="aa_settings-dm-auto-affiliate" value="true"<?php echo $autoAffiliateOptions; ?>/> <label for="aa_settings-dm-auto-affiliate">Automatically post product as external / affiliate when they can't be added to the shopping cart.</label>
                        <p class="description">Amazon disables the on-site shopping cart for some products. Check this option and AzonAuthority will post those products as External/Affiliate instead.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">Amazon Reviews</th>
                    <td>
                        <input type="checkbox" name="aa_settings-dm-disable-reviews" id="aa_settings-dm-disable-reviews" value="true"<?php echo $amazonReviewsOptions; ?>/> <label for="aa_settings-dm-disable-reviews">Disable Amazon Reviews</label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">Fix Geo-target links</th>
                    <td>
                        <input type="checkbox" name="aa_settings-dm-fix-geo-links" id="aa_settings-dm-fix-geo-links" value="true"<?php echo $fixGeoLinksOptions; ?>/> <label for="aa_settings-dm-fix-geo-links">Fix geo-target links.</label>
                        <p class="description">Check this if you upgrade from 1.2.1 to 2.0. This allow geo-targeting for your existing External / Affiliate products.</p>
                    </td>
                </tr>
            </table>
        </div>
    <?php }
    /**
     * Output for the Geo Target tab on Settings page
     */
    public function geoTargetSettings() { ?>
        <div id="tabs-geotarget-settings" style="display: none;">
            <h3>Geo Targeting Settings</h3>
            <div style="padding-left: 10px;">
            <p>Earn more commissions from international visitors by sending them to international versions of Amazon’s website.</p>
            <p>To enable geo-targeting for a particular country, enter your Associate ID for that country in the box below.</p>
            <p>When a visitor clicks a Buy Now button on your site, AzonAuthority will check the visitor’s country, check to see if the product also exists on the Amazon website for that visitor’s country, and if so, redirect the visitor to the product page on their own country’s Amazon website.</p>
            <p>If a visitor is from a non-geo-targeting-enabled country they will be sent to the country specified on the General tab.</p>
            <p>Example:</p>
            <p>If you choose United States (Amazon.com) as your default country on the General tab, add your Amazon United Kingdom (Amazon.co.uk) Associate ID below, and post a product, here’s what will happen.</p>
            <p>If a visitor from the United Kingdom comes to your site and clicks the Buy link, AzonAuthority will check if the product is present on Amazon.co.uk. If so, the visitor will be sent to the product page on Amazon.co.uk.</p>
            <p>If the visitor isn’t from the UK, or the same product isn’t present on Amazon.co.uk, the visitor will be sent to the product page on Amazon.com. </p>
            </div>
            <table class="form-table">
                <?php
                $countries = self::geoCountries();
                // Counter to get the associate
                $ctr = 0;
                foreach($countries as $k => $v) {
                    $this->generateGeoTargetFields($k, $v, $ctr);
                    $ctr++;
                }
                ?>
            </table>
        </div>
    <?php }
    /**
     * Requirements settings
     */
    public function requirementsSettings() {
        $soap = extension_loaded('soap') ? '<span style="color: #008000;">Enabled</span>' : '<span style="color: #FF0000;">Not Enabled</span>';
        $openSSL = extension_loaded('openssl') ? '<span style="color: #008000;">Enabled</span>' : '<span style="color: #FF0000;">Not Enabled</span>';
        ?>
        <div id="tabs-requirements-settings" style="display: none;">
            <h3>Requirements</h3>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">SOAP</th>
                    <td>
                        <?php echo $soap; ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">OpenSSL</th>
                    <td>
                        <?php echo $openSSL; ?>
                    </td>
                </tr>
            </table>
        </div>
    <?php }
    /**
     * Requirements settings
     */
    public function spinnerSettings() {
        $spinners = array('' => 'Disabled', 'bestspinner' => 'The Best Spinner', 'spinrewriter' => 'Spin Rewriter', 'wordai' => 'WordAi');
        $qualities = array('normal' => 'Normal', 'low' => 'More unique, less readable', 'high' => 'Less unique, more readable');
        $username = get_option('aa_settings-spinner-username', '');
        $password = get_option('aa_settings-spinner-password', '');
        $spinner = get_option('aa_settings-spinner-service', '');
        $quality = get_option('aa_settings-spinner-quality', '');
        $spinner_test = false;
        if ($spinner == 'bestspinner') {
          $spinner_test = aaSpinner::best_test();
        } elseif ($spinner == 'spinrewriter') {
          $spinner_test = aaSpinner::writer_spin('test hello again');
          if (!$spinner_test) {
            $spinner_test = false;
          } else {
            $spinner_test = true;
          }
        } elseif ($spinner == 'wordai') {
          $spinner_test = aaSpinner::wordai_spin('test hello again');
          if (strpos($spinner_test, 'Error Authenticating') !== false) {
            $spinner_test = false;
          } else {
            $spinner_test = true;
          }
        } else {
          // Disabled
          $spinner_test = false;
          $spinner_not_selected = true;
        }
//var_dump('John will book a room. Then he will read a book by Douglas Adams.', aaSpinner::wordai_spin('John will book a room. Then he will read a book by Douglas Adams.'));
        ?>
        <div id="tabs-spinners-settings" style="display: none;">
            <table class="form-table">
                <tr>
                  <th>Spinner Connection:</th>
                  <td>
                    <?php
                      if ($spinner_test) {
                        echo '<strong style="color:#008000;">Successful</strong>';
                      } elseif (!$spinner_test && !$spinner_not_selected) {
                        echo '<strong style="color:#FF0000;">Error</strong>';
                      } else {
                        echo '<strong style="color:#008000;">None Selected</strong>';
                      }
                    ?>
                  </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-spinner-service">Spinner Service</label>
                    </th>
                    <td>
                        <select name="aa_settings-spinner-service" id="aa_settings-spinner-service">
                            <?php foreach($spinners as $k => $v) {
                                if($k == $spinner)
                                    $selected = ' selected="selected"';
                                else
                                    $selected = '';
                                echo '<option value="'.$k.'"'.$selected.'>'.$v.'</option>';
                            } ?>
                        </select>
                        <p class="description">Please choose a spinner service you want to use to make your product descriptions more unique.</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-spinner-username">Username / email</label>
                    </th>
                    <td>
                        <input name="aa_settings-spinner-username" type="text" id="aa_settings-spinner-username" value="<?php echo $username; ?>" class="regular-text">
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-spinner-password">Password / API key</label>
                    </th>
                    <td>
                        <input name="aa_settings-spinner-password" type="text" id="aa_settings-spinner-password" value="<?php echo $password; ?>" class="regular-text">
                    </td>
                </tr>
                <?php
                if ($spinner !== 'bestspinner') {
                ?>
                <tr valign="top">
                    <th scope="row">
                        <label for="aa_settings-spinner-quality">Text quality</label>
                    </th>
                    <td>
                        <select name="aa_settings-spinner-quality" id="aa_settings-spinner-quality">
                            <?php foreach($qualities as $k => $v) {
                                if($k == $quality)
                                    $selected = ' selected="selected"';
                                else
                                    $selected = '';
                                echo '<option value="'.$k.'"'.$selected.'>'.$v.'</option>';
                            } ?>
                        </select>
                    </td>
                </tr>
                <?php } ?>
            </table>
        </div>
    <?php }
    public function complianceSettings() {
        $css = get_option('aa_settings-pros-dis-css');
        $displayByLocation = get_option('aa_settings-pros-dis-display-individual', 'true');
        $displayByTime = get_option('aa_settings-pros-dis-display-time', 'true');
        $dateDisplay = get_option('aa_settings-pros-date-format', false);
        if(!$css)
            $css = "font-size:10px !important;\ncolor:grey !important;";
        // Set defaults
        if($dateDisplay == false || empty($dateDisplay))
            $dateDisplay = '(as of %%M%%/%%D%%/%%Y%% at %%TIME%% UTC)';
        ?>
        <div id="tabs-compliance-settings" style="display: none;">
            <h3>Compliance</h3>
            <div style='padding-left: 10px'>
                <p style="font-weight: bold; font-size: 14px;">Amazon’s TOS requires a disclaimer to be placed next to all prices that haven't been refreshed in the last 24 hours.</p>
                AzonAuthority periodically refreshes the data on your site. How often the data is refreshed depends on the number of visitors to your site (the more, the more often the data is refreshed), and the number of products (the more, the less often the data is refreshed).
            </div>
            <p style="padding-left: 10px"><label for='aa_settings-pros-date-format'>Translate (as of 10/20/2015 at 09:23 UTC) <a id="dm-pros-default-link" href="#">reset to default</a></label><br />
                <input type="text" id="aa_settings-pros-date-format" name="aa_settings-pros-date-format"
                    style="width: 300px;" value="<?php echo $dateDisplay; ?>"/>
                <script type="text/javascript">
                    function dmRestoreDefault() {
                        document.getElementById('aa_settings-pros-date-format').value = '(as of %%M%%/%%D%%/%%Y%% at %%TIME%% UTC)';
                    }
                    document.getElementById('dm-pros-default-link').addEventListener("click", dmRestoreDefault, false);
                </script>
            </p>
            <table class='form-table'>
                <tr valign="top">
                    <th scope="row">
                        <label>CSS for Price Disclaimer</label>
                    </th>
                    <td>
                        <textarea name="aa_settings-pros-dis-css" cols="55" rows="6"><?php echo $css; ?></textarea>
                        <p class="description">Will be applied to <code>(as of 10/20/2015 at 09:23 UTC)</code></p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label>Where to show the disclaimer</label>
                    </th>
                    <td>
                        <select name="aa_settings-pros-dis-display-individual" >
                            <?php
                                $selected = '';
                                if($displayByLocation == 'false')
                                    $selected = ' selected=selected';
                            ?>
                            <option value='true'>Only show on individual product pages.</option>
                            <option value='false'<?php echo $selected; ?>>Show everywhere prices are displayed.</option>
                        </select>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label>When to show the disclaimer</label>
                    </th>
                    <td>
                        <select name="aa_settings-pros-dis-display-time" >
                            <?php
                            $selected = '';
                            if($displayByTime == 'false')
                                $selected = ' selected=selected';
                            ?>
                            <option value='true'>Display disclaimer for all products.</option>
                            <option value='false'<?php echo $selected; ?>>Only display disclaimer if the pricing data is more than 24 hours old.</option>
                        </select>
                    </td>
                </tr>
            </table>
            <div style='padding-left: 10px'>
                <p style="font-weight: bold; font-size: 14px;">Amazon’s TOS requires you to place the following text somewhere on your site in a way that is clearly visible to users. <br />
                    We recommend placing it in your footer:</p>
                <p style="font-style: italic">“CERTAIN CONTENT THAT APPEARS ON THIS SITE COMES FROM AMAZON SERVICES LLC. <br />
                    THIS CONTENT IS PROVIDED 'AS IS' AND IS SUBJECT TO CHANGE OR REMOVAL AT ANY TIME.”</p>
            </div>
        </div>
    <?php }
    public function addAmazonDisclaimerStyle() {
        // Get the style
        $css = get_option('aa_settings-pros-dis-css');
        // if there are no custom style don't show it in the front end
        if(!$css)
            return; ?>
        <style type="text/css">
            .prosamazondis {<?php echo $css; ?>}
        </style>
    <?php }
    /**
     * Deactivation hook
     */
    public function deactivation() {
        wp_clear_scheduled_hook('dm_pros_check_cron');
    }
    /**
    * Check server SOAP, cURL and SSL
    */
    public function check_server_setup() {
      $soap = extension_loaded('soap');
      $openSSL = extension_loaded('openssl');
      $curl = extension_loaded('curl');
      if (!$soap || !$openSSL || !$curl) {
        deactivate_plugins( plugin_basename( __FILE__ ) );
        add_action( 'admin_notices', array( $this, 'disabled_notice' ) );
        unset($_GET['activate']);
      }
    } // check_server_setup
    /**
    * Incomp. notices
    */
    public function disabled_notice() {
       echo '<div class="error"><p><strong>AzonAutority</strong> requires you to have <strong>enabled SOAP, OpenSSL and cURL</strong> extensions on your server in order to function properly.</p></div>';
    }
    /**
     * Create the new table on the database for the plugin
     */
    public function activation() {
        // Create the tables
        // Check if cron time checker
        if(!get_option('aa_settings-title-word-length')) {
            update_option('aa_settings-title-word-length', 9999);
        }
        // Create api key on first time
        if(!get_option('aa_settings-dm-cron-api-key')) {
            update_option('aa_settings-dm-cron-api-key', substr(sha1(rand()), 0, 5));
        }
        // Check for the date format settings
        if(!get_option('aa_settings-pros-date-format')) {
            update_option('aa_settings-pros-date-format', '(as of %%M%%/%%D%%/%%Y%% at %%TIME%% UTC)');
        }
        // create/update required database tables
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        require AA_ROOT_DIR . '/schema.php';
        dbDelta($plugin_queries);
        // Import the data to the geo table
        $this->importGeoTargetData();
    }
    /**
     * Import data to geo target table
     */
    private function importGeoTargetData() {
        // [import GeoIPCountry database]
        $csv = NULL;
        is_file(AA_ROOT_DIR . '/data/GeoIPCountryWhois.csv') and $csv = fopen(AA_ROOT_DIR . '/data/GeoIPCountryWhois.csv', 'r'); // try raw file
        if (empty($csv) and function_exists('zip_open')) { // try zip archive directly from maxmind.com
            if (($zip = fopen('http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip', 'r'))) {
                $tmp_zip_name = tempnam(sys_get_temp_dir(), 'zip');
                if (($tmp_zip = fopen($tmp_zip_name, 'w'))) {
                    if ( ! stream_copy_to_stream($zip, $tmp_zip)) {
                        fclose($tmp_zip);
                        unlink($tmp_zip_name);
                    } else {
                        fclose($tmp_zip);
                        $csv = fopen('zip://' . $tmp_zip_name . '#GeoIPCountryWhois.csv', 'r');
                    }
                }
                fclose($zip);
            }
        }
        if (empty($csv) and function_exists('gzopen')) { // try gz
            is_file(AA_ROOT_DIR . '/data/GeoIPCountryWhois.csv.gz') and ($csv = fopen('compress.zlib://' . AA_ROOT_DIR . '/data/GeoIPCountryWhois.csv.gz', 'r'));
        }
        if ($csv) {
            global $wpdb;
            $record = new PMLC_GeoIPCountry_Record();
            $record->truncateTable();
            while ( ! feof($csv)) {
                $i = 0; $values = array();
                while (FALSE !== ($data = fgets($csv)) and $i < 10000) {
                    $data = trim($data);
                    if ('' != $data) {
                        $values[] = '(' . $data . ')';
                        $i++;
                    }
                }
                if ($values) {
                    $sql = 'INSERT INTO ' . $record->getTable() . ' (begin_ip, end_ip, begin_num, end_num, country, name) VALUES ' . implode(',', $values);
                    $wpdb->query($sql);
                }
            }
            fclose($csv);
        }
        if ( ! empty($tmp_zip_name) and is_file($tmp_zip_name)) { // unlink temporary file used for uploading zip archive
            unlink($tmp_zip_name);
        }
        // [/import GeoIPCountry database]
    }
    /**
     * Display post categories form fields.
     *
     * @since 2.6.0
     *
     * @param object $post
     */
    public function product_categories_meta_box($post, $box) {
        $campaign_id = isset($_REQUEST['campaign_id']) ? $_REQUEST['campaign_id'] : null;
        if( $campaign_id != null ) {
            global $wpdb;
            $dmSql = "Select options FROM " . $wpdb->prefix . "pros_campaigns WHERE id = '{$campaign_id}'";
            $dmResult = $wpdb->get_col( $dmSql );
            $dmUnserialized = unserialize($dmResult[0]);
            $dmSelectedCats = $dmUnserialized['dmcategories'];
            // Make sure we have an array
            if(is_array($dmSelectedCats)) {
                $removeZeroTermId = array_shift($dmSelectedCats);
            }
        }
        $defaults = array('taxonomy' => 'product_cat');
        if (!isset($box['args']) || !is_array($box['args']))
            $args = array();
        else
            $args = $box['args'];
        extract(wp_parse_args($args, $defaults), EXTR_SKIP);
        $tax = get_taxonomy($taxonomy);
        ?>
        <div id="taxonomy-<?php echo $taxonomy; ?>" class="categorydiv">
            <ul id="<?php echo $taxonomy; ?>-tabs" class="category-tabs">
                <li class="tabs"><a href="#<?php echo $taxonomy; ?>-all"><?php echo $tax->labels->all_items; ?></a></li>
                <li class="hide-if-no-js"><a href="#<?php echo $taxonomy; ?>-pop"><?php _e('Most Used'); ?></a></li>
            </ul>
            <div id="<?php echo $taxonomy; ?>-pop" class="tabs-panel" style="display: none;">
                <ul id="<?php echo $taxonomy; ?>checklist-pop" class="categorychecklist form-no-clear" >
        <?php $popular_ids = wp_popular_terms_checklist($taxonomy); ?>
                </ul>
            </div>
            <div id="<?php echo $taxonomy; ?>-all" class="tabs-panel">
        <?php
        $name = ( $taxonomy == 'category' ) ? 'post_category' : 'tax_input[' . $taxonomy . ']';
        echo "<input type='hidden' name='{$name}[]' value='0' />"; // Allows for an empty term set to be sent. 0 is an invalid Term ID and will be ignored by empty() checks.
        $dmPostId = isset($post->ID) ? $post->ID : 0;
        ?>
                <ul id="<?php echo $taxonomy; ?>checklist" data-wp-lists="list:<?php echo $taxonomy ?>" class="categorychecklist form-no-clear">
                    <?php wp_terms_checklist($dmPostId, array('taxonomy' => $taxonomy, 'popular_cats' => $popular_ids)) ?>
                </ul>
                <?php if($campaign_id != null){ ?>
                    <script type=''>
                        <?php if(count($dmSelectedCats) > 0) {
                            foreach($dmSelectedCats as $dmSelectedCat) { ?>
                            jQuery("#in-product_cat-<?php echo $dmSelectedCat; ?>").attr("checked", "checked");
                            <?php }
                        } ?>
                    </script>
                <?php } ?>
            </div>
        <?php if (current_user_can($tax->cap->edit_terms)) : ?>
                <div id="<?php echo $taxonomy; ?>-adder" class="wp-hidden-children">
                    <h4>
                        <a id="<?php echo $taxonomy; ?>-add-toggle" href="#<?php echo $taxonomy; ?>-add" class="hide-if-no-js">
                    <?php
                    /* translators: %s: add new taxonomy label */
                    printf(__('+ %s'), $tax->labels->add_new_item);
                    ?>
                        </a>
                    </h4>
                    <p id="<?php echo $taxonomy; ?>-add" class="category-add wp-hidden-child">
                        <label class="screen-reader-text" for="new<?php echo $taxonomy; ?>"><?php echo $tax->labels->add_new_item; ?></label>
                        <input type="text" name="new<?php echo $taxonomy; ?>" id="new<?php echo $taxonomy; ?>" class="form-required form-input-tip" value="<?php echo esc_attr($tax->labels->new_item_name); ?>" aria-required="true"/>
                        <label class="screen-reader-text" for="new<?php echo $taxonomy; ?>_parent">
            <?php echo $tax->labels->parent_item_colon; ?>
                        </label>
                            <?php wp_dropdown_categories(array('taxonomy' => $taxonomy, 'hide_empty' => 0, 'name' => 'new' . $taxonomy . '_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;')); ?>
                        <input type="button" id="<?php echo $taxonomy; ?>-add-submit" data-wp-lists="add:<?php echo $taxonomy ?>checklist:<?php echo $taxonomy ?>-add" class="button category-add-submit" value="<?php echo esc_attr($tax->labels->add_new_item); ?>" />
                            <?php wp_nonce_field('add-' . $taxonomy, '_ajax_nonce-add-' . $taxonomy, false); ?>
                        <span id="<?php echo $taxonomy; ?>-ajax-response"></span>
                    </p>
                </div>
        <?php endif; ?>
        </div>
        <?php
    }
    public function product_subscription_categories_meta_box($post, $box) {
        $campaign_id = isset($_REQUEST['campaign_id']) ? $_REQUEST['campaign_id'] : null;
        if( $campaign_id != null ) {
            global $wpdb;
            $dmSql = "Select options FROM " . $wpdb->prefix . "pros_prossubscription WHERE id = '{$campaign_id}'";
            $dmResult = $wpdb->get_col( $dmSql );
            $dmUnserialized = unserialize($dmResult[0]);
            $dmSelectedCats = $dmUnserialized['dmcategories'];
            // Make sure we have an array
            if(is_array($dmSelectedCats)) {
                $removeZeroTermId = array_shift($dmSelectedCats);
            }
        }
        $defaults = array('taxonomy' => 'product_cat');
        if (!isset($box['args']) || !is_array($box['args']))
            $args = array();
        else
            $args = $box['args'];
        extract(wp_parse_args($args, $defaults), EXTR_SKIP);
        $tax = get_taxonomy($taxonomy);
        ?>
        <div id="taxonomy-<?php echo $taxonomy; ?>" class="categorydiv">
            <ul id="<?php echo $taxonomy; ?>-tabs" class="category-tabs">
                <li class="tabs"><a href="#<?php echo $taxonomy; ?>-all"><?php echo $tax->labels->all_items; ?></a></li>
                <li class="hide-if-no-js"><a href="#<?php echo $taxonomy; ?>-pop"><?php _e('Most Used'); ?></a></li>
            </ul>
            <div id="<?php echo $taxonomy; ?>-pop" class="tabs-panel" style="display: none;">
                <ul id="<?php echo $taxonomy; ?>checklist-pop" class="categorychecklist form-no-clear" >
                    <?php $popular_ids = wp_popular_terms_checklist($taxonomy); ?>
                </ul>
            </div>
            <div id="<?php echo $taxonomy; ?>-all" class="tabs-panel">
                <?php
                $name = ( $taxonomy == 'category' ) ? 'post_category' : 'tax_input[' . $taxonomy . ']';
                echo "<input type='hidden' name='{$name}[]' value='0' />"; // Allows for an empty term set to be sent. 0 is an invalid Term ID and will be ignored by empty() checks.
                $dmPostId = isset($post->ID) ? $post->ID : 0;
                ?>
                <ul id="<?php echo $taxonomy; ?>checklist" data-wp-lists="list:<?php echo $taxonomy ?>" class="categorychecklist form-no-clear">
                    <?php wp_terms_checklist($dmPostId, array('taxonomy' => $taxonomy, 'popular_cats' => $popular_ids)) ?>
                </ul>
                <?php if($campaign_id != null){ ?>
                    <script type=''>
                        <?php if(count($dmSelectedCats) > 0) {
                            foreach($dmSelectedCats as $dmSelectedCat) { ?>
                        jQuery("#in-product_cat-<?php echo $dmSelectedCat; ?>").attr("checked", "checked");
                        <?php }
                    } ?>
                    </script>
                <?php } ?>
            </div>
            <?php if (current_user_can($tax->cap->edit_terms)) : ?>
                <div id="<?php echo $taxonomy; ?>-adder" class="wp-hidden-children">
                    <h4>
                        <a id="<?php echo $taxonomy; ?>-add-toggle" href="#<?php echo $taxonomy; ?>-add" class="hide-if-no-js">
                            <?php
                            /* translators: %s: add new taxonomy label */
                            printf(__('+ %s'), $tax->labels->add_new_item);
                            ?>
                        </a>
                    </h4>
                    <p id="<?php echo $taxonomy; ?>-add" class="category-add wp-hidden-child">
                        <label class="screen-reader-text" for="new<?php echo $taxonomy; ?>"><?php echo $tax->labels->add_new_item; ?></label>
                        <input type="text" name="new<?php echo $taxonomy; ?>" id="new<?php echo $taxonomy; ?>" class="form-required form-input-tip" value="<?php echo esc_attr($tax->labels->new_item_name); ?>" aria-required="true"/>
                        <label class="screen-reader-text" for="new<?php echo $taxonomy; ?>_parent">
                            <?php echo $tax->labels->parent_item_colon; ?>
                        </label>
                        <?php wp_dropdown_categories(array('taxonomy' => $taxonomy, 'hide_empty' => 0, 'name' => 'new' . $taxonomy . '_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;')); ?>
                        <input type="button" id="<?php echo $taxonomy; ?>-add-submit" data-wp-lists="add:<?php echo $taxonomy ?>checklist:<?php echo $taxonomy ?>-add" class="button category-add-submit" value="<?php echo esc_attr($tax->labels->add_new_item); ?>" />
                        <?php wp_nonce_field('add-' . $taxonomy, '_ajax_nonce-add-' . $taxonomy, false); ?>
                        <span id="<?php echo $taxonomy; ?>-ajax-response"></span>
                    </p>
                </div>
            <?php endif; ?>
        </div>
    <?php
    }
    public function addJsSettingsPage() { ?>
        <script type="text/javascript">
            window.onload = dmInit;
            function dmInit() {
                var general = document.getElementById('tabs-general-settings-link');
                general.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-general-settings').style.display = 'inline';
                    document.getElementById('tabs-advanced-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings').style.display = 'none';
                    document.getElementById('tabs-requirements-settings').style.display = 'none';
                    document.getElementById('tabs-geotarget-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings-link').className = 'nav-tab';
                    //document.getElementById('tabs-requirements-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-geotarget-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-advanced-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                }
                var compliance = document.getElementById('tabs-compliance-settings-link');
                compliance.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-compliance-settings').style.display = 'inline';
                    document.getElementById('tabs-advanced-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings').style.display = 'none';
                    document.getElementById('tabs-requirements-settings').style.display = 'none';
                    document.getElementById('tabs-geotarget-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings-link').className = 'nav-tab';
                    //document.getElementById('tabs-requirements-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-geotarget-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-advanced-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                };
                var geotarget = document.getElementById('tabs-geotarget-settings-link');
                geotarget.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-geotarget-settings').style.display = 'inline';
                    document.getElementById('tabs-advanced-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings').style.display = 'none';
                    document.getElementById('tabs-requirements-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-compliance-settings-link').className = 'nav-tab';
                    //document.getElementById('tabs-requirements-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-advanced-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                };
                /*var requirements = document.getElementById('tabs-requirements-settings-link');
                requirements.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-requirements-settings').style.display = 'inline';
                    document.getElementById('tabs-advanced-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings').style.display = 'none';
                    document.getElementById('tabs-geotarget-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-compliance-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-geotarget-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-advanced-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                };
*/
                var advanced = document.getElementById('tabs-advanced-settings-link');
                advanced.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-advanced-settings').style.display = 'inline';
                    document.getElementById('tabs-requirements-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings').style.display = 'none';
                    document.getElementById('tabs-geotarget-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'none';
                    //document.getElementById('tabs-requirements-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-general-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-compliance-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-geotarget-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                };
                var spinners = document.getElementById('tabs-spinners-settings-link');
                spinners.onclick = function(e) {
                    e.preventDefault();
                    document.getElementById('tabs-advanced-settings').style.display = 'none';
                    document.getElementById('tabs-requirements-settings').style.display = 'none';
                    document.getElementById('tabs-general-settings').style.display = 'none';
                    document.getElementById('tabs-compliance-settings').style.display = 'none';
                    document.getElementById('tabs-geotarget-settings').style.display = 'none';
                    document.getElementById('tabs-spinners-settings').style.display = 'inline';
                    //document.getElementById('tabs-requirements-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-general-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-advanced-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-compliance-settings-link').className = 'nav-tab';
                    document.getElementById('tabs-geotarget-settings-link').className = 'nav-tab';
                    //document.getElementById('tabs-spinners-settings-link').className = 'nav-tab';
                    this.className = this.className + " nav-tab-active";
                };
            }
        </script>
    <?php }
    /**
     * Generate fields for the Geo Targeting tab on settings page
     *
     * @param string $countryAbbr
     * @param string $countrySuffix
     * @param int $index
     */
    private function generateGeoTargetFields($countryAbbr, $countrySuffix, $index) {
        // If the country suffix is the same as AWS Country then display the default associate tag
        if($countrySuffix == AWS_COUNTRY) {
            $assocId = AWS_ASSOCIATE_TAG;
            $disabled = ' disabled="disabled"';
        } else {
            // Get the appropriate tag
            $assocId = get_option('aa_settings-associate-id-' . $countryAbbr, '');
            $disabled = '';
        }
        ?>
        <tr valign="top">
            <th scope="row">
                <label for="aa_settings-associate-id-<?php echo $countryAbbr;?>">Associate ID - Amazon.<?php echo $countrySuffix; ?></label>
            </th>
            <td>
                <input name="aa_settings-associate-id-<?php echo $countryAbbr;?>" type="text" id="aa_settings-associate-id-<?php echo $countryAbbr;?>" value="<?php echo $assocId; ?>" class="regular-text"<?php echo $disabled; ?>>
                <p class="description">Register for an Associate ID <a target="_blank" href="<?php echo self::getAssociateUrls($index); ?>">here</a>.</p>
            </td>
        </tr>
    <?php }
    /**
     * Get the associate url
     *
     * @param string $index
     * @return string
     */
    private static function getAssociateUrls($index) {
        // Build the associate url
        $associateUrls = array(
            'http://affiliate-program.amazon.com/',
            'https://affiliate-program.amazon.co.uk/',
            'https://affiliate.amazon.co.jp/',
            'http://partnernet.amazon.de/',
            'https://partenaires.amazon.fr/',
            'https://associates.amazon.ca/',
            'https://afiliados.amazon.es/',
            'https://programma-affiliazione.amazon.it/',
            'https://associates.amazon.cn/',
            'https://affiliate-program.amazon.in/',
        );
        return $associateUrls[$index];
    }
    /**
     * Countries for geo targeting
     *
     * @return array
     */
    public static function geoCountries() {
        $countries = array(
            'com' => 'com',
            'uk' => 'co.uk',
            'jp' => 'co.jp',
            'de' => 'de',
            'fr' => 'fr',
            'ca' => 'ca',
            'es' => 'es',
            'it' => 'it',
            'cn' => 'cn',
            'in' => 'in'
        );
        return $countries;
    }
    /**
     * Point the location of the woocommerce/templates/single-product/add-to-cart/external.php
     * to aa/views/display/external.php
     *
     * @param $located
     * @param $template_name
     *
     * @return string
     */
    public function woocommerceExternalButtonFilter($located, $template_name) {
        // Check if this is enabled on the settings
        $fixGeoLinks = get_option('aa_settings-dm-fix-geo-links', 'false');
        if($fixGeoLinks == 'true') {
            // If we are on external.php
            if($template_name === 'single-product/add-to-cart/external.php') {
                $located = plugin_dir_path(__FILE__) . 'views/display/external.php';
            }
        }
        return $located;
    }
    /**
     * External / Affiliate geo-link fix for the Shop or other product-archive page
     *
     * @param $permalink
     * @param $object
     * @return string
     */
    public function woocommerceExternalButtonFilterLoop($permalink, $object) {
        // Check if this is enabled on the settings
        $fixGeoLinks = get_option('aa_settings-dm-fix-geo-links', 'false');
        if($fixGeoLinks == 'true') {
            // Check if we are on external
            if($object->product_type === 'external') {
                // Check if it has pros ASIN
                $asin = get_post_meta($object->id, '_pros_ASIN', true);
                if($asin) {
                    $permalink = site_url() . '?product=' . $object->id;
                } else {
                    $product_url = get_post_meta($object->id, '_product_url', true);
                    $permalink = esc_url( $product_url );
                }
            }
        }
        return $permalink;
    }
}
// Get / create an instance
Aa::getInstance();