<div class="wrap">
<div id="aa-header"><img src="<?php echo AA_ROOT_URL; ?>/images/hl.jpg"></div>


<h2 class="title"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/dashboard.png">Welcome to AzonAuthority</h2>

<a href="admin.php?page=aa_addedit_campaign" class="button aa-btn"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/add.png"> Add Products</a>
<a href="admin.php?page=aa_manage_campaigns" class="button aa-btn"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/searches.png"> Saved Searches</a> <a href="admin.php?page=aa-asin-grabber" class="button aa-btn"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/asin.png"> ASIN Grabber</a>

<?php
   global $azonauth_lc;
   
   if ($azonauth_lc->GetLevelNo() >= 2) {
      echo '<a href="admin.php?page=aa-suggest" class="button aa-btn"><img class="dash" src="' . AA_ROOT_URL . '/images/suggest.png"> Amazon Suggest</a>';
   }
?>

<a href="admin.php?page=aa_settings" class="button aa-btn"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/settings.png"> Settings</a>
<a href="http://imsuccesscenter.com/customercare/" target="_blank" class="button aa-btn"><img class="dash" src="<?php echo AA_ROOT_URL; ?>/images/help.png"> Support</a>

<br/>
<br/>


<?php
//var_dump(get_option('daily_cart_stats'));
$now = current_time('timestamp');
$days = array();
for ($i=30; $i--; $i >= 0) {
  $tmp = $now - $i * DAY_IN_SECONDS;
  $days[date('m/d', $tmp)] = date('d-m-Y', $tmp);
}
//var_dump($days);
?>

  <script type="text/javascript"
          src="https://www.google.com/jsapi?autoload={'modules':[{
              'name':'visualization',
              'version':'1',
              'packages':['corechart']
            }]
          }"></script>

    <script type="text/javascript">
      google.setOnLoadCallback(drawChart);

      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['Date', 'Actions'],
<?php
$data = get_option('daily_cart_stats');
foreach ($days as $lab => $val) {
  $tmp = isset($data[$val])? $data[$val]: 0;
  echo "['{$lab}', $tmp], ";
}
?>
        ]);

        var options = {
          title: 'Add to cart actions for last 30 days',
          curveType: 'function',
          colors: ['#ff9900'],
          vAxis: {
              _title: "Percentage Uptime",
              _viewWindowMode:'explicit',
              format:'0',
              viewWindow:{
                _max:100,
                min:0
              }
            },
          'chartArea': {'width': '100%', 'height': '80%'},
          legend: { position: 'none' }
        };

        var chart = new google.visualization.LineChart(document.getElementById('curve_chart'));

        chart.draw(data, options);
      }
    </script>

<?php
  do_action('aa_home_before_chart');
  echo '<div id="curve_chart" style="width: 100%; height: 500px; max-width:1200px;padding:0; margin:0;"></div>';
  do_action('aa_home_after_chart');
?>


<br><br>


<!-- Last 5 Products Added -->
<div class="aa-box one-third">
<h3>Last 5 Products Added</h3>
<ul class="aa-box-list">
<?php
  $products = get_posts(array('post_type' => 'product', 'orderby' => 'ID', 'order' => 'DESC', 'posts_per_page' => 5));
  if ($products) {
    foreach ($products as $product) {

      $image = wp_get_attachment_image_src(get_post_thumbnail_id($product->ID), 'thumbnail');
      $views = get_post_meta($product->ID, 'product_opened', true);
      $added_to_cart = get_post_meta($product->ID, 'added_to_cart', true);

      if (!$views || $views == '') $views = 0;
      if (!$added_to_cart || $added_to_cart == '') $added_to_cart = 0;

      echo '<li>
            <a href="' . get_permalink($product->ID) . '"><img src="' . $image[0] . '" /></a>
            <p><b>Views:</b> ' . $views . '</p>
            <p><b>Added to Cart:</b> ' . $added_to_cart . '</p>
            <p><b>Created:</b> ' . date('d/m/Y', strtotime($product->post_date)) . '</p>
            </li>';
    }
  }
?>
</ul>
</div>

<!-- Top Opened/Clicked Products -->
<div class="aa-box one-third">
<h3>Top Opened/Clicked Products</h3>
<ul class="aa-box-list">
<?php
  $products = get_posts(array('post_type' => 'product', 'meta_key' => 'product_opened', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => 5));
  if ($products) {
    foreach ($products as $product) {
      $image = wp_get_attachment_image_src(get_post_thumbnail_id($product->ID), 'thumbnail');
      $views = get_post_meta($product->ID, 'product_opened', true);
      $added_to_cart = get_post_meta($product->ID, 'added_to_cart', true);

      if (!$views || $views == '') $views = 0;
      if (!$added_to_cart || $added_to_cart == '') $added_to_cart = 0;

      echo '<li>
            <img src="' . $image[0] . '" />
            <p><b>Views:</b> ' . $views . '</p>
            <p><b>Added to Cart:</b> ' . $added_to_cart . '</p>
            <p><b>Created:</b> ' . date('d/m/Y', strtotime($product->post_date)) . '</p>
            </li>';
    }
  }
?>
</ul>
</div>

<!-- Top Added To Cart Products -->
<div class="aa-box one-third">
<h3>Top Added to Cart</h3>
<ul class="aa-box-list">
<?php
  $products = get_posts(array('post_type' => 'product', 'meta_key' => 'added_to_cart', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => 5));
  if ($products) {
    foreach ($products as $product) {
      $image = wp_get_attachment_image_src(get_post_thumbnail_id($product->ID), 'thumbnail');
      $views = get_post_meta($product->ID, 'product_opened', true);
      $added_to_cart = get_post_meta($product->ID, 'added_to_cart', true);

      if (!$views || $views == '') $views = 0;
      if (!$added_to_cart || $added_to_cart == '') $added_to_cart = 0;

      echo '<li>
            <a href="' . get_permalink($product->ID) . '"><img src="' . $image[0] . '" /></a>
            <p><b>Views:</b> ' . $views . '</p>
            <p><b>Added to Cart:</b> ' . $added_to_cart . '</p>
            <p><b>Created:</b> ' . date('d/m/Y', strtotime($product->post_date)) . '</p>
            </li>';
    }
  }
?>
</ul>
</div>
<?php
  $lastCronTime = get_option('aa_last_cron');
  if($lastCronTime) {
    echo '<p class="last_cron">Last cron task run time: ' . date(get_option('date_format') . ' @ ' . get_option('time_format') , $lastCronTime) . '</p>';
  } else {
    echo '<p class="last_cron">Cron task was never run! Please check your settings.</p>';
  }
?>