jQuery(document).ready(function($) {

	$('#bestsellerazon-links-cloaking').bind('click change', function(event) {

		var $this = $(this);

		var $dependents = $('.bestsellerazon-links-cloaking-dependent');

		

		if($this.is(':checked')) {

			$dependents.show();

		} else {

			$dependents.hide();

		}

	}).change();

	

	$('#bestsellerazon-links-cloaking-prefix').bind('keyup', function(event) {

		var $this = $(this);

		var cloaking_prefix = $.trim($this.val());

		

		if('' == cloaking_prefix) {

			cloaking_prefix = 'item';

		}

		

		$this.css('width', ((cloaking_prefix.length + 1) * 7 + 4) + 'px');

	}).keyup();



	function bestsellerazon_retrieve_category_options(locale, browse_node_id, hierarchy, $selector, $ajax, callback) {

		$ajax.css('visibility', 'visible');

		$selector.attr('disabled','disabled');



		$.post(

			ajaxurl,

			{

				action: 'bestsellerazon_get_browse_node_options',

				browse_node_id: browse_node_id,

				locale: locale,

				hierarchy: hierarchy

			},

			function(data, status) {

				$ajax.css('visibility', 'hidden');

				$selector.removeAttr('disabled');

				$selector.empty().append(data).change();

				

				if('function' == typeof callback) {

					callback();

				}

			},

			'html'

		);

	}



	$('.bestsellerazon-category-choosenew, .bestsellerazon-category-startover').live('click', function(event) {

		event.preventDefault();



		var $container = $(this).parents('.bestsellerazon-category-selector-container');

		

		bestsellerazon_retrieve_category_options($('.bestsellerazon-locale:first').val(), 0, '-1', $container.find('.bestsellerazon-category-selector'), $container.find('.bestsellerazon-category-ajax-indicator'), function() {

			$container.find('.bestsellerazon-category-choosenew').hide();

			$container.find('.bestsellerazon-category-startover').show();

			$container.find('.bestsellerazon-category-selector').show().change();

			$container.find('.bestsellerazon-category-set, .bestsellerazon-category-default').show();

			$container.find('.bestsellerazon-category-name').hide();

		});

	});

	

	$('.bestsellerazon-category-children').live('click', function(event) {

		event.preventDefault();

		

		var $container = $(this).parents('.bestsellerazon-category-selector-container');

		var $option = $container.find('.bestsellerazon-category-selector option:selected');

		

		bestsellerazon_retrieve_category_options($('.bestsellerazon-locale:first').val(), $container.find('.bestsellerazon-category-selector').val(), $option.attr('data-hierarchy'), $container.find('.bestsellerazon-category-selector'), $container.find('.bestsellerazon-category-ajax-indicator'), function() {});

	});



	$('.bestsellerazon-category-parent').live('click', function(event) {

		event.preventDefault();

		

		var $container = $(this).parents('.bestsellerazon-category-selector-container');

		var $option = $container.find('.bestsellerazon-category-selector option:selected');

		

		var hierarchy = $option.attr('data-hierarchy');

		var hierarchy_parts = hierarchy.split(',');

		var browse_node_id = hierarchy_parts[1];

		var hierarchy_old = hierarchy_parts.slice(2).join(',');



		bestsellerazon_retrieve_category_options($('.bestsellerazon-locale:first').val(), browse_node_id, hierarchy_old, $container.find('.bestsellerazon-category-selector'), $container.find('.bestsellerazon-category-ajax-indicator'), function() {});

	});

	

	$('.bestsellerazon-category-set').live('click', function(event) {

		event.preventDefault();



		var $container = $(this).parents('.bestsellerazon-category-selector-container');

		

		var $selector = $container.find('.bestsellerazon-category-selector');

		var $selected = $selector.find('option:selected');

		

		$container.find('.bestsellerazon-category-name').text($selected.attr('data-ancestral'));

		$container.find('#' + $selector.attr('data-input')).val($selector.val());

		

		$container.find('.bestsellerazon-category-choosenew').show();

		$container.find('.bestsellerazon-category-startover').hide();

		$container.find('.bestsellerazon-category-selector').hide();

		$container.find('.bestsellerazon-category-set, .bestsellerazon-category-default').hide();

		$container.find('.bestsellerazon-category-name').show();

		$container.find('.bestsellerazon-category-children, .bestsellerazon-category-parent').hide();

	});

	

	$('.bestsellerazon-category-default').live('click', function(event) {

		event.preventDefault();

		

		var $container = $(this).parents('.bestsellerazon-category-selector-container');



		var $selector = $container.find('.bestsellerazon-category-selector').hide().empty().append('<option data-ancestral="Site Default" value="default">Site Default</option>').val('default');

		$container.find('.bestsellerazon-category-set').click();

	});

	

	$('.bestsellerazon-category-selector').change(function(event) {

		var $this = $(this);

		var $up_level = $this.siblings('.bestsellerazon-category-parent');

		var $get_children = $this.siblings('.bestsellerazon-category-children');

		var $option = $this.find('option:selected');



		if(1 == $option.attr('data-children')) {

			$get_children.show();

		} else {

			$get_children.hide();

		}



		if('0,-1' == $option.attr('data-hierarchy')) {

			$up_level.hide();

		} else {

			$up_level.show();

		}

	});



	$('.bestsellerazon-locale').change(function(event) {

		$('.bestsellerazon-category-choosenew').click();

	});

	

	$('#bestsellerazon-headline').bind('change click', function(event) {

		var $this = $(this);

		var $dependencies = $('#bestsellerazon-headline-text');

		

		if($this.is(':checked')) {

			$dependencies.hide();

		} else {

			$dependencies.show();

		}

	}).change();

});

