<div class="bestsellerazon-category-selector-container">



	<?php if(empty($access_key_id) && empty($secret_access_key)) { ?>



		<?php _e('Please save your API credentials before attempting to change the browse node category.'); ?>



	<?php } else { ?>



		<?php if(!empty($category_name)) { ?>

		<code class="bestsellerazon-category-name"><?php esc_html_e($category_name); ?></code>

		<?php } ?>



		<select data-input="<?php esc_attr_e($category_id_input_id); ?>" class="hide-if-js bestsellerazon-category-selector"></select>



		<input class="button button-secondary bestsellerazon-category-choosenew" type="button" value="<?php _e('Choose New Category');?>" />

		<input class="hide-if-js button button-primary bestsellerazon-category-set" type="button" value="<?php _e('Set Category');?>" />



		<?php if($allow_default) { ?>

		<input class="hide-if-js button button-secondary bestsellerazon-category-default" type="button" value="<?php _e('Use Site Default');?>" />	

		<?php } ?>



		<input class="hide-if-js button button-secondary bestsellerazon-category-parent" type="button" value="<?php _e('Go Up a Level'); ?>" />

		<input class="hide-if-js button button-secondary bestsellerazon-category-children" type="button" value="<?php _e('Get Children');?>" />

		<input type="hidden" name="<?php esc_attr_e($category_id_input_name); ?>" id="<?php esc_attr_e($category_id_input_id); ?>" value="<?php esc_attr_e($category_id);?>" />

		<input class="hide-if-js button button-secondary bestsellerazon-category-startover" type="button" value="<?php _e('Start Over');?>" />



		<img src="<?php esc_attr_e(admin_url('images/wpspin_light.gif'));?>" class="ajax-feedback bestsellerazon-category-ajax-indicator" title="" alt="" style="visibility: hidden;" />



		<br />



		<?php if(!$hide_help) { ?>

		<small><?php printf(__('Please <a target="_blank" href="%s">watch this video</a> on how to correctly set your bestseller product category'), 'http://bestsellerazon.com/how-to/'); ?></small>

		<?php } ?>



	<?php } ?>



</div>