<p><?php _e('The following fields are required in order to send requests to Amazon and retrieve data about products and listings.  If this information is incorrect, your site will not display information from Amazon.'); ?>

<p><?php printf(__('If you do not already have access keys set up, please visit the <a href="%s" target="_blank">AWS Account Management</a> page to create and retrieve them.'), 'https://aws-portal.amazon.com/gp/aws/developer/account/index.html?ie=UTF8&action=access-key#access_credentials'); ?></p>



<table class="form-table">

	<tbody>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-access-key-id"><?php _e('Access Key ID'); ?></label></th>

			<td>

				<input type="text" class="large-text code" name="bestsellerazon[access-key-id]" id="bestsellerazon-access-key-id" value="<?php esc_attr_e($settings['access-key-id']); ?>" />

			</td>

		</tr>

		<tr valign="top">

			<th scope="row"><label for="bestsellerazon-access-key-id"><?php _e('Secret Access Key'); ?></label></th>

			<td>

				<input type="text" class="large-text code" name="bestsellerazon[secret-access-key]" id="bestsellerazon-secret-access-key" value="<?php esc_attr_e($settings['secret-access-key']); ?>" />

			</td>

		</tr>

	</tbody>

</table>