<?php
if(!defined('ABSPATH')) die('Direct access not permitted');

require_once(dirname(dirname(dirname(__FILE__))).'/include/amazon.lib.php');
require_once(dirname(dirname(dirname(__FILE__))).'/include/flybx_amz_funcs.php');
require_once(dirname(dirname(dirname(__FILE__))).'/app/models/templates.php');

$flybx_debug_error = FALSE;
//sleep(50);
$flybx_templates = new flybx_templates;
$flybx_curr_sform = $flybx_templates->templates_data();


$flybx_aff_network = 'amz';

if ($flybx_aff_network == 'amz')
{
	$flybx_locale = 'us';
	if (isset($_POST['locale']) && in_array($_POST['locale'], flybx_amzn_countries())) $flybx_locale = $_POST['locale'];
	
	$related_asins = flybx_get_related_asins(explode(',', $_POST['asins']), $flybx_locale);
	$posted_asins = explode(',', $_POST['asins']);
	
	if ($related_asins !== FALSE && count($related_asins) > 0 && is_array($posted_asins))
	{
		$kws_asins = array();
		//include on-page asins?
		/*if ($flybx_curr_sform['compare_mentioned'] == 'yes')
		{
			foreach($related_asins as $key => $curr_asin)
			{
				if (in_array($curr_asin, $posted_asins))
				{
					$kws_asins[] = $curr_asin;
					unset($related_asins[$key]);
				}
			}
			if (count($related_asins) > 0)
			{
				foreach($related_asins as $curr_asin)
				{
					array_push($kws_asins, $curr_asin);
				}
			}
		}
		else
		{*/
			//remove on page asins
			foreach($related_asins as $key => $curr_asin)
			{
				if (in_array($curr_asin, $posted_asins))
				{					
					unset($related_asins[$key]);
				}
				else
				{
					$kws_asins[] = $curr_asin;
				}
			}
		//}
		$kws_asins = array_unique($kws_asins);
		/*echo '<pre>';
		print_r($kws_asins);
		echo '</pre>';*/
		//save related asin as post meta for later re-using purposes
		if (count($kws_asins) > 0)
		{
			update_post_meta($_POST['post_id'], 'flybx_relasins_'.$flybx_locale, implode(',', $kws_asins));
			
			//save asin: kws
			$flybx_max_products = 3;
			if (is_numeric($flybx_curr_sform['max_products']) && in_array($flybx_curr_sform['max_products'], array(1, 2, 3)))
			{
				//$flybx_max_products = $flybx_curr_sform['max_products']; //always generate 3 sim asins just in case
				//echo 'max products: '.$flybx_max_products;
			}
			$rel_asins_kws = array_slice($kws_asins, 0, $flybx_max_products);
			update_post_meta($_POST['post_id'], 'flybx_kws_'.$flybx_locale, 'asin:'.implode(',asin:', $rel_asins_kws));
			
			$flybx_posted_kws =  'asin:'.implode(',asin:', $rel_asins_kws);
		}
		
	}
	
	if (count($kws_asins) == 0)
	{
		//TODO: logic to create kws if no asins was generated
	}

	
	
	include(dirname(__FILE__).'/ajax_load_res.php');
	
	//echo json_encode(array('test' => 'yes'));
	exit;
	
	
	/*$always_list_price = get_option('flybx_always_list_price');
	
	
	
	$flybx_alias = 'All';
	if (isset($_POST['tab_alias']) && $_POST['tab_alias'] != 'aps') $flybx_alias = ucfirst($_POST['tab_alias']);
	$flybx_alias = flybx_alias_to_index($flybx_alias);
	
	$flybx_node_id = '';
	if (isset($_POST['tab_node']) && $_POST['tab_node'] != '' && $_POST['tab_node'] != '0') $flybx_node_id = $_POST['tab_node'];

	$flybx_am_params = array(
								'key_id' => get_option('flybx_am_key_id'), 
								'access_key' => get_option('flybx_am_access_key'),
								'associate_tag' => flybx_get_locale_tag($flybx_locale),
								'flybx_alias' => $flybx_alias,
								'flybx_node_id' => $flybx_node_id
								);
	flybx_cache_cleanup();
	
	$flybx_kws = $_POST['field-keywords'];
	if (strlen(trim($flybx_kws)) == 0)
	{
		echo json_encode(array('html' => '<div class="flybx_noresults flybx_noresults_line">'.flybx_lang('Please enter keywords', $_POST['locale']).''.($flybx_debug_error?__LINE__:'').'</div>', 'error' => 'yes'));
		exit;
	}
	
	//record detailed stats
	flybx_record_stat_detailed(0, $_REQUEST['sform_id'], 0, 0, $flybx_kws, '', $_SERVER['REMOTE_ADDR']);
	
	$flybx_data = flybx_get_pop_data(array($flybx_kws), $flybx_am_params, $flybx_locale, 'keywords');

	
	if ($flybx_data !== FALSE && count($flybx_data) > 0):

		ob_start();
		
		include(dirname(dirname(__FILE__)).'/views/am/sform_size_'.$flybx_curr_sform['size'].'.php');
		

		$flybx_pop_html = ob_get_contents();
		ob_end_clean();
		//echo $flybx_pop_html;exit;
		
		echo json_encode(array('html' => $flybx_pop_html, 'flybx_kws' => $flybx_kws));
	
	else: 
		echo json_encode(array('html' => '<div class="flybx_noresults">'.flybx_lang('No results found. Try different keywords.', $_POST['locale']).'</div>', 'error' => 'yes'));
		exit;
	endif;*/

}