<?php



/*

Copyright (c) 2012, Rich Ways LLC

All rights reserved.



Azon FlyBox License

http://www.pluginsbyigor.com



1. Terms 



By using this software, you are agreeing to be bound by these Terms and Conditions of Use, all applicable laws and regulations, and agree that you are responsible for compliance with any applicable local laws. If you do not agree with any of these terms, you are prohibited from using this software. The materials contained in this software are protected by applicable copyright and trade mark law. 



2. Use License 



a. By using Azon FlyBox you agree and comply to Amazon.com Product Advertising API License Agreement found here: https://affiliate-program.amazon.com/gp/advertising/api/detail/agreement.html

b. You may use the Azon FlyBox software for the purposes of running a website on a number of domain names as allowed by your license. 

c. You may make a reasonable number of copies for backup purposes only. 

d. You may modify the Azon FlyBox software as per your requirements as long as the modifications would not circumvent the licensing system. 



3. Limitations 

a. You may not use Azon FlyBox on any domain not wholly owned by you. 

b. You may not distribute copies of the Azon FlyBox software or transfer any part of it to a 3rd party. 

c. You may not rent, lease, sell, or sub-license the Azon FlyBox software or copies of it.

d. You may not use the software to engage in any illegal activity. 

e. You may not circumvent the licensing system in any way. 



4. Disclaimer 



The materials on Azon FlyBox's website and the Azon FlyBox software are provided "as is". Azon FlyBox makes no warranties, expressed or implied, and hereby disclaims and negates all other warranties, including without limitation, implied warranties or conditions of merchantability, fitness for a particular purpose, or non-infringement of intellectual property or other violation of rights. Further, Azon FlyBox does not warrant or make any representations concerning the accuracy, likely results, or reliability of the use of the materials on its Internet web site or otherwise relating to such materials or on any sites linked to this site. 



5. Revisions and Errata 



The materials appearing on Azon FlyBox's web site could include technical, typographical, or photographic errors. Azon FlyBox does not warrant that any of the materials on its web site are accurate, complete, or current. Azon FlyBox may make changes to the materials contained on its web site at any time without notice. Azon FlyBox does not, however, make any commitment to update the materials. 



6. Links 



Azon FlyBox has not reviewed all of the sites linked to its Internet web site and is not responsible for the contents of any such linked site. The inclusion of any link does not imply endorsement by Azon FlyBox of the site. Use of any such linked web site is at the user's own risk. 



7. Site Terms of Use Modifications 



Azon FlyBox may revise these terms of use for its web site at any time without notice. By using this web site you are agreeing to be bound by the then current version of these Terms and Conditions of Use. 



8. Governing Law 



Any claim relating to Azon FlyBox's web site shall be governed by the laws of the State of Wisconsin (USA) without regard to its conflict of law provisions. 

*/



class flybx_keywords {



	//declare variables

	//the site contents

	var $contents;

	var $encoding;

	//the generated keywords

	var $keywords;

	//minimum word length for inclusion into the single word

	//metakeys

	var $wordLengthMin;

	var $wordOccuredMin;

	//minimum word length for inclusion into the 2 word

	//phrase metakeys

	var $word2WordPhraseLengthMin;

	var $phrase2WordLengthMinOccur;

	//minimum word length for inclusion into the 3 word

	//phrase metakeys

	var $word3WordPhraseLengthMin;

	//minimum phrase length for inclusion into the 2 word

	//phrase metakeys

	var $phrase2WordLengthMin;

	var $phrase3WordLengthMinOccur;

	//minimum phrase length for inclusion into the 3 word

	//phrase metakeys

	var $phrase3WordLengthMin;

	

	var $common = array("phpbay", "super", "able", "about", "above", "act", "add", "afraid", "after", "again", "against", "age", "ago", "agree", "all", "almost", "alone", "along", "already", "also", "although", "always", "am", "amount", "an", "and", "anger", "angry", "animal", "another", "answer", "any", "appear", "apple", "are", "arrive", "arm", "arms", "around", "arrive", "as", "ask", "at", "attempt", "aunt", "away", "back", "bad", "bag", "bay", "be", "became", "because", "become", "been", "before", "began", "begin", "behind", "being", "bell", "belong", "below", "beside", "best", "better", "between", "beyond", "big", "body", "bone", "born", "borrow", "both", "bottom", "box", "boy", "break", "bring", "brought", "bug", "built", "busy", "but", "buy", "by", "call", "came", "can", "cause", "choose", "close", "close", "consider", "come", "consider", "considerable", "contain", "continue", "could", "cry", "cut", "dare", "dark", "deal", "dear", "decide", "deep", "did", "die", "do", "does", "dog", "done", "doubt", "down", "during", "each", "ear", "early", "eat", "effort", "either", "else", "end", "enjoy", "enough", "enter", "even", "ever", "every", "except", "expect", "explain", "fail", "fall", "far", "fat", "favor", "fear", "feel", "feet", "fell", "felt", "few", "fill", "find", "fit", "fly", "follow", "for", "forever", "forget", "from", "front", "gave", "get", "gives", "goes", "gone", "good", "got", "gray", "great", "green", "grew", "grow", "guess", "had", "half", "hang", "happen", "has", "hat", "have", "he", "hear", "heard", "held", "hello", "help", "her", "here", "hers", "high", "hill", "him", "his", "hit", "hold", "hot", "how", "however", "I", "if", "ill", "in", "indeed", "instead", "into", "iron", "is", "it", "its", "just", "keep", "kept", "knew", "know", "known", "late", "least", "led", "left", "lend", "less", "let", "like", "likely", "likr", "lone", "long", "look", "lot", "make", "many", "may", "me", "mean", "met", "might", "mile", "mine", "moon", "more", "most", "move", "much", "must", "my", "near", "nearly", "necessary", "neither", "never", "next", "no", "none", "nor", "not", "note", "nothing", "now", "number", "of", "off", "often", "oh", "on", "once", "only", "or", "other", "ought", "our", "out", "please", "prepare", "probable", "pull", "pure", "push", "put", "raise", "ran", "rather", "reach", "realize", "reply", "require", "rest", "run", "said", "same", "sat", "saw", "say", "see", "seem", "seen", "self", "sell", "sent", "separate", "set", "shall", "she", "should", "side", "sign", "since", "so", "sold", "some", "soon", "sorry", "stay", "step", "stick", "still", "stood", "such", "sudden", "suppose", "take", "taken", "talk", "tall", "tell", "ten", "than", "thank", "that", "the", "their", "them", "then", "there", "therefore", "these", "they", "this", "those", "though", "through", "till", "to", "today", "told", "tomorrow", "too", "took", "tore", "tought", "toward", "tried", "tries", "trust", "try", "turn", "two", "under", "until", "up", "upon", "us", "use", "usual", "various", "verb", "very", "visit", "want", "was", "we", "well", "went", "were", "what", "when", "where", "whether", "which", "while", "white", "who", "whom", "whose", "why", "will", "with", "within", "without", "would", "yes", "yet", "you", "young", "your", "br", "img", "p","lt", "gt", "quot", "copy");



	function flybx_keywords($params, $encoding)

	{

		//get parameters

		$this->encoding = $encoding;

		mb_internal_encoding($encoding);

		$this->contents = $this->replace_chars($params['content']);



		// single word

		$this->wordLengthMin = $params['min_word_length'];

		$this->wordOccuredMin = $params['min_word_occur'];



		// 2 word phrase

		$this->word2WordPhraseLengthMin = $params['min_2words_length'];

		$this->phrase2WordLengthMin = $params['min_2words_phrase_length'];

		$this->phrase2WordLengthMinOccur = $params['min_2words_phrase_occur'];



		// 3 word phrase

		$this->word3WordPhraseLengthMin = $params['min_3words_length'];

		$this->phrase3WordLengthMin = $params['min_3words_phrase_length'];

		$this->phrase3WordLengthMinOccur = $params['min_3words_phrase_occur'];



		//parse single, two words and three words



	}



	function get_keywords()

	{

		$keywords = $this->parse_words().$this->parse_2words().$this->parse_3words();

		return substr($keywords, 0, -2);

	}



	//turn the site contents into an array

	//then replace common html tags.

	function replace_chars($content)

	{

		//convert all characters to lower case

		$content = mb_strtolower($content);

		//$content = mb_strtolower($content, "UTF-8");

		$content = strip_tags($content);


      //updated in v0.3, 24 May 2009

		$punctuations = array(',', ')', '(', '.', "'", '"',

		'<', '>', '!', '?', '/', '-',

		'_', '[', ']', ':', '+', '=', '#',

		'$', '&quot;', '&copy;', '&gt;', '&lt;', 
		'&nbsp;', '&trade;', '&reg;', ';', 

		chr(10), chr(13), chr(9));



		$content = str_replace($punctuations, " ", $content);

		// replace multiple gaps

		$content = preg_replace('/ {2,}/si', " ", $content);



		return $content;

	}



	//single words META KEYWORDS

	function parse_words()

	{

		//list of commonly used words

		$common = $this->common;

		//create an array out of the site contents

		$s = explode(" ", $this->contents);

		//initialize array

		$k = array();

		//iterate inside the array

		foreach( $s as $key=>$val ) {

			//delete single or two letter words and

			//Add it to the list if the word is not

			//contained in the common words list.

			if(mb_strlen(trim($val)) >= $this->wordLengthMin  && !in_array(trim($val), $common)  && !is_numeric(trim($val))) {

				$k[] = trim($val);

			}

		}

		//count the words

		$k = array_count_values($k);

		//sort the words from

		//highest count to the

		//lowest.

		$occur_filtered = $this->occure_filter($k, $this->wordOccuredMin);

		arsort($occur_filtered);

		

		$real_words = array_keys($occur_filtered);

		

		return $real_words;



	}



	function parse_2words()

	{

		//create an array out of the site contents

		$x = explode(" ", $this->contents);

		//initilize array

		

		$k = array();

		//iterate inside the array

		foreach( $x as $key=>$val ) {

			//delete single or two letter words and

			//Add it to the list if the word is not

			//contained in the common words list.

			if(mb_strlen(trim($val)) >= $this->wordLengthMin  && !in_array(trim($val), $this->common)  && !is_numeric(trim($val))) {

				$k[] = trim($val);

			}

		}

		$x = $k;



		$y = array();

		for ($i=0; $i < count($x)-1; $i++) {

			//delete phrases lesser than 5 characters

			if( (mb_strlen(trim($x[$i])) >= $this->word2WordPhraseLengthMin ) && (mb_strlen(trim($x[$i+1])) >= $this->word2WordPhraseLengthMin) )

			{

				$y[] = trim($x[$i])." ".trim($x[$i+1]);

			}

		}



		//count the 2 word phrases

		$y = array_count_values($y);



		$occur_filtered = $this->occure_filter($y, $this->phrase2WordLengthMinOccur);

		//sort the words from highest count to the lowest.

		arsort($occur_filtered);

		

		$real_words = array_keys($occur_filtered);

		

		return $real_words;

	}



	function occure_filter($array_count_values, $min_occur)

	{

		$occur_filtered = array();

		if (is_array($array_count_values) && count($array_count_values) > 0)

		{

			foreach ($array_count_values as $word => $occured) {

				if ($occured >= $min_occur) {

					$occur_filtered[$word] = $occured;

				}

			}

		}



		return $occur_filtered;

	}



	function implode($gule, $array)

	{

		$array_keys = array_keys($array);

		return implode($gule, $array_keys);

	}

}

